function AxialView
disp('AxialView')
global g main
g.axialindex=0;
%--------------------------------------------------------------------------
% GUI items code
%--------------------------------------------------------------------------
g.AxialAxes = axes('Position',[0.03 0.3 0.65 0.65],'Units','normalized','Parent',main.panels(main.av),...
    'box','on','DataAspectRatio',[1 1 1]);   %,'Xlim',[0 0.45],'Ylim',[-0.05 0.3]
g.AxialFig=gca;

g.nsEdit=uicontrol('Style', 'edit','String','20','Units','normalized','position', [0.81 0.85 0.05 0.03],...
    'Callback', @nsEditCallback,'Parent',main.panels(main.av));
g.nsSlider=uicontrol('Style', 'slider','Value',20, 'Units', 'normalized','position',[0.87 0.85 0.01 0.027],...
    'Min',3,'Max',50,'Callback', @nsSliderCallback,'Parent',main.panels(main.av));
set(g.nsSlider,'SliderStep',[1/(50-3) 1/(50-3)]);
g.nsStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Streamlines','FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.74 0.847 0.06 0.03],...
    'Parent',main.panels(main.av));

g.bStatic=uicontrol('Style','text','HorizontalAlignment','left','String','b','FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.74 0.797 0.05 0.03],...
    'Parent',main.panels(main.av));
g.bEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.81 0.80 0.05 0.03],...
    'Callback', @bEditCallback,'Parent',main.panels(main.av));
g.bSlider=uicontrol('Style', 'slider', 'Units', 'normalized','position',[0.87 0.80 0.01 0.027],...
    'Callback', @bSliderCallback,'Parent',main.panels(main.av));

g.ResetShroudButton=uicontrol('Style', 'pushbutton', 'String', 'Reset Shroud Line', 'Units', 'normalized','FontSize', main.font,...
    'position', [0.38 0.12 0.10 0.05],'Callback', @ResetShroudCallback,...
    'Parent',main.panels(main.av),'enable','on');
g.ResetTrailingButton=uicontrol('Style', 'pushbutton', 'String', 'Reset Trailing Edge', 'Units', 'normalized','FontSize', main.font,...
    'position', [0.22 0.12 0.10 0.05],'Callback', @ResetTrailingCallback,...
    'Parent',main.panels(main.av),'enable','on');
% g.UpdateButton=uicontrol('Style', 'pushbutton', 'String', 'Update Design', 'Units','normalized','FontSize', main.font,...
%     'position', [0.75 0.60 0.10 0.05],'Callback', @UpdateCallback,...
%     'Parent',main.panels(main.av),'enable','on');
g.UserStatic=uicontrol('Style','text','HorizontalAlignment','left','String','The streamline along the shroud is governed by a bezier curve with five control points. The three points in the middle can be moved to alter the shape of the curve.',...
    'FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.64 0.37 0.35 0.10],...
    'Parent',main.panels(main.av));
g.User2Static=uicontrol('Style','text','HorizontalAlignment','left','String','The trailing edge shape is also governed by a Bezier curve, but for this curve all four control points can be moved.',...
    'FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.64 0.29 0.35 0.10],...
    'Parent',main.panels(main.av));
g.User3Static=uicontrol('Style','text','HorizontalAlignment','left','String','The number of streamlines and the height difference between inlet and outletcan be changed by either entering the desired number or clicking on the sliders.',...
    'FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.64 0.24 0.35 0.10],...
    'Parent',main.panels(main.av));
g.User4Static=uicontrol('Style','text','HorizontalAlignment','left','String','The Reset Plot-button resets the axial view to the initial shape.','FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.64 0.16 0.35 0.10],...
    'Parent',main.panels(main.av));

%--------------------------------------------------------------------------
% Shroud Line data points callback
%--------------------------------------------------------------------------
g.SLdatapanel = uipanel('Parent',main.panels(main.av),'Title','Shroud Line data points',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
    'Position',[.66 .48 .12 .25]);
d.XSLStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'X','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.8 0.40 0.17],'Parent',g.SLdatapanel);
d.YSLStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'Y','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.53 0.8 0.40 0.17],'Parent',g.SLdatapanel);
g.s1xStatic=uicontrol('Style', 'edit','Units', 'normalized','position', [0.03 0.62 0.40 0.18],...
    'Parent',g.SLdatapanel);%'Callback', @s1xEditCallback,
g.s1yStatic=uicontrol('Style', 'edit','Units', 'normalized','position', [0.53 0.62 0.40 0.18],...
    'Parent',g.SLdatapanel);%'Callback', @s1yEditCallback,
g.s2xEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.03 0.42 0.40 0.18],...
    'Callback', @s2xEditCallback,'Parent',g.SLdatapanel);
g.s2yEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.53 0.42 0.40 0.18],...
    'Callback', @s2yEditCallback,'Parent',g.SLdatapanel);
g.s3xEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.03 0.22 0.40 0.18],...
    'Callback', @s3xEditCallback,'Parent',g.SLdatapanel);
g.s3yEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.53 0.22 0.40 0.18],...
    'Callback', @s3yEditCallback,'Parent',g.SLdatapanel);
g.s4xEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.03 0.02 0.40 0.18],...
    'Callback', @s4xEditCallback,'Parent',g.SLdatapanel);
g.s4yEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.53 0.02 0.40 0.18],...
    'Callback', @s4yEditCallback,'Parent',g.SLdatapanel);
%--------------------------------------------------------------------------
% Trailing edge data points callback
%--------------------------------------------------------------------------
g.TEdatapanel = uipanel('Parent',main.panels(main.av),'Title','Trailing edge data points',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
    'Position',[.82 .48 .12 .25]);
d.XTEStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'X','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.8 0.40 0.17],'Parent',g.TEdatapanel);
d.YTEStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'Y','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.53 0.8 0.40 0.17],'Parent',g.TEdatapanel);
g.t1xStatic=uicontrol('Style', 'edit','Units', 'normalized','position', [0.03 0.62 0.40 0.18],...
    'Parent',g.TEdatapanel);%'Callback', @s1xEditCallback,
g.t1yStatic=uicontrol('Style', 'edit','Units', 'normalized','position', [0.53 0.62 0.40 0.18],...
    'Parent',g.TEdatapanel);%'Callback', @s1yEditCallback,
g.t2xEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.03 0.42 0.40 0.18],...
    'Callback', @t2xEditCallback,'Parent',g.TEdatapanel);
g.t2yEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.53 0.42 0.40 0.18],...
    'Callback', @t2yEditCallback,'Parent',g.TEdatapanel);
g.t3xEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.03 0.22 0.40 0.18],...
    'Callback', @t3xEditCallback,'Parent',g.TEdatapanel);
g.t3yEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.53 0.22 0.40 0.18],...
    'Callback', @t3yEditCallback,'Parent',g.TEdatapanel);
g.t4xEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.03 0.02 0.40 0.18],...
    'Callback', @t4xEditCallback,'Parent',g.TEdatapanel);
g.t4yEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.53 0.02 0.40 0.18],...
    'Callback', @t4yEditCallback,'Parent',g.TEdatapanel);
end

function s2xEditCallback(~,~)
global g
g.shroud(2,1)=str2double(get(g.s2xEdit,'String'));
g.temps=g.shroud;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function s2yEditCallback(~,~)
global g
g.shroud(2,2)=str2double(get(g.s2yEdit,'String'));
g.temps=g.shroud;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function s3xEditCallback(~,~)
global g
g.shroud(3,1)=str2double(get(g.s3xEdit,'String'));
g.temps=g.shroud;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function s3yEditCallback(~,~)
global g
g.shroud(3,2)=str2double(get(g.s3yEdit,'String'));
g.temps=g.shroud;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function s4xEditCallback(~,~)
global g
g.shroud(4,1)=str2double(get(g.s4xEdit,'String'));
g.temps=g.shroud;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function s4yEditCallback(~,~)
global g
g.shroud(4,2)=str2double(get(g.s4yEdit,'String'));
g.temps=g.shroud;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end

function t2xEditCallback(~,~)
global g
g.outlet(2,1)=str2double(get(g.t2xEdit,'String'));
g.tempo=g.outlet;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function t2yEditCallback(~,~)
global g
g.outlet(2,2)=str2double(get(g.t2yEdit,'String'));
g.tempo=g.outlet;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function t3xEditCallback(~,~)
global g
g.outlet(3,1)=str2double(get(g.t3xEdit,'String'));
g.tempo=g.outlet;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function t3yEditCallback(~,~)
global g
g.outlet(3,2)=str2double(get(g.t3yEdit,'String'));
g.tempo=g.outlet;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function t4xEditCallback(~,~)
global g
g.outlet(4,1)=str2double(get(g.t4xEdit,'String'));
g.tempo=g.outlet;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function t4yEditCallback(~,~)
global g
g.outlet(4,2)=str2double(get(g.t4yEdit,'String'));
g.tempo=g.outlet;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end

function ResetShroudCallback(~,~)
disp('ResetShroudCallback')
global g saved
%--------------------------------------------------------------------------
% Reset plot button callback
%--------------------------------------------------------------------------
g.b=get(g.bSlider,'Value');
g.ps0=[saved.D_1/2, g.b];
g.ps4=[saved.D_2/2, 0.005];
g.ps1=[saved.D_1/2-2*(saved.D_1-saved.D_2)/10, g.b*9/10];
g.ps2=[saved.D_1/2-4*(saved.D_1-saved.D_2)/10, g.b*8/10];
g.ps3=[saved.D_2/2, g.b/10];
g.shroud=[g.ps0; g.ps1; g.ps2; g.ps3; g.ps4];
g.temps=g.shroud;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end

function ResetTrailingCallback(~,~)
disp('ResetTrailingCallback')

global g saved
%--------------------------------------------------------------------------
% Reset plot button callback
%--------------------------------------------------------------------------
% g.b=get(g.bSlider,'Value');
g.outlet=g.outletinit;
g.tempo=g.outlet;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end

function nsEditCallback(~,~)
disp('nsEditCallback')

global g saved
sliderValue = get(g.nsEdit,'String');
sliderValue = str2double(sliderValue);
%if user input is not a number, or if the input is less than min
%or greater than max, then the slider value defaults to min
if (isempty(sliderValue) || sliderValue < get(g.nsSlider,'Min') || sliderValue > get(g.nsSlider,'Max'))
    set(g.nsSlider,'Value',get(g.nsSlider,'Min'));
    set(g.nsEdit,'String',num2str(get(g.nsSlider,'Min')));
else
    set(g.nsSlider,'Value',sliderValue);
end
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function nsSliderCallback(hobj,~)
disp('nsSliderCallback')

global g saved
sliderValue = get(g.nsSlider,'Value');
sliderValue = num2str(sliderValue);
set(g.nsEdit,'String',sliderValue);
plotAxialView
guidata(hobj, g);
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end

function bEditCallback(~,~)
disp('bEditCallback')

global g saved
sliderValue = get(g.bEdit,'String');
sliderValue = str2double(sliderValue);
%if user input is not a number, or if the input is less than min
%or greater than max, then the slider value defaults to min
if (isempty(sliderValue) || sliderValue < get(g.bSlider,'Min') || sliderValue > get(g.bSlider,'Max'))
    set(g.bSlider,'Value',get(g.bSlider,'Min'));
    set(g.bEdit,'String',num2str(get(g.bSlider,'Min')));
else
    set(g.bSlider,'Value',sliderValue);
end
g.b=get(g.bSlider,'Value');
g.ps0=[saved.D_1/2, g.b];
g.ps4=[saved.D_2/2, 0.005];
g.ps1=[saved.D_1/2-2*(saved.D_1-saved.D_2)/10, g.b*9/10];
g.ps2=[saved.D_1/2-4*(saved.D_1-saved.D_2)/10, g.b*8/10];
g.ps3=[saved.D_2/2, g.b/10];
g.shroud=[g.ps0; g.ps1; g.ps2; g.ps3; g.ps4];
g.temps=g.shroud;
plotAxialView
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function bSliderCallback(hobj,~)
disp('bSliderCallback')

global g saved
sliderValue = get(g.bSlider,'Value');
sliderValue = num2str(sliderValue);
set(g.bEdit,'String',sliderValue);
g.b=get(g.bSlider,'Value');
g.ps0=[saved.D_1/2, g.b];
g.ps4=[saved.D_2/2, 0.005];
g.ps1=[saved.D_1/2-2*(saved.D_1-saved.D_2)/10, g.b*9/10];
g.ps2=[saved.D_1/2-4*(saved.D_1-saved.D_2)/10, g.b*8/10];
g.ps3=[saved.D_2/2, g.b/10];
g.shroud=[g.ps0; g.ps1; g.ps2; g.ps3; g.ps4];
g.temps=g.shroud;
plotAxialView
guidata(hobj, g);
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end