function Distributions
disp('Distributions')
global f main
%--------------------------------------------------------------------------
% GUI items code
%--------------------------------------------------------------------------
f.changeDist = axes('Position',[0.03 0.57 0.30 0.40],'Units','normalized','Parent',main.panels(main.dist),...
    'box','on');
f.changeFig=gca;

% set(f.changeFig,'ButtonDownFcn',@GetPoint);
f.centerMenu = uicontrol('Style','popupmenu','Units', 'normalized','position', [0.03 0.46 0.07 0.03],...
    'String',{'U*Cu','Beta'},'FontSize',main.font-2,'Callback',@centerMenuCallback,...
    'Parent',main.panels(main.dist));
f.hubDist = axes('Position',[0.36 0.69 0.30 0.29],'Units','normalized','Parent',main.panels(main.dist),...
    'box','on');

f.centerDist = axes('Position',[0.36 0.36 0.30 0.29],'Units','normalized','Parent',main.panels(main.dist),...
    'box','on');

f.shroudDist = axes('Position',[0.36 0.03 0.30 0.29],'Units','normalized','Parent',main.panels(main.dist),...
    'box','on');
f.GHplaneAxes = axes('Position',[0.70 0.35 0.25 0.35],'Units','normalized','Parent',main.panels(main.dist),...
    'box','on');
f.HubStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Hub','FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[1 1 1],'position',[0.37 0.93 0.05 0.03],...
    'Parent',main.panels(main.dist));
f.CenterStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Center','FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[1 1 1],'position',[0.37 0.61 0.05 0.03],...
    'Parent',main.panels(main.dist));
f.ShroudStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Shroud','FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[1 1 1],'position',[0.37 0.28 0.05 0.03],...
    'Parent',main.panels(main.dist));
f.GHplaneStatic=uicontrol('Style','text','HorizontalAlignment','left','String','GH-plane','FontSize',main.font+2,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.79 0.71 0.1 0.03],...
    'Parent',main.panels(main.dist));
f.Static=uicontrol('Style','text','HorizontalAlignment','left','String','Inlet to the left for all plots, outlet to the right. To alter the distributions in the plot to the left, move the control points.','FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.03 0.23 0.30 0.10],...
    'Parent',main.panels(main.dist));
f.UCuStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Energy distribution Relative to Inlet.','FontSize',main.font,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.03 0.33 0.30 0.10],...
    'Parent',main.panels(main.dist));
f.ResetButton=uicontrol('Style', 'pushbutton', 'String', 'Reset Distribution', 'Units','normalized','FontSize', main.font,...
    'position', [0.22 0.45 0.10 0.05],'Callback', @ResetCallback,...
    'Parent',main.panels(main.dist),'enable','on');
%--------------------------------------------------------------------------
end
function centerMenuCallback(~,~)
disp('centerMenuCallback')

global f g main saved
%--------------------------------------------------------------------------
% Is executed when changing between beta distribution and UCu distribution
%--------------------------------------------------------------------------
i=get(f.centerMenu,'Value');
switch i
    case 1 %Choose UCu distirbution
        try delete(f.BetaStatic); end
        f.UCuStatic=uicontrol('Style','text','String','Energy distribution Relative to Inlet.','FontSize',main.font,'Units','normalized',...
            'BackgroundColor',[.8 .8 .8],'position',[0.03 0.33 0.30 0.10],...
            'Parent',main.panels(main.dist));
    case 2 %Choose beta distirbution
        try delete(f.UCuStatic); end
        f.BetaStatic=uicontrol('Style','text','String','The derivative of the change in blade angle distribution from inlet to outlet.','FontSize',main.font,'Units','normalized',...
            'BackgroundColor',[.8 .8 .8],'position',[0.03 0.33 0.30 0.10],...
            'Parent',main.panels(main.dist));
end
f.BDist=func_BezierCurve(f.point(:,:,i),saved.p);
plotDistribution(g.UpdateCount,i)
end
function ResetCallback(~,~)
disp('ResetCallback')

global f saved
f.point(:,:,1)=[1 1
    0.85 0.45
    0.6 0.14
    0.05 0.03
    0 0];
f.point(:,:,2)=[1 1
    0.75 0.75
    0.5 0.5
    0.25 0.25
    0 0];
f.temp=f.point;
i=get(f.centerMenu,'Value');
f.BDist=func_BezierCurve(f.point(:,:,i), saved.p);

plotDistribution(1,i);
end
