function GUI
disp('GUI')
global main b c d e f g h l s saved

width = 0;
scrnsz=get(0,'ScreenSize');
main.fig = figure('Name','Khoj for La Higuera','NumberTitle','off', 'Menubar','none','OuterPosition',[1 0.04*scrnsz(4) scrnsz(3) 0.96*scrnsz(4)],'Toolbar','figure','Tag','MainFig');

main.tabs = uitabpanel('Parent',main.fig,'TabPosition','lefttop','Position',[0.0,0.0,1.0,1.0],'Margins',{[0,-1,1,0],'pixels'},...
    'PanelBorderType','line','Title',{'Intro','Main Dimensions','Axial View','Distributions','Radial View','Blade Thickness','Labyrinths','Guide Vanes','Runner Cascade','Summary'});%,'CreateFcn',@CreateTab,'Tag','Tabs');
main.panels=getappdata(main.tabs,'panels');

CreateConstants
h.UpdateCount=0;
g.UpdateCount=0;
main.indx=1;
saved.md=0;
saved.av=0;
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.gv=0;
saved.rc=0;
saved.sum=0;
saved.nobladesindex=0;
b.first=0;
c.first=0;
d.first=0;
e.first=0;
f.first=0;
g.first=0;
h.first=0;
l.first=0;
s.first=0;
g.drag=0;
f.drag=0;
e.drag=0;
f.point(:,:,1)=[1 0.85 0.6 0.05 0; 1 0.45 0.14 0.03 0]'; % UCu
f.point(:,:,2)=[1 0.75 0.5 0.25 0; 1 0.75 0.5 0.25 0]'; % beta
e.BLpoint=[0 0; 0 0.5; 0 1];
%--------------------------------------------------------------------------
% Starter creates the tabs, and loads data if load a project is chosen:
Starter
%--------------------------------------------------------------------------
    function TabResize2(hobj,evdt,ysiz)
        figpos = get(hfig,'Position');
        tabpos = get(hobj,'Position');
        tabpos([1,3]) = [width,1-width]*figpos(3)+[1,0];
        tabpos([2,4]) = ysiz*figpos(4)+[1,0];
        set(hobj,'Position',tabpos);
    end

%--------------------------------------------------------------------------
    function TabStatus2(hobj,evdt)
        set(get(evdt.Status,'Children'),'String',['page ',num2str(evdt.NewValue)]);
    end
end
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% The following function assigns value to constants used in multiple tabs. 
% Each tab also gets its number.
%--------------------------------------------------------------------------
function CreateConstants
disp('CreateConstants')
    global main
%--------------------------------------------------------------------------
% Global constants
%--------------------------------------------------------------------------
    main.grav=9.81;
    main.rho=998;
    main.etah=0.96;
    main.sigmamax=100*10^6; %Pa
%--------------------------------------------------------------------------
% Setting the fonsize based on the screen size
%--------------------------------------------------------------------------
    scrnsz=get(0,'ScreenSize');
if scrnsz(1,4)>=1050
    main.font=12;
elseif scrnsz(1,4)>=800
    main.font=10;
else
    main.font=8;
end
%--------------------------------------------------------------------------
% Moving marker in graphs using the arrow keys
%--------------------------------------------------------------------------    
    main.dx=0.001;    %moves the marker 1/1000 of the screen size 
    main.dy=0.002;    %moves the marker 2/1000 of the screen size
    main.dxd=0.004;   %moves the marker 4/1000 of the screen size 
    main.dyd=0.008;   %moves the marker 8/1000 of the screen size 
    main.dxbl=0.1;   %moves the marker 4/1000 of the screen size 
    main.dybl=0.01;   %moves the marker 8/1000 of the screen size 
%--------------------------------------------------------------------------
% Each tab gets its number:
%--------------------------------------------------------------------------
    main.intro=1;
    main.md=2;
    main.av=3;
    main.dist=4;
    main.rv=5;
    main.bt=6;
    main.lab=7;
    main.gv=8;
    main.rc=9;
    main.sum=10;
end
