function InitialiseBG
disp('InitialiseBG')
global c k main
set(gcf,'CurrentAxes', c.BladeGeometryFig)
hold on
axis equal
% axis([-1 1 -1 1]);                                         %include real scale for x axis
title('Trailing edge geometry','FontSize',main.font+2);
ylabel('Thickness [mm]');
try delete(c.trailingG); end 
c.tr_a=c.ttrailing/2; % the flat part of the trailing edge
c.tr_b=(2*c.ttrailing/3)/tand(30); % the long side of the 30 degree angle
plotend=c.tr_b+5;

c.trailingG = 0;
c.trailingG(1) = plot([0 plotend],[0 0],'k--','linewidth',1); %plotting center axis
c.trailingG(2) = plot(-2,(-c.tr_a-1),'x');  % 
c.trailingG(3) = plot([plotend 0 0 c.tr_b plotend],[c.tr_a c.tr_a c.tr_a/3 -c.tr_a -c.tr_a],'k-');
c.trailingG(4) = plot([0 c.tr_b c.tr_b],[0 0 -c.tr_a],'r--');
c.trailingG(5) = plot(-2,(c.tr_a+1),'x');

set(gcf,'CurrentAxes', c.BladeGeometryFig2)
hold on
% plot([0 50],[0 0],'k--','linewidth',1); %plotting center axis
% axis([0 50 -15 15]);                                         %include real scale for x axis
% axis([-1 1 -1 1]);
axis equal
set(gca,'XDir','rev');
title('Leading edge geometry','FontSize',main.font+2);
% plot(-2,0,'x')%; 0 (-c.tleading*0.6); 0 (c.tleading*0.6)],'.')
if c.first==0
    c.a_ps=c.tleading/2;
    c.a_ss=3*c.tleading/2;
end
b=c.tleading/2;
dy=1/20*b;
for i=1:21
    y(i)= i*dy-dy;
    x_ps(i)=c.a_ps*sqrt(1-(y(i)/b)^2)-c.a_ps;
    x_ss(i)=c.a_ss*sqrt(1-(y(i)/b)^2)-c.a_ss;  
end
c.btemp=b;
try delete(c.leadingG); end 
plotend=[(-x_ss(21)+5) (-x_ps(21)+5)];
c.leadingG = 0;
c.leadingG(1)=plot([0 max(plotend)],[0 0],'k--','linewidth',1); %plotting center axis
c.leadingG(2)=plot(-x_ps,y); %plotting pressure side
c.leadingG(3)=plot(-x_ss,-y); %plotting suction side
c.leadingG(4)=plot([-x_ss(21) max(plotend)],[-b -b],'k-');
c.leadingG(5)=plot([-x_ps(21) max(plotend)],[b b],'k-');
c.leadingG(6)=plot([-x_ss(21) -x_ss(21)],[-b 0],'k-');
c.leadingG(7)=plot([-x_ps(21) -x_ps(21)],[b 0],'k-');
c.leadingG(8)=plot([-x_ss(21) 0],[-0.008*b -0.008*b],'r-','linewidth',2);
c.leadingG(9)=plot([-x_ps(21) 0],[0.008*b 0.008*b],'b-','linewidth',2);
c.leadingG(10)=plot(-2,b+1,'marker','s','markersize',.5,'markerfacecolor','none','linestyle','none');
c.leadingG(11)=plot(-2,(-b-1),'marker','s','markersize',.5,'markerfacecolor','none','linestyle','none');%; 0 (-c.tleading*0.6); 0 (c.tleading*0.6)],'.')
text((c.a_ps/2+0.5), 0.1*b,['a\_ps'],'color',[0 0 1],'FontSize',main.font-1,'Parent',c.BladeGeometryFig2)
text((c.a_ss/2+0.5), -0.08*b,['a\_ss'],'color',[1 0 0],'FontSize',main.font-1,'Parent',c.BladeGeometryFig2)

%ylabel('Thickness [mm]');                                   %move to right side?
end