function LaHiguera_GV_SV_SC
disp('LaHiguera_GV_SV_SC')
global d main saved

d.D_gvaxLA = 2.4;
%--------------------------------------------------------------------------
% Plotting guide vanes according to existing guide vanes at La Higuera, Chile
%--------------------------------------------------------------------------
d.Z_gv=20;
d.Gv_mat=dlmread('GuidevanesLH.txt','\t');
L_gv=0.403;

L_gvax=0.5*L_gv;
d.D_gvax=2.4;
alpha_gvax=34;
d.Gvx=d.Gv_mat(:,1)*L_gv-(L_gv-L_gvax);
d.Gvy=d.Gv_mat(:,2)*L_gv;
[theta,r]=cart2pol(d.Gvx, d.Gvy);
theta=theta+(pi/2-alpha_gvax*pi/180)-pi;
[d.Gvx,d.Gvy]=pol2cart(theta, r);
d.Gvx=d.Gvx+d.D_gvax/2;
i_gv=0;
set(gcf,'CurrentAxes', d.gvFig)
try delete(d.gvplot); end
d.gvplot=0;
hold on
%Use 17 insted of 19, and get real distribution of stay vanes. Then special
%plotting is necessary for the fold closing up the spiral casing
for angle=pi/2-9*pi/180:-2*pi/d.Z_gv:pi/2-9*pi/180-19*18*pi/180     
        i_gv=i_gv+1;    
        [theta r]=cart2pol(d.Gvx, d.Gvy);
        theta=theta+angle;
        [Gvxplot Gvyplot]=pol2cart(theta,r);
        d.gvplot(i_gv)=plot(Gvxplot,Gvyplot,'b','linewidth',2);
end

%--------------------------------------------------------------------------
% Plotting stay vanes according to existing stay vanes at La Higuera, Chile
%--------------------------------------------------------------------------
d.Z_sv=20;
d.alphasv=63; %degrees
d.D_svout=2.84;
d.Sv_mat=dlmread('Stayvanes.txt','\t');
d.Svx=d.Sv_mat(:,1);
d.Svy=d.Sv_mat(:,2);
[theta,r]=cart2pol(d.Svx, d.Svy);
theta=theta+(d.alphasv*pi/180);
[d.Svx,d.Svy]=pol2cart(theta, r);
d.Svx=d.Svx+d.D_svout/2; 
i_sv=0;
set(gcf,'CurrentAxes', d.gvFig)
try delete(d.svplot); end
d.svplot=0;
hold on
axis equal
%Use 17 insted of 19, and get real distribution of stay vanes. Then special
%plotting is necessary for the fold closing up the spiral casing
for angle=pi/2-9*pi/180:-2*pi/d.Z_sv:pi/2-9*pi/180-19*18*pi/180     
        i_sv=i_sv+1;    
        [theta r]=cart2pol(d.Svx, d.Svy);
        theta=theta+angle;
        [Svxplot Svyplot]=pol2cart(theta,r);
        d.svplot(i_sv)=plot(Svxplot,Svyplot,'r','linewidth',2);
end
%--------------------------------------------------------------------------
% Finding the area and force on the stay vanes
%--------------------------------------------------------------------------
%Using triangles for the ends
d.A_svLA = 0;
for i = 1:10
    if (10-i)==0
        a = abs(d.Sv_mat(2,2)-d.Sv_mat(22,2));
        b = abs(d.Sv_mat(25,2)-d.Sv_mat(23,2));
        h = abs(d.Sv_mat(23,1)-d.Sv_mat(22,1));
    else
        a = abs(d.Sv_mat(12-i,2)-d.Sv_mat(i+12,2));
        b = abs(d.Sv_mat(12-i-1,2)-d.Sv_mat(i+12+1,2));
        h = abs(d.Sv_mat(12-i,1)-d.Sv_mat(12-i+1,1));
    end
    d.A_svLA = d.A_svLA + (a+b)/2*h;
end
tri1 = abs(d.Sv_mat(23,2)-d.Sv_mat(25,2))/2*abs(d.Sv_mat(23,1)-d.Sv_mat(24,1));
tri2 = abs(d.Sv_mat(13,2)-d.Sv_mat(11,2))/2*abs(d.Sv_mat(12,1)-d.Sv_mat(11,1));
d.A_svLA = d.A_svLA + tri1 + tri2;
% d.L_SVLA = abs(d.Sv_mat(12,1)-d.Sv_mat(24,1));

set(gcf,'CurrentAxes', d.gvFig)
Radiusgvin = 1.42-0.075;
d.D_gvin=2*Radiusgvin;
d.D_1=2;
%plotting D_1
try delete(d.D1plot); end
d.D1plot=0;
hold on
D1Radius = d.D_1/2;
[x,y,~] = cylinder(D1Radius,200);
d.D1plot=plot(x(1,:),y(1,:),'k-','linewidth',1);
%plotting D_gvout
try delete(d.Dgvoutplot); end
d.Dgvoutplot=0;
hold on
DgvoutRadius = d.D_1/2*1.05;
d.D_gvout=DgvoutRadius*2;
[x,y,~] = cylinder(DgvoutRadius,200);
d.Dgvoutplot=plot(x(1,:),y(1,:),'b-','linewidth',1);
%plotting D_0
try delete(d.D0plot); end
d.D0plot=0;
hold on
D0Radius = 1.2; %%
[x,y,~] = cylinder(D0Radius,200);
d.D0plot=plot(x(1,:),y(1,:),'b-','linewidth',1);
%plotting outer guide vane limit
try delete(d.gvlimitplot); end
d.gvlimitplot=0;
hold on
% Radiusgv = Radiussvout/1.02;
[x,y,~] = cylinder(Radiusgvin,200);
d.gvlimitplot=plot(x(1,:),y(1,:),'b-','linewidth',1);
%plotting inner stay vane limit
try delete(d.svoutplot); end
d.svoutplot=0;
hold on
Radiussvout = 1.42; %locked
d.D_svout=Radiussvout*2;
[x,y,~] = cylinder(Radiussvout,200);
d.svoutplot=plot(x(1,:),y(1,:),'r-','linewidth',1);
%plotting outer stay vane limit
try delete(d.svinplot); end
d.svinplot=0;
hold on
gvRadius = 1.79;
[x,y,~] = cylinder(gvRadius,200);
d.svinplot=plot(x(1,:),y(1,:),'r-','linewidth',1);
%plotting spiral casing
try delete(d.spiralplot); end 
d.spiralplot = 0;
hold on
section = 1:1:18;
Rsection = [3300 3270.8 3241.6 3210.3 3176.9 3141.3 3101.6 3059.8 3015.8 2967.5 2916.9 2857.8 2796.2 2725.8 2646.0 2556.4 2448.9 2315.1];
d.spiralplot(1) = polar((section-1)*pi/10+144*pi/180,Rsection(18-section+1)/1000,'r-');
d.spiralplot(2) = plot([-.8026 -4.800],[1.600 1.600],'r-');
d.spiralplot(3) = plot([0 -4.800],[3.3 3.3],'r-');
d.spiralplot(5) = plot([0],[3.4],'k-');
[xx,yy,~]=pol2cart(8*18*pi/180,2.3151,0);
d.spiralplot(4) = plot([xx -1.5574 -.8026 -.8026],[yy 1.5625 1.5625 1.6],'r-');
%--------------------------------------------------------------------------
d.A_svfLA=pi*(((Rsection(1)-1700/2)/1000)^2-(d.D_gvaxLA/2)^2);
d.Pmax=main.rho*main.grav*saved.H*1.2; % static pressure + safety factor (=1.2) for pressure pulsation %% ???
d.F_svLA=d.Pmax*d.A_svfLA;               % force acting on stay vanes
d.sigma_svfLA=d.F_svLA/(d.A_svLA*d.Z_sv);
set(d.SigmaLAStatic,'String',d.sigma_svfLA/1e6);
area2=d.A_svLA;
area2


end
