function MainDim
disp('Maindim')
global k
MakeMainItems           % create all objects appearing on tab "Main Dimensions"
if k.i==0
    InitialiseMainDim   % Initializes all items on tab "Main Dimensions"
end
end
function MakeMainItems(~,~)
global h main
disp('MakeMainItems')
%--------------------------------------------------------------------------
% GUI items code
%--------------------------------------------------------------------------
h.i=0;
h.table_n=zeros(1,15);
h.VelocityAx = axes('Position',[0.03 0.3 0.5 0.6],'Units','normalized',...
    'Parent',main.panels(main.md),...
    'box','on','Xtick',[-1 2],'Ytick',[-1 2]);

h.HeadEdit=uicontrol('Style','edit','Units','normalized','position',[0.20 0.95 0.05 0.03],...
    'Callback',@HeadEditCallback,'Parent',main.panels(main.md),...
    'string','201.5');
h.HeadStatic=uicontrol('Style','text','String','Head (H)','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units', 'normalized',...
    'position',[0.15 0.947 0.04 0.03],'Parent',main.panels(main.md));
h.HeadStaticm=uicontrol('Style','text','String','[m]','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position',[0.25 0.947 0.04 0.03],'Parent',main.panels(main.md));

h.FlowEdit=uicontrol('Style','edit','Units','normalized','position',[0.35 0.95 0.05 0.03],...
    'Callback',@FlowEditCallback,'Parent',main.panels(main.md),...
    'string','2.35');
h.FlowStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Flow (Q)','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position', [0.30 0.947 0.04 0.03],'Parent',main.panels(main.md));
h.FlowStatic=uicontrol('Style', 'text','String', '[m^3/s]','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position',[0.40 0.947 0.04 0.03],'Parent',main.panels(main.md));

h.U1redSlider=uicontrol('Style','slider','Units','normalized','Min',0.50,'Max',1.0,...
    'position',[0.83 0.90 0.10 0.03],...
    'Callback',@U1redSliderCallback,'Parent',main.panels(main.md));
h.U1redEdit=uicontrol('Style','edit','Units','normalized','position',[0.77 0.90 0.05 0.03],...
    'Callback',@U1redEditCallback,'Parent',main.panels(main.md));
h.U1redStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Reduced inlet peripheral velocity (U_1)','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position',[0.60 0.90 0.17 0.03],'Parent',main.panels(main.md));

h.D2Edit=uicontrol('Style','edit','Units','normalized','position', [0.77 0.80 0.05 0.03],...
    'Callback',@D2EditCallback,'Parent',main.panels(main.md));
h.D2Static=uicontrol('Style','text','HorizontalAlignment','left','String','Outlet diameter (D2)','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position', [0.60 0.80 0.17 0.03],'Parent',main.panels(main.md));
h.D2UnitStatic=uicontrol('Style','text','String','[m]','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units', 'normalized',...
    'position', [0.82 0.80 0.04 0.03],'Parent',main.panels(main.md));

h.ZpEdit=uicontrol('Style','edit','Units','normalized','position',[0.77 0.85 0.05 0.03],...
    'Callback',@ZpEditCallback,'Parent',main.panels(main.md));
h.ZpStatic=uicontrol('Style','text','HorizontalAlignment','left','String','# pole pairs in generator (Z_p)','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position', [0.60 0.85 0.17 0.03],'Parent',main.panels(main.md));
h.ZpUnitStatic=uicontrol('Style','text','String','[-]','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position',[0.82 0.85 0.04 0.03],'Parent',main.panels(main.md));

h.B1Edit=uicontrol('Style','edit','Units','normalized','position',[0.77 0.75 0.05 0.03],...
    'Callback',@B1EditCallback,'Parent',main.panels(main.md));
h.B1Static=uicontrol('Style','text','HorizontalAlignment','left','String', 'Inlet height (B1)','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units', 'normalized',...
    'position', [0.60 0.75 0.17 0.03],'Parent',main.panels(main.md));
h.B1UnitStatic=uicontrol('Style','text','String','[m]','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position', [0.82 0.75 0.04 0.03],'Parent',main.panels(main.md));

h.UserStatic=uicontrol('Style','text','HorizontalAlignment','left',...
    'String','Submit the head and the flow rate of the design case in question. The reduced value of the inlet peripheral speed, the number of pole pairs, the outlet diameter and the rate of acceleration of the flow through the runner has to be chosen. When this is done, press the "Check values" - button. This will execute the plotting of the velocity triangles calculated from the chosen values.',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position', [0.60 0.30 0.27 0.30],'Parent',main.panels(main.md));
h.HeadStatic=uicontrol('Style','text','String','Velocity triangles','FontSize',main.font+2,...
    'BackgroundColor',[.8 .8 .8],'Units', 'normalized',...
    'position',[0.22 0.905 0.10 0.03],'Parent',main.panels(main.md));
h.CheckTable1=uitable('Parent',main.panels(2),'Units','normalized',...
    'position',[0.03 .03 .78 .25],'FontSize',main.font-1,'RowName',[],...
    'ColumnName',[{'U_1 reduced [-]'} {'Zp [-]'} {'n [rpm]'}...
    {'D2 [m]'} {'U2 [m/s]'} {'U_2 reduced [-]'} {'Cm2 [m/s]'} {'beta2 [o]'} {'D1 [m]'} ...
    {'W1 [m/s]'} {'W2 [m/s]'} {'beta1 [o]'} {'Acc [%]'} {'Hs [mWc]'} ...
    {'Speed number [-]'} {'Reaction ratio [-]'}]);%Table headlines
%--------------------------------------------------------------------------
end
function InitialiseMainDim(~,~)
global h v
disp('InitialiseMainDim')
%--------------------------------------------------------------------------
% Initializing values
%--------------------------------------------------------------------------
md = exist('MainDimensions.mat');
if md == 2;
    load('MainDimensions.mat');
    v.Q = Q;
    v.H = H;
    v.U_1 = U1;
    v.B_1 = B1;
    v.D_2 = D2;
    v.Z_p = Zp;
else
    v.Q = 25;
    v.H = 381;
    v.U_1 = 0.72672;
    v.B_1 = 0.226;
    v.D_2 = 1.6;
    v.Z_p = 5;
end

U_1=v.U_1;
Zp=v.Z_p;
D2=v.D_2;
B1=v.B_1;
H=v.H;
Q=v.Q;
set(h.U1redEdit,'String',num2str(U_1));
set(h.U1redSlider,'Value',U_1);
set(h.ZpEdit,'String',num2str(Zp));
set(h.D2Edit,'String',num2str(D2));
set(h.B1Edit,'String',num2str(B1));
set(h.HeadEdit,'String',num2str(H));
set(h.FlowEdit,'String',num2str(Q));
%--------------------------------------------------------------------------
end
function HeadEditCallback(~,~)
global saved
CheckValues
%--------------------------------------------------------------------------
% If this script is executed, the main dimesions has been changed. Thus the 
% following tabs has to be updated. Setting the following variables to zero, 
% that will happen. 
%--------------------------------------------------------------------------
saved.av=0;
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function FlowEditCallback(~,~)
global saved
CheckValues
%--------------------------------------------------------------------------
% If this script is executed, the main dimesions has been changed. Thus the 
% following tabs has to be updated. Setting the following variables to zero, 
% that will happen. 
%--------------------------------------------------------------------------
saved.av=0;
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function U1redSliderCallback(hobj,~)
global h saved
%--------------------------------------------------------------------------
% Get slider value and assign to text box
%--------------------------------------------------------------------------
sliderValue = get(h.U1redSlider,'Value');
sliderValue = num2str(sliderValue);
set(h.U1redEdit,'String',sliderValue);
%--------------------------------------------------------------------------
% Enable and disable update and check values buttons
%--------------------------------------------------------------------------
CheckValues
%--------------------------------------------------------------------------
% If this script is executed, the main dimesions has been changed. Thus the 
% following tabs has to be updated. Setting the following variables to zero, 
% that will happen. 
%--------------------------------------------------------------------------
saved.av=0;
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
guidata(hobj, h);
end
function U1redEditCallback(~,~)
global h saved
%--------------------------------------------------------------------------
% Get text box value and assign to slider
%--------------------------------------------------------------------------
sliderValue = get(h.U1redEdit,'String');
sliderValue = str2double(sliderValue);
%--------------------------------------------------------------------------
%if user input is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
%--------------------------------------------------------------------------
if (isempty(sliderValue) || sliderValue < get(h.U1redSlider,'Min') || sliderValue > get(h.U1redSlider,'Max'))
    set(h.U1redSlider,'Value',get(h.U1redSlider,'Min'));
    set(h.U1redEdit,'String',num2str(get(h.U1redSlider,'Min')));
    CheckValues
else
    set(h.U1redSlider,'Value',sliderValue);
    CheckValues
end
%--------------------------------------------------------------------------
% If this script is executed, the main dimesions has been changed. Thus the 
% following tabs has to be updated. Setting the following variables to zero, 
% that will happen. 
%--------------------------------------------------------------------------
saved.av=0;
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function D2EditCallback(~,~)
global saved
CheckValues
%--------------------------------------------------------------------------
% If this script is executed, the main dimesions has been changed. Thus the 
% following tabs has to be updated. Setting the following variables to zero, 
% that will happen. 
%--------------------------------------------------------------------------
saved.av=0;
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function ZpEditCallback(~,~)
global saved
CheckValues
%--------------------------------------------------------------------------
% If this script is executed, the main dimesions has been changed. Thus the 
% following tabs has to be updated. Setting the following variables to zero, 
% that will happen. 
%--------------------------------------------------------------------------
saved.av=0;
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function B1EditCallback(~,~)
global saved
CheckValues
%--------------------------------------------------------------------------
% If this script is executed, the main dimesions has been changed. Thus the 
% following tabs has to be updated. Setting the following variables to zero, 
% that will happen. 
%--------------------------------------------------------------------------
saved.av=0;
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end