function RadialView
disp('RadialView')
global e main k
e.bladeleaningindex=0;
e.initial=0;
%--------------------------------------------------------------------------
% Reset bladeleaning button
%--------------------------------------------------------------------------
e.ResetButton=uicontrol('Style', 'pushbutton', 'String', 'Reset Blade Leaning', 'Units','normalized','FontSize', main.font,...
    'position', [0.04 0.57 0.10 0.05],'Callback', @ResetCallback,...
    'Parent',main.panels(main.rv),'enable','on');

%--------------------------------------------------------------------------
%Blade leaning figure
%--------------------------------------------------------------------------
e.BladeLeaningAxes = axes('Position',[0.02 0.70 0.25 0.25],'Units','normalized','Parent',main.panels(main.rv),...
    'box','on','DataAspectRatio',[25 1 1]);%,'Xlim',[-20 25],'Ylim',[-0.05 1.05]);
e.BladeLeaningFig=gca;

e.Hub=uicontrol('Style','text','HorizontalAlignment','left','String','Hub',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.26 0.92 0.03 0.03],...
    'Parent',main.panels(main.rv));
e.Shroud=uicontrol('Style','text','HorizontalAlignment','left','String','Shroud',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.26 0.69 0.03 0.03],...
    'Parent',main.panels(main.rv));
%--------------------------------------------------------------------------
%Radial axes figure
%--------------------------------------------------------------------------
e.RadialAxes = axes('Position',[-0.07 0.05 0.45 0.45],'Units','normalized','Parent',main.panels(main.rv),...
    'box','on','DataAspectRatio',[1 1 1]);   %,'Xlim',[0 0.45],'Ylim',[-0.05 0.3]

e.RadialFig=gca;
%--------------------------------------------------------------------------
%Blade axes figure
%--------------------------------------------------------------------------
e.BladeAxes = axes('Position',[0.69 0.40 0.28 0.28],'Units','normalized','Parent',main.panels(main.rv),...
    'box','on','DataAspectRatio',[1 1 1]);   %,'Xlim',[0 0.45],'Ylim',[-0.05 0.3]
e.BladeFig=gca;
%--------------------------------------------------------------------------
%Runner figure
%--------------------------------------------------------------------------
e.RunnerAxes = axes('Position',[0.67 0.03 0.32 0.32],'Units','normalized','Parent',main.panels(main.rv),...
    'box','on','DataAspectRatio',[1 1 1]);   %,'Xlim',[0 0.45],'Ylim',[-0.05 0.3]
e.RunnerFig=gca;
%--------------------------------------------------------------------------
% U*Cu figures
%--------------------------------------------------------------------------
e.UCuHubAxes = axes('Position',[0.33 0.69 0.30 0.29],'Units','normalized','Parent',main.panels(main.rv),...
                   'box','on'); 
e.UCuHubFig=gca;
e.UCuCenterAxes = axes('Position',[0.33 0.36 0.30 0.29],'Units','normalized','Parent',main.panels(main.rv),...
                   'box','on');
e.UCuCenterFig=gca;
e.UCuShroudAxes = axes('Position',[0.33 0.03 0.30 0.29],'Units','normalized','Parent',main.panels(main.rv),...
                    'box','on');
e.UCuShroudFig=gca;
%--------------------------------------------------------------------------
%Panel for input data
%--------------------------------------------------------------------------
e.Runnerdatapanel = uipanel('Parent',main.panels(main.rv),'Title','Runner data',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
    'Position',[.66 .77 .3 .2]);
e.NumberofBlades=uicontrol('Style','text','HorizontalAlignment','left','String','Number of Blades required to avoid backflow',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.03 0.70 0.6 0.30],...
    'Parent',e.Runnerdatapanel);
e.ChooseNumberofBlades=uicontrol('Style','text','HorizontalAlignment','left','String','Choose Number of Blades',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.03 0.58 0.6 0.12],...
    'Parent',e.Runnerdatapanel);
e.NoBlades=uicontrol('Style', 'text','FontSize',main.font-1,'Units', 'normalized',...
    'BackgroundColor',[.8 .8 .8],'position', [0.66 0.75 0.2 0.12],...
    'Parent',e.Runnerdatapanel);
e.NoBladesEdit=uicontrol('Style', 'edit','FontSize',main.font-1,'Units', 'normalized',...
    'position', [0.66 0.58 0.2 0.12],'String','0',...
    'Parent',e.Runnerdatapanel,'Callback',@NoBladesCallback);
e.ColormapofBlades=uicontrol('Style','text','HorizontalAlignment','left','String','Colormap on blades',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.03 0.33 0.6 0.12],...
    'Parent',e.Runnerdatapanel);
e.ColormapBlades=uicontrol('Style','popupmenu','Units', 'normalized','position', [0.66 0.38 0.2 0.10],...
    'String',{'Default','Curvature','Relative velocity part load','Relative velocity design load','Number of blades','Erosion tendency'},'Fontsize',10,'Callback',@ColormapBladesCallback,...
    'Parent',e.Runnerdatapanel,'FontSize',main.font-1);
e.erosionfactor=uicontrol('Style','text','HorizontalAlignment','left','String','Erosion factor',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.03 0.10 0.6 0.12],...
    'Parent',e.Runnerdatapanel);
e.erosionfactornumber=uicontrol('Style', 'text','FontSize',main.font-1,'Units', 'normalized',...
    'BackgroundColor',[.8 .8 .8],'position', [0.66 0.13 0.2 0.12],...
    'Parent',e.Runnerdatapanel);
%--------------------------------------------------------------------------
%Title Radial View
%--------------------------------------------------------------------------
e.polarplotStatic=uicontrol('Style','text','String','Radial view','FontSize',main.font+2,...
    'BackgroundColor',[.8 .8 .8],'Units', 'normalized',...
    'position',[0.10 0.52 0.10 0.03],'Parent',main.panels(main.rv));
%--------------------------------------------------------------------------
e.HubStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Hub','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[1 1 1],'position',[0.35 0.93 0.05 0.03],...
                     'Parent',main.panels(main.rv));
e.CenterStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Center','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[1 1 1],'position',[0.35 0.61 0.05 0.03],...
                     'Parent',main.panels(main.rv));     
e.ShroudStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Shroud','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[1 1 1],'position',[0.35 0.28 0.05 0.03],...
                     'Parent',main.panels(main.rv));
%--------------------------------------------------------------------------
%Leaning Check Box
%--------------------------------------------------------------------------
%Allows for keeping trailing edge fixed while leaning the blade.
e.LeaningCheck=uicontrol('Style', 'checkbox', 'String', 'Fixed trailing edge', 'Units', 'normalized','FontSize', main.font,...
                     'position', [0.18 0.57 0.12 0.05],'Callback', @LeaningCallback,...
                     'Parent',main.panels(main.rv),'Value',1,'BackgroundColor',[.8 .8 .8]);
if e.first == 0;
e.BLpoint=[0 0; 0 0.5; 0 1];
e.LeaningOption=0;
end
e.temp=e.BLpoint;
e.first =1;
end
function ResetCallback(~,~)
disp('ResetCallback')
global e saved
e.BLpoint=[0 0; 0 0.5; 0 1];
e.temp=e.BLpoint;
saved.bt=0;
BladeLeaning
end
function NoBladesCallback(~,~)
disp('NoBladesCallback')
global d e s saved
[~,Line]=size(saved.Rmat);
e.Z_rc=str2double(get(e.NoBladesEdit,'String'));
%--------------------------------------------------------------------------
% Plotting the runner cascade
%--------------------------------------------------------------------------
plotBG_3D
%--------------------------------------------------------------------------
% calculating required thickness of blade. Assuming torque transfer to end
% when 50 % of the energy is transfered.

% e.b=saved.B_1;
% e.a=1.5*e.b;
% e.R_t=saved.Rmat(1,1)-e.a;
% e.R_m=(saved.Rmat(1,1)+e.R_t)/2;
% 
% 
% e.deltap=saved.power/(e.Z_rc*e.a*e.b*e.R_m*saved.omega);
% sigmamax=100*10^6; %Pa

% brekke relation for runner inlet thickness
% e.tmax=sqrt(2*e.b^2*e.deltap/sigmamax)*1000; %[mm]

% kvaerner relations for runner blade inlet and outlet thickness
% e.tmax=5.7*(0.5+0.96*h.speedNr)*sqrt((((h.power/1000)/(g.H^1.5)*g.H)/((1+4.7*h.speedNr)*e.Z_rc)));
% e.tout=0.72*h.speedNr^(1/3)*sqrt((h.power/1000)/(g.H^1.5)*g.H)/sqrt(e.Z_rc);

% fixed runner inlet and outlet thickness according to Ole Gunnar
% e.tmax=15; %set inlet thickness to 15mm until we know values for Jhimruk
% e.tout=8; %set outlet thickness to 8 mm
% set(e.ThicknessBlades,'String',[num2str(e.tmax) ' mm']);
% set(e.ThicknessBlades2,'String',[num2str(e.tout) ' mm']);
%--------------------------------------------------------------------------
% Plot one streamline of the runner in the guidevanes tab to illustrate the
% runner inside the guide vanes, stay vanes and spiral casing.
%--------------------------------------------------------------------------
set(gcf,'CurrentAxes',d.gvFig);
hold on
i=0;
try delete (d.runnerplot); end
d.runnerplot=0;
for angle=0:2*pi/e.Z_rc:2*pi
    i=i+1;
    [theta r]=cart2pol(e.Xmat(:,round(Line/2)),e.Ymat(:,round(Line/2)));        % runner middle contour
    %         [theta r]=cart2pol(e.Xmat(:,end),e.Ymat(:,end));  % runner hub contour
    %         [theta r]=cart2pol(e.Xmat(:,1),e.Ymat(:,1));        % runner shroud contour
    theta=theta+angle;
    [x y]=pol2cart(theta,r);
    d.runnerplot(i)=plot(x,y,'k');
end
%--------------------------------------------------------------------------
% Includes the new number of blades in the summary tab.
%--------------------------------------------------------------------------
try delete(s.Blades); end
s.Blades=uicontrol('Style','text','FontName','Symbol','String',get(e.NoBladesEdit,'string'),'FontSize',12,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.40 0.436 0.3 0.142],'HorizontalAlignment','left',...
    'Parent',s.dimensionspanel);
%--------------------------------------------------------------------------
% Resets the Blade thickness distribution
%--------------------------------------------------------------------------
saved.bt=0;
%--------------------------------------------------------------------------
% calcGV
end
function LeaningCallback(~,~)
% e.LeaningOption = 1 when trailing edge is fixed
global e
e.LeaningOption=get(e.LeaningCheck,'Value');
BladeLeaning
% set(e.LeaningCheck,'Value',a);
end

function ColormapBladesCallback(~,~)
disp('ColormapBladesCallback')
% global e saved
% e.erosionarea=erosionarea(e.Xmat,e.Ymat,saved.Zmat);
% const=1;
% e.erosion=saved.Wmat.^3*const;
% e.erosiontotal=sum(sum(e.erosion.*e.erosionarea))/sum(sum(e.erosionarea));
plotBG_3D
end