function RunnerCascade
disp('runner cascade')
global d main
%--------------------------------------------------------------------------
% GUI items code
%--------------------------------------------------------------------------
d.gvAx=axes('Position',[0.03 0.25 0.5 0.6],'Units','normalized','Parent',main.panels(main.rc),...
                    'box','on');                
d.gvFig=gca;
%--------------------------------------------------------------------------
%Guide vane data panel 
%--------------------------------------------------------------------------
d.LAGVdatapanel = uipanel('Parent',main.panels(main.rc),'Title','Guide vane data',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
    'Position',[.63 .70 .35 .25]);
d.LAZgvStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', '# guide vanes (Z_gv)','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.77 0.5 0.15],'Parent',d.LAGVdatapanel);
d.LAZgvEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.55 0.77 0.18 0.15],...
                       'Callback', @LAguidevanesCallback,'Parent',d.LAGVdatapanel,'string','24');   
d.LAZgvUnit=uicontrol('Style', 'text','string','[-]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.80 0.77 0.18 0.15],...
                       'Parent',d.LAGVdatapanel);
d.LADgvaxStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'Guide vane axis location (D_0)','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.55 0.5 0.15],'Parent',d.LAGVdatapanel);
d.LADgvaxEdit=uicontrol('Style', 'edit','string','2.4','Units', 'normalized','position', [0.55 0.55 0.18 0.15],...
                       'Callback', @LADgvaxCallback,'Parent',d.LAGVdatapanel);
d.LADgvaxUnit=uicontrol('Style', 'text','string','[-]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.80 0.55 0.18 0.15],...
                       'Parent',d.LAGVdatapanel);
d.LAALStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'Axis location','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.11 0.48 0.15],'Parent',d.LAGVdatapanel);
% d.ALEdit=uicontrol('Style', 'edit','string','2.4','Units', 'normalized','position', [0.40 0.33 0.18 0.15],...
%                        'Callback', @ALCallback,'Parent',d.GVdatapanel); 
d.LAk_olStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'Overlap factor (k_ol)','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.33 0.5 0.15],'Parent',d.LAGVdatapanel);                   
d.LAk_olEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.55 0.33 0.18 0.15],...
                       'Callback', @LAk_olCallback,'String','10','Parent',d.LAGVdatapanel);
d.LAk_olUnit=uicontrol('Style', 'text','string','[-]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.80 0.33 0.18 0.15],...
                       'Parent',d.LAGVdatapanel);
%--------------------------------------------------------------------------
% Stay vane data panel
%--------------------------------------------------------------------------
d.SVLAdatapanel = uipanel('Parent',main.panels(main.rc),'Title','Stay vane data',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
    'Position',[.63 .20 .35 .2]);
% d.t_svStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Guide vane thickness (t_sv)','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.03 0.40 0.5 0.2],'Parent',d.SVdatapanel);
% d.t_svEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.55 0.42 0.18 0.2],...
%                        'Callback', @t_svCallback,'Parent',d.SVdatapanel,'String','20');
% d.t_svUnit=uicontrol('Style', 'text','string','[mm]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
%                        'BackgroundColor',[.8 .8 .8],'position', [0.8 0.40 0.18 0.2],...
%                        'Parent',d.SVdatapanel);
d.SigmaLAStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Maximum stay vane stress','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.10 0.5 0.2],'Parent',d.SVLAdatapanel);
d.SigmaLAStatic=uicontrol('Style', 'edit','Units', 'normalized','position', [0.55 0.12 0.18 0.2],...
                       'Parent',d.SVLAdatapanel,'String','200'); %'Callback', @sigmaLACallback,
d.SigmaLAUnit=uicontrol('Style', 'text','string','[MPa]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.8 0.10 0.18 0.20],...
                       'Parent',d.SVLAdatapanel);
% d.ZgvStatic=uicontrol('Style', 'text','String', 'Z_gv','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.05 0.947 0.04 0.03],'Parent',main.panels(main.rc));
% d.ZgvEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.10 0.95 0.05 0.03],...
%                        'Callback', @guidevanesCallback,'Parent',main.panels(main.rc),'string','24');    
% d.DgvaxStatic=uicontrol('Style', 'text','String', 'D_0','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.15 0.947 0.04 0.03],'Parent',main.panels(main.rc));
% d.DgvaxEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.20 0.95 0.05 0.03],...
%                        'Callback', @axisdiameterCallback,'Parent',main.panels(main.rc));    
% d.t_svStatic=uicontrol('Style', 'text','String', 't_sv','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.25 0.947 0.04 0.03],'Parent',main.panels(main.rc));                   
% d.t_svEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.30 0.95 0.05 0.03],...
%                        'Callback', @t_svCallback,'String','20','Parent',main.panels(main.rc));    
% d.Z_scStatic=uicontrol('Style', 'text','String', 'Z_sc','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.35 0.947 0.04 0.03],'Parent',main.panels(main.rc)); 
% d.Z_scEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.40 0.95 0.05 0.03],...
%                        'Callback', @Z_scCallback,'Parent',main.panels(main.rc),'String','20');
% d.ThicknessStatic=uicontrol('Style', 'text','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.23 0.88 0.21 0.03],'Parent',main.panels(main.rc));
% d.AxislocationStatic=uicontrol('Style', 'text','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.05 0.88 0.18 0.03],'Parent',main.panels(main.rc));                                    
% d.User1Static=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'The number of guide vanes should not be the same as the number of runner blades. ','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.6 0.80 0.35 0.05],'Parent',main.panels(main.rc));
% d.User2Static=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'The guide vane axis location should be somewhere in between 0.5 and 0.75. This can be altered both by changing the number of guide vanes, Z_gv, and by changing the guide vane axis, denoted as D_0.','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.6 0.72 0.35 0.10],'Parent',main.panels(main.rc));
% d.User3Static=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'The stay vane thickness depend on the stay vane length. As the stay vanes follow a free vortex, increasing the stay vane inlet diameter, D_svin, will increase the stay vane length, and thus decrease the required thickness of the stay vanes.','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.6 0.65 0.35 0.10],'Parent',main.panels(main.rc));
% d.User4Static=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'The spiral casing is traditionally welded together. The number of pieces that are welded together, Z_sc, has to be chosen. ','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.6 0.58 0.35 0.10],'Parent',main.panels(main.rc));
end
function LADgvaxCallback(~,~)
global d main h b
d.D_gvax=str2double(get(d.LADgvaxEdit,'String'));
calcGV
%--------------------------------------------------------------------------
% Calculating initial value of D_svin
%--------------------------------------------------------------------------
d.B_sv=d.B_gvout;
d.Z_sv=d.Z_gv;
d.D_svout=d.D_gvin*1.03;
d.c_usvout=d.c_ugvin*d.D_gvin/d.D_svout;
d.c_msvout=h.Q/(d.B_sv*pi*d.D_svout);
d.alpha_svout=atand(d.c_msvout/d.c_usvout);
OptimiseSV
% multiplication=1.001;           % Initial assumption for calcualtion
% sigma_sv=main.sigmamax*2;
% while sigma_sv>main.sigmamax
%     d.D_svin=ceil(d.D_svout*multiplication*1000)/1000;
%     multiplication = multiplication+0.01;
%     d.c_msvin=h.Q/(d.D_svin*d.B_sv*pi);
%     d.c_usvin=d.c_usvout*(d.D_svout/d.D_svin);
%     d.alpha_svin=atand(d.c_msvin/d.c_usvin);
% 
%     d.R_svout=d.D_svout/2;
%     d.R_svin=d.D_svin/2;     %stay vane radius 
%     d.C_t=d.c_usvin*d.R_svin; % Free vortex constant
%     imax=100;
%     d.R_sv=zeros(1,imax);
%     d.alpha_sv=d.R_sv;
%     d.theta_sv=d.R_sv;
%     d.L_sv=d.R_sv;
%     d.angleBsv=d.R_sv;
%     d.c_usv=d.R_sv;
%     d.c_msv=d.R_sv;
%     d.c_usv(1)=d.c_usvout;
%     d.c_msv(1)=d.c_msvout;
%     d.dR=(d.R_svin-d.R_svout)/(imax-1);
%     d.R_sv(1)=d.R_svout;
%     d.theta_sv(1)=0;
%     d.alpha_sv(1)=d.alpha_svout;
%     d.L_sv(1)=0;
%     d.angleBsv(1)=0;
%     for i=2:imax
%         d.R_sv(i)=d.R_sv(i-1)+d.dR;
%         d.c_usv(i)=d.C_t/d.R_sv(i);
%         d.c_msv(i)=h.Qn/(2*pi*d.R_sv(i)*d.B_sv);
%         d.alpha_sv(i)=atand(d.c_msv(i)/d.c_usv(i));
%         d.angleBsv(i)=asind(d.R_sv(i-1)/d.R_sv(i)*sind(d.alpha_sv(i-1)+90));
%         d.theta_sv(i)=d.theta_sv(i-1)+180-(d.angleBsv(i)+d.alpha_sv(i-1)+90);
%         d.L_sv(i)=d.L_sv(i-1)+(d.R_sv(i-1)*sind(d.theta_sv(i)-d.theta_sv(i-1))/sind(d.angleBsv(i)));
%     end
%     d.B=d.B_sv;                                 % Stay vane height
%     d.k_2=0.1;                                  % For high head francis - overlap to stay vane
%     d.Z_sc=str2double(get(d.Z_scEdit,'String'));  %number of spiral casing sections
%     d.dzdeg=360/d.Z_sc;                         %degrees between changing spiral casing section
% 
%     i=0;
%     d.Rstart=d.R_svin;
%     d.deltaphi=1*pi/180;
%     d.thetavect=0:d.dzdeg:360;
%     d.Qvect=zeros(size(d.thetavect));
%     d.Rtvect=d.Qvect;
%     d.rvect=d.Qvect;
%     d.C_tCalc=d.Qvect;
%     d.R_svinvect=ones(size(d.thetavect))*d.R_svin;
% 
%     for zdegvect=d.thetavect
%     i=i+1;
%     d.Qvect(i)=(360-zdegvect)/360*h.Qn;
%     d.r_start=1;
%     d.r=d.r_start;
%     d.r_new=0;
%     j=0;
%     while abs(d.r-d.r_new)>0.001
%         j=j+1;
%         d.r_new=d.r;
%         d.phi_0=asin(0.5*d.B/d.r);
%         d.phi_y=acos((d.r*cos(d.phi_0)-d.k_2*d.B)/d.r);
%         if isnan(d.phi_y), break, end
%         phivect=d.phi_y:d.deltaphi:pi;
%         d.Rt=d.R_svin+d.r*cos(d.phi_0)-d.k_2*d.B;
%         d.integral=d.deltaphi*trapz((sin(phivect).^2)./(d.Rt-d.r.*cos(phivect)));
%         d.r=sqrt(d.Qvect(i)/(2*d.C_t*d.integral));
%         d.C_tcalc=d.Qvect(i)/(2*(d.r^2)*d.integral);
%     end
%         d.C_tCalc(i)=d.C_tcalc;
%         d.Rtvect(i)=d.Rt;
%         d.rvect(i)=d.r;
%     end
%     d.rvect(end)=0;
%     d.Rtvect(end)=d.R_svin;
%     d.theta=d.thetavect/180*pi;  
%     d.A_svf=pi*(d.Rtvect(1)^2-(d.D_gvax/2)^2);  %
%     d.Pmax=main.rho*main.grav*h.H*1.2;   % static pressure + safety factor (=1.2) for pressure pulsation
%     d.F_sv=d.Pmax*d.A_svf;               % force acting on stay vanes
%     d.t_sv=str2double(get(d.t_svEdit,'String'))/1000;       % should be inout parameter
%     sigma_sv=d.F_sv/(d.L_sv(end)*d.t_sv*d.Z_sv);
% end
calcSV
calcSC
end
% function ALCallback(~,~)
% global b saved
% d.axislocation=str2double(get(d.ALEdit,'String'));
% 
% % d.L_gv = d.L_gvax/d.axislocation;
% % d.D_gvax = d.L_gv*d.Z_gv/((1+d.k_ol/100)*pi);
% a=d.D_gvax
% set(d.DgvaxEdit,'String',num2str(d.D_gvax));
% 
% calcGV
% % OptimiseSV
% %Change D_0 to fit the new axislocation

% end
function LAguidevanesCallback(~,~)
global b d main h e saved
d.Z_gv=str2double(get(d.LAZgvEdit,'String'));
d.D_gvout=1.05*saved.D_1;
d.c_ugvout=saved.c_u1*saved.D_1/d.D_gvout;
d.c_mgvout=saved.Q/(d.D_gvout*d.B_gvout*pi);
d.alpha_gvout=atand(d.c_mgvout/d.c_ugvout);

multiplication=1.001;           % Initial assumption for calcualtion
axislocation=0.58;          % Initial value to start the loop
       while (axislocation <0.6||axislocation>0.7)
       D_gvax=multiplication*d.D_gvout;
       multiplication = multiplication+0.01;
%        Length from the vane outlet to the axis (Using Trigonometery)
       angleB=asind((d.D_gvout/D_gvax)*sind(d.alpha_gvout+90));
       angleC=180-(angleB+d.alpha_gvout+90);
       L_gvax=sind(angleC)*D_gvax/(2*sind(d.alpha_gvout+90));

       L_gv=1.1*pi*D_gvax/d.Z_gv; % Length of guidevane with 10% coverage factor
       axislocation=L_gvax/L_gv;  % Calculate axis location 
       end

set(d.LADgvaxEdit,'String',num2str(D_gvax));
calcGV
OptimiseSV
calcSV
calcSC
end
function LAk_olCallback(~,~)
global d main h
d.k_ol=str2double(get(d.k_olEdit,'String'));
calcGV
OptimiseSV
calcSV
calcSC
end



% function axisdiameterCallback(~,~)
% global d main h
% calcGV
% %--------------------------------------------------------------------------
% % Calculating initial value of D_svin
% %--------------------------------------------------------------------------
% d.B_sv=d.B_gvout;
% d.Z_sv=d.Z_gv;
% d.D_svout=d.D_gvin*1.03;
% d.c_usvout=d.c_ugvin*d.D_gvin/d.D_svout;
% d.c_msvout=h.Q/(d.B_sv*pi*d.D_svout);
% d.alpha_svout=atand(d.c_msvout/d.c_usvout);
% multiplication=1.001;           % Initial assumption for calcualtion
% sigma_sv=main.sigmamax*2;
% while sigma_sv>main.sigmamax
%     d.D_svin=ceil(d.D_svout*multiplication*1000)/1000;
%     multiplication = multiplication+0.01;
%     d.c_msvin=h.Q/(d.D_svin*d.B_sv*pi);
%     d.c_usvin=d.c_usvout*(d.D_svout/d.D_svin);
%     d.alpha_svin=atand(d.c_msvin/d.c_usvin);
% 
%     d.R_svout=d.D_svout/2;
%     d.R_svin=d.D_svin/2;     %stay vane radius 
%     d.C_t=d.c_usvin*d.R_svin; % Free vortex constant
%     imax=100;
%     d.R_sv=zeros(1,imax);
%     d.alpha_sv=d.R_sv;
%     d.theta_sv=d.R_sv;
%     d.L_sv=d.R_sv;
%     d.angleBsv=d.R_sv;
%     d.c_usv=d.R_sv;
%     d.c_msv=d.R_sv;
%     d.c_usv(1)=d.c_usvout;
%     d.c_msv(1)=d.c_msvout;
%     d.dR=(d.R_svin-d.R_svout)/(imax-1);
%     d.R_sv(1)=d.R_svout;
%     d.theta_sv(1)=0;
%     d.alpha_sv(1)=d.alpha_svout;
%     d.L_sv(1)=0;
%     d.angleBsv(1)=0;
%     for i=2:imax
%         d.R_sv(i)=d.R_sv(i-1)+d.dR;
%         d.c_usv(i)=d.C_t/d.R_sv(i);
%         d.c_msv(i)=h.Qn/(2*pi*d.R_sv(i)*d.B_sv);
%         d.alpha_sv(i)=atand(d.c_msv(i)/d.c_usv(i));
%         d.angleBsv(i)=asind(d.R_sv(i-1)/d.R_sv(i)*sind(d.alpha_sv(i-1)+90));
%         d.theta_sv(i)=d.theta_sv(i-1)+180-(d.angleBsv(i)+d.alpha_sv(i-1)+90);
%         d.L_sv(i)=d.L_sv(i-1)+(d.R_sv(i-1)*sind(d.theta_sv(i)-d.theta_sv(i-1))/sind(d.angleBsv(i)));
%     end
%     d.B=d.B_sv;                                 % Stay vane height
%     d.k_2=0.1;                                  % For high head francis - overlap to stay vane
%     d.Z_sc=str2double(get(d.Z_scEdit,'String'));  %number of spiral casing sections
%     d.dzdeg=360/d.Z_sc;                         %degrees between changing spiral casing section
% 
%     i=0;
%     d.Rstart=d.R_svin;
%     d.deltaphi=1*pi/180;
%     d.thetavect=0:d.dzdeg:360;
%     d.Qvect=zeros(size(d.thetavect));
%     d.Rtvect=d.Qvect;
%     d.rvect=d.Qvect;
%     d.C_tCalc=d.Qvect;
%     d.R_svinvect=ones(size(d.thetavect))*d.R_svin;
% 
%     for zdegvect=d.thetavect
%     i=i+1;
%     d.Qvect(i)=(360-zdegvect)/360*h.Qn;
%     d.r_start=1;
%     d.r=d.r_start;
%     d.r_new=0;
%     j=0;
%     while abs(d.r-d.r_new)>0.001
%         j=j+1;
%         d.r_new=d.r;
%         d.phi_0=asin(0.5*d.B/d.r);
%         d.phi_y=acos((d.r*cos(d.phi_0)-d.k_2*d.B)/d.r);
%         if isnan(d.phi_y), break, end
%         phivect=d.phi_y:d.deltaphi:pi;
%         d.Rt=d.R_svin+d.r*cos(d.phi_0)-d.k_2*d.B;
%         d.integral=d.deltaphi*trapz((sin(phivect).^2)./(d.Rt-d.r.*cos(phivect)));
%         d.r=sqrt(d.Qvect(i)/(2*d.C_t*d.integral));
%         d.C_tcalc=d.Qvect(i)/(2*(d.r^2)*d.integral);
%     end
%         d.C_tCalc(i)=d.C_tcalc;
%         d.Rtvect(i)=d.Rt;
%         d.rvect(i)=d.r;
%     end
%     d.rvect(end)=0;
%     d.Rtvect(end)=d.R_svin;
%     d.theta=d.thetavect/180*pi;  
%     d.A_svf=pi*(d.Rtvect(1)^2-(d.D_gvax/2)^2);  %
%     d.Pmax=main.rho*main.grav*h.H*1.2;   % static pressure + safety factor (=1.2) for pressure pulsation
%     d.F_sv=d.Pmax*d.A_svf;               % force acting on stay vanes
%     d.t_sv=str2double(get(d.t_svEdit,'String'))/1000;       % should be inout parameter
%     sigma_sv=d.F_sv/(d.L_sv(end)*d.t_sv*d.Z_sv);
% end
% calcSV
% calcSC
% end
% function guidevanesCallback(~,~)
% global d main h e saved
% d.Z_gv=str2double(get(d.ZgvEdit,'String'));
% d.D_gvout=1.05*saved.D_1;
% d.B_gvout=saved.B_1+0.001;
% d.c_ugvout=saved.c_u1*saved.D_1/d.D_gvout;
% d.c_mgvout=saved.Q/(d.D_gvout*d.B_gvout*pi);
% d.alpha_gvout=atand(d.c_mgvout/d.c_ugvout);
% 
% multiplication=1.001;           % Initial assumption for calcualtion
% axislocation=0.58;          % Initial value to start the loop
%        while (axislocation <0.6||axislocation>0.7)
%        D_gvax=multiplication*d.D_gvout;
%        multiplication = multiplication+0.01;
%        % Length from the vane outlet to the axis (Using Trigonometery)
%        angleB=asind((d.D_gvout/D_gvax)*sind(d.alpha_gvout+90));
%        angleC=180-(angleB+d.alpha_gvout+90);
%        L_gvax=sind(angleC)*D_gvax/(2*sind(d.alpha_gvout+90));
% 
%        L_gv=1.1*pi*D_gvax/d.Z_gv; % Length of guidevane with 10% coverage factor
%        axislocation=L_gvax/L_gv;  % Calculate axis location 
%        end
% 
% set(d.DgvaxEdit,'String',num2str(D_gvax));
% calcGV
% %--------------------------------------------------------------------------
% % Calculating initial value of D_svin
% %--------------------------------------------------------------------------
% % d.B_sv=d.B_gvout;
% % d.Z_sv=d.Z_gv;
% % d.D_svout=d.D_gvin*1.03;
% % d.c_usvout=d.c_ugvin*d.D_gvin/d.D_svout;
% % d.c_msvout=h.Q/(d.B_sv*pi*d.D_svout);
% % d.alpha_svout=atand(d.c_msvout/d.c_usvout);
% % multiplication=1.001;           % Initial assumption for calcualtion
% % sigma_sv=main.sigmamax*2;
% % while sigma_sv>main.sigmamax
% %     d.D_svin=ceil(d.D_svout*multiplication*1000)/1000;
% %     multiplication = multiplication+0.01;
% %     d.c_msvin=h.Q/(d.D_svin*d.B_sv*pi);
% %     d.c_usvin=d.c_usvout*(d.D_svout/d.D_svin);
% %     d.alpha_svin=atand(d.c_msvin/d.c_usvin);
% % 
% %     d.R_svout=d.D_svout/2;
% %     d.R_svin=d.D_svin/2;     %stay vane radius 
% %     d.C_t=d.c_usvin*d.R_svin; % Free vortex constant
% %     imax=100;
% %     d.R_sv=zeros(1,imax);
% %     d.alpha_sv=d.R_sv;
% %     d.theta_sv=d.R_sv;
% %     d.L_sv=d.R_sv;
% %     d.angleBsv=d.R_sv;
% %     d.c_usv=d.R_sv;
% %     d.c_msv=d.R_sv;
% %     d.c_usv(1)=d.c_usvout;
% %     d.c_msv(1)=d.c_msvout;
% %     d.dR=(d.R_svin-d.R_svout)/(imax-1);
% %     d.R_sv(1)=d.R_svout;
% %     d.theta_sv(1)=0;
% %     d.alpha_sv(1)=d.alpha_svout;
% %     d.L_sv(1)=0;
% %     d.angleBsv(1)=0;
% %     for i=2:imax
% %         d.R_sv(i)=d.R_sv(i-1)+d.dR;
% %         d.c_usv(i)=d.C_t/d.R_sv(i);
% %         d.c_msv(i)=h.Qn/(2*pi*d.R_sv(i)*d.B_sv);
% %         d.alpha_sv(i)=atand(d.c_msv(i)/d.c_usv(i));
% %         d.angleBsv(i)=asind(d.R_sv(i-1)/d.R_sv(i)*sind(d.alpha_sv(i-1)+90));
% %         d.theta_sv(i)=d.theta_sv(i-1)+180-(d.angleBsv(i)+d.alpha_sv(i-1)+90);
% %         d.L_sv(i)=d.L_sv(i-1)+(d.R_sv(i-1)*sind(d.theta_sv(i)-d.theta_sv(i-1))/sind(d.angleBsv(i)));
% %     end
% %     d.B=d.B_sv;                                 % Stay vane height
% %     d.k_2=0.1;                                  % For high head francis - overlap to stay vane
% %     d.Z_sc=str2double(get(d.Z_scEdit,'String'));  %number of spiral casing sections
% %     d.dzdeg=360/d.Z_sc;                         %degrees between changing spiral casing section
% % 
% %     i=0;
% %     d.Rstart=d.R_svin;
% %     d.deltaphi=1*pi/180;
% %     d.thetavect=0:d.dzdeg:360;
% %     d.Qvect=zeros(size(d.thetavect));
% %     d.Rtvect=d.Qvect;
% %     d.rvect=d.Qvect;
% %     d.C_tCalc=d.Qvect;
% %     d.R_svinvect=ones(size(d.thetavect))*d.R_svin;
% % 
% %     for zdegvect=d.thetavect
% %     i=i+1;
% %     d.Qvect(i)=(360-zdegvect)/360*h.Qn;
% %     d.r_start=1;
% %     d.r=d.r_start;
% %     d.r_new=0;
% %     j=0;
% %     while abs(d.r-d.r_new)>0.001
% %         j=j+1;
% %         d.r_new=d.r;
% %         d.phi_0=asin(0.5*d.B/d.r);
% %         d.phi_y=acos((d.r*cos(d.phi_0)-d.k_2*d.B)/d.r);
% %         if isnan(d.phi_y), break, end
% %         phivect=d.phi_y:d.deltaphi:pi;
% %         d.Rt=d.R_svin+d.r*cos(d.phi_0)-d.k_2*d.B;
% %         d.integral=d.deltaphi*trapz((sin(phivect).^2)./(d.Rt-d.r.*cos(phivect)));
% %         d.r=sqrt(d.Qvect(i)/(2*d.C_t*d.integral));
% %         d.C_tcalc=d.Qvect(i)/(2*(d.r^2)*d.integral);
% %     end
% %         d.C_tCalc(i)=d.C_tcalc;
% %         d.Rtvect(i)=d.Rt;
% %         d.rvect(i)=d.r;
% %     end
% %     d.rvect(end)=0;
% %     d.Rtvect(end)=d.R_svin;
% %     d.theta=d.thetavect/180*pi;  
% %     d.A_svf=pi*(d.Rtvect(1)^2-(d.D_gvax/2)^2);  %
% %     d.Pmax=main.rho*main.grav*h.H*1.2;   % static pressure + safety factor (=1.2) for pressure pulsation
% %     d.F_sv=d.Pmax*d.A_svf;               % force acting on stay vanes
% %     d.t_sv=str2double(get(d.t_svEdit,'String'))/1000;       % should be inout parameter
% %     sigma_sv=d.F_sv/(d.L_sv(end)*d.t_sv*d.Z_sv);
% % end
% % 
% % 
% % calcSV
% % calcSC
% end
% function t_svCallback(~,~)
% global d main h
% d.B_sv=d.B_gvout;
% d.Z_sv=d.Z_gv;
% d.D_svout=d.D_gvin*1.03;
% d.c_usvout=d.c_ugvin*d.D_gvin/d.D_svout;
% d.c_msvout=h.Q/(d.B_sv*pi*d.D_svout);
% d.alpha_svout=atand(d.c_msvout/d.c_usvout);
% multiplication=1.001;           % Initial assumption for calcualtion
% sigma_sv=main.sigmamax*2;
% while sigma_sv>main.sigmamax
%     d.D_svin=ceil(d.D_svout*multiplication*1000)/1000;
%     multiplication = multiplication+0.01;
%     d.c_msvin=h.Q/(d.D_svin*d.B_sv*pi);
%     d.c_usvin=d.c_usvout*(d.D_svout/d.D_svin);
%     d.alpha_svin=atand(d.c_msvin/d.c_usvin);
% 
%     d.R_svout=d.D_svout/2;
%     d.R_svin=d.D_svin/2;     %stay vane radius 
%     d.C_t=d.c_usvin*d.R_svin; % Free vortex constant
%     imax=100;
%     d.R_sv=zeros(1,imax);
%     d.alpha_sv=d.R_sv;
%     d.theta_sv=d.R_sv;
%     d.L_sv=d.R_sv;
%     d.angleBsv=d.R_sv;
%     d.c_usv=d.R_sv;
%     d.c_msv=d.R_sv;
%     d.c_usv(1)=d.c_usvout;
%     d.c_msv(1)=d.c_msvout;
%     d.dR=(d.R_svin-d.R_svout)/(imax-1);
%     d.R_sv(1)=d.R_svout;
%     d.theta_sv(1)=0;
%     d.alpha_sv(1)=d.alpha_svout;
%     d.L_sv(1)=0;
%     d.angleBsv(1)=0;
%     for i=2:imax
%         d.R_sv(i)=d.R_sv(i-1)+d.dR;
%         d.c_usv(i)=d.C_t/d.R_sv(i);
%         d.c_msv(i)=h.Qn/(2*pi*d.R_sv(i)*d.B_sv);
%         d.alpha_sv(i)=atand(d.c_msv(i)/d.c_usv(i));
%         d.angleBsv(i)=asind(d.R_sv(i-1)/d.R_sv(i)*sind(d.alpha_sv(i-1)+90));
%         d.theta_sv(i)=d.theta_sv(i-1)+180-(d.angleBsv(i)+d.alpha_sv(i-1)+90);
%         d.L_sv(i)=d.L_sv(i-1)+(d.R_sv(i-1)*sind(d.theta_sv(i)-d.theta_sv(i-1))/sind(d.angleBsv(i)));
%     end
%     d.B=d.B_sv;                                 % Stay vane height
%     d.k_2=0.1;                                  % For high head francis - overlap to stay vane
%     d.Z_sc=str2double(get(d.Z_scEdit,'String'));  %number of spiral casing sections
%     d.dzdeg=360/d.Z_sc;                         %degrees between changing spiral casing section
% 
%     i=0;
%     d.Rstart=d.R_svin;
%     d.deltaphi=1*pi/180;
%     d.thetavect=0:d.dzdeg:360;
%     d.Qvect=zeros(size(d.thetavect));
%     d.Rtvect=d.Qvect;
%     d.rvect=d.Qvect;
%     d.C_tCalc=d.Qvect;
%     d.R_svinvect=ones(size(d.thetavect))*d.R_svin;
% 
%     for zdegvect=d.thetavect
%     i=i+1;
%     d.Qvect(i)=(360-zdegvect)/360*h.Qn;
%     d.r_start=1;
%     d.r=d.r_start;
%     d.r_new=0;
%     j=0;
%     while abs(d.r-d.r_new)>0.001
%         j=j+1;
%         d.r_new=d.r;
%         d.phi_0=asin(0.5*d.B/d.r);
%         d.phi_y=acos((d.r*cos(d.phi_0)-d.k_2*d.B)/d.r);
%         if isnan(d.phi_y), break, end
%         phivect=d.phi_y:d.deltaphi:pi;
%         d.Rt=d.R_svin+d.r*cos(d.phi_0)-d.k_2*d.B;
%         d.integral=d.deltaphi*trapz((sin(phivect).^2)./(d.Rt-d.r.*cos(phivect)));
%         d.r=sqrt(d.Qvect(i)/(2*d.C_t*d.integral));
%         d.C_tcalc=d.Qvect(i)/(2*(d.r^2)*d.integral);
%     end
%         d.C_tCalc(i)=d.C_tcalc;
%         d.Rtvect(i)=d.Rt;
%         d.rvect(i)=d.r;
%     end
%     d.rvect(end)=0;
%     d.Rtvect(end)=d.R_svin;
%     d.theta=d.thetavect/180*pi;  
%     d.A_svf=pi*(d.Rtvect(1)^2-(d.D_gvax/2)^2);  %
%     d.Pmax=main.rho*main.grav*h.H*1.2;   % static pressure + safety factor (=1.2) for pressure pulsation
%     d.F_sv=d.Pmax*d.A_svf;               % force acting on stay vanes
%     d.t_sv=str2double(get(d.t_svEdit,'String'))/1000;
%     sigma_sv=d.F_sv/(d.L_sv(end)*d.t_sv*d.Z_sv);
% end
% 
% 
% calcSV
% calcSC
% end
% function Z_scCallback(~,~)
% global d main h
% d.B_sv=d.B_gvout;
% d.Z_sv=d.Z_gv;
% d.D_svout=d.D_gvin*1.03;
% d.c_usvout=d.c_ugvin*d.D_gvin/d.D_svout;
% d.c_msvout=h.Q/(d.B_sv*pi*d.D_svout);
% d.alpha_svout=atand(d.c_msvout/d.c_usvout);
% multiplication=1.001;           % Initial assumption for calcualtion
% sigma_sv=main.sigmamax*2;
% while sigma_sv>main.sigmamax
%     d.D_svin=ceil(d.D_svout*multiplication*1000)/1000;
%     multiplication = multiplication+0.01;
%     d.c_msvin=h.Q/(d.D_svin*d.B_sv*pi);
%     d.c_usvin=d.c_usvout*(d.D_svout/d.D_svin);
%     d.alpha_svin=atand(d.c_msvin/d.c_usvin);
% 
%     d.R_svout=d.D_svout/2;
%     d.R_svin=d.D_svin/2;     %stay vane radius 
%     d.C_t=d.c_usvin*d.R_svin; % Free vortex constant
%     imax=100;
%     d.R_sv=zeros(1,imax);
%     d.alpha_sv=d.R_sv;
%     d.theta_sv=d.R_sv;
%     d.L_sv=d.R_sv;
%     d.angleBsv=d.R_sv;
%     d.c_usv=d.R_sv;
%     d.c_msv=d.R_sv;
%     d.c_usv(1)=d.c_usvout;
%     d.c_msv(1)=d.c_msvout;
%     d.dR=(d.R_svin-d.R_svout)/(imax-1);
%     d.R_sv(1)=d.R_svout;
%     d.theta_sv(1)=0;
%     d.alpha_sv(1)=d.alpha_svout;
%     d.L_sv(1)=0;
%     d.angleBsv(1)=0;
%     for i=2:imax
%         d.R_sv(i)=d.R_sv(i-1)+d.dR;
%         d.c_usv(i)=d.C_t/d.R_sv(i);
%         d.c_msv(i)=h.Qn/(2*pi*d.R_sv(i)*d.B_sv);
%         d.alpha_sv(i)=atand(d.c_msv(i)/d.c_usv(i));
%         d.angleBsv(i)=asind(d.R_sv(i-1)/d.R_sv(i)*sind(d.alpha_sv(i-1)+90));
%         d.theta_sv(i)=d.theta_sv(i-1)+180-(d.angleBsv(i)+d.alpha_sv(i-1)+90);
%         d.L_sv(i)=d.L_sv(i-1)+(d.R_sv(i-1)*sind(d.theta_sv(i)-d.theta_sv(i-1))/sind(d.angleBsv(i)));
%     end
%     d.B=d.B_sv;                                 % Stay vane height
%     d.k_2=0.1;                                  % For high head francis - overlap to stay vane
%     d.Z_sc=str2double(get(d.Z_scEdit,'String'));  %number of spiral casing sections
%     d.dzdeg=360/d.Z_sc;                         %degrees between changing spiral casing section
% 
%     i=0;
%     d.Rstart=d.R_svin;
%     d.deltaphi=1*pi/180;
%     d.thetavect=0:d.dzdeg:360;
%     d.Qvect=zeros(size(d.thetavect));
%     d.Rtvect=d.Qvect;
%     d.rvect=d.Qvect;
%     d.C_tCalc=d.Qvect;
%     d.R_svinvect=ones(size(d.thetavect))*d.R_svin;
% 
%     for zdegvect=d.thetavect
%     i=i+1;
%     d.Qvect(i)=(360-zdegvect)/360*h.Qn;
%     d.r_start=1;
%     d.r=d.r_start;
%     d.r_new=0;
%     j=0;
%     while abs(d.r-d.r_new)>0.001
%         j=j+1;
%         d.r_new=d.r;
%         d.phi_0=asin(0.5*d.B/d.r);
%         d.phi_y=acos((d.r*cos(d.phi_0)-d.k_2*d.B)/d.r);
%         if isnan(d.phi_y), break, end
%         phivect=d.phi_y:d.deltaphi:pi;
%         d.Rt=d.R_svin+d.r*cos(d.phi_0)-d.k_2*d.B;
%         d.integral=d.deltaphi*trapz((sin(phivect).^2)./(d.Rt-d.r.*cos(phivect)));
%         d.r=sqrt(d.Qvect(i)/(2*d.C_t*d.integral));
%         d.C_tcalc=d.Qvect(i)/(2*(d.r^2)*d.integral);
%     end
%         d.C_tCalc(i)=d.C_tcalc;
%         d.Rtvect(i)=d.Rt;
%         d.rvect(i)=d.r;
%     end
%     d.rvect(end)=0;
%     d.Rtvect(end)=d.R_svin;
%     d.theta=d.thetavect/180*pi;  
%     d.A_svf=pi*(d.Rtvect(1)^2-(d.D_gvax/2)^2);  %
%     d.Pmax=main.rho*main.grav*h.H*1.2;   % static pressure + safety factor (=1.2) for pressure pulsation
%     d.F_sv=d.Pmax*d.A_svf;               % force acting on stay vanes
%     d.t_sv=str2double(get(d.t_svEdit,'String'))/1000;       % should be inout parameter
%     sigma_sv=d.F_sv/(d.L_sv(end)*d.t_sv*d.Z_sv);
% end
% 
% % calcSV
% % calcSC
% end
function UpdateRC
[theta,r]=cart2pol(d.Gvx, d.Gvy);
theta=theta+(pi/2-d.alpha_gvax*pi/180)-pi;
[d.Gvx,d.Gvy]=pol2cart(theta, r);
d.Gvx=d.Gvx+d.D_gvax/2;
%--------------------------------------------------------------------------
% plotting the guide vane cascade with correct number of guide vanes
%--------------------------------------------------------------------------
i_gv=0;
set(gcf,'CurrentAxes', d.gvFig)
try delete(d.gvplot); end
d.gvplot=0;
hold on
for angle=0*pi:2*pi/d.Z_gv:2*pi
        i_gv=i_gv+1;    
        [theta r]=cart2pol(d.Gvx, d.Gvy);
        theta=theta+angle;
        [Gvxplot Gvyplot]=pol2cart(theta,r);
        d.gvplot(i_gv)=plot(Gvxplot,Gvyplot,'k');
end   
end