function Starter
disp('Starter')
global k main
%--------------------------------------------------------------------------
% GUI items initalization
%--------------------------------------------------------------------------
k.new=uicontrol('Style', 'pushbutton', 'String', 'New Project',...
               'Units','normalized','FontSize', main.font,...
               'position', [0.20 0.70 0.10 0.05],'Callback', @NewCallback,...
               'Parent',main.panels(main.intro),'enable','on');
k.load=uicontrol('Style', 'pushbutton', 'String', 'Load Project',...
               'Units','normalized','FontSize', main.font,...
               'position', [0.20 0.60 0.10 0.05],'Callback', @LoadCallback,...
               'Parent',main.panels(main.intro),'enable','on');
k.compare=uicontrol('Style', 'pushbutton', 'String', 'Compare with CFX',...
               'Units','normalized','FontSize', main.font,...
               'position', [0.20 0.50 0.10 0.05],'Callback', @CompareCallback,...
               'Parent',main.panels(main.intro),'enable','on');         
end
%--------------------------------------------------------------------------
% k.i=0 implies new project, k.i=1 implies old vlaues exist and will be loaded
%--------------------------------------------------------------------------
function NewCallback(~,~)
disp('NewCallback')
global b c d e f g h l s k
k.i=0;
k.j=0;
b.first=0;
c.first=0;
d.first=0;
e.first=0;
f.first=0;
g.first=0;
h.first=0;
l.first=0;
s.first=0;
%--------------------------------------------------------------------------
% Initalize GUI items for all tabs
%--------------------------------------------------------------------------
MainDim
AxialView
Distributions
RadialView
bladethickness
labyrinth
guidevanes
RunnerCascade
Summary

k.i=1;
end
%--------------------------------------------------------------------------
function LoadCallback(~,~)
disp('LoadCallback')
global b k h g f e d c l s saved
k.i=1;
k.j=1;
saved.md=1;
saved.av=1;
saved.dist=1;
saved.rv=1;
saved.bt=1;
saved.lab=1;
saved.gv=1;
saved.rc=1;
saved.sum=1;
saved.nobladesindex=0;
b.first=1;
c.first=1;
d.first=1;
e.first=1;
f.first=1;
g.first=1;
h.first=1;
l.first=1;
s.first=1;
uiopen
%--------------------------------------------------------------------------  
% Initalize GUI items for the main dimensions tab
%--------------------------------------------------------------------------
MainDim
%--------------------------------------------------------------------------
% Assign saved values to the different variables
%--------------------------------------------------------------------------
h.i=1;      % for the CheckCallback
set(h.HeadEdit,'String',H);
set(h.FlowEdit,'String',Q);
set(h.U1redEdit,'String',num2str(U1red));
set(h.U1redSlider,'Value',U1red);
set(h.ZpEdit,'String',num2str(Zp));
set(h.D2Edit,'String',num2str(D2));
set(h.B1Edit,'String',num2str(B_1));
c.tleading=LeadingEdge;
c.ttrailing=TrailingEdge;
c.Z_b = Z_rc;
CheckValues     % plots velocity triangles and calculates values for the table
%--------------------------------------------------------------------------
% Initalize GUI items for the axial view tab
%--------------------------------------------------------------------------
AxialView
%--------------------------------------------------------------------------
% Assign saved values to the different variables
%--------------------------------------------------------------------------
g.shroud=shroudpointvect;
g.outlet=outletpointvect;
g.temps=g.shroud;
g.tempo=g.outlet;
UpdateAxial   % plots axial view

maxns=50; minns=3;
set(g.nsEdit,'String',num2str(streamlines));
set(g.nsSlider,'Value',streamlines,'Max',maxns,'Min',minns,...
    'SliderStep',[1/(maxns-minns) 1/(maxns-minns)]);

set(g.bEdit,'String',num2str(be));
set(g.bSlider,'Value', be);
plotAxialView
%--------------------------------------------------------------------------
% Initalize GUI items for the distributions tab
%--------------------------------------------------------------------------
Distributions
%--------------------------------------------------------------------------
% Assign saved values to the different variables
%--------------------------------------------------------------------------
f.point=distpointvect;
set(f.centerMenu,'Value',chosendist);
UpdateDistribution
%--------------------------------------------------------------------------
% Initalize GUI items for the radial view tab, the blade thickness tab, the
% guide vanes tab, the labyrinths tab and the summary tab
%--------------------------------------------------------------------------
e.BLpoint=BladeleaningP;
RadialView
set(e.LeaningCheck,'Value',LeaningOp);
UpdateRadial
set(e.NoBladesEdit,'String',Z_rc);
c.BTpointPS=BladethicknessP;
c.a_ps=Aps;
c.a_ss=Ass;
bladethickness
set(c.aSSEdit,'String',num2str(Ass));
set(c.aSSSlider,'Value',Ass);
set(c.aPSEdit,'String',num2str(Aps));
set(c.aPSSlider,'Value',Aps);
UpdateThickness
l.D2LEdit=Tshroud_lab;
labyrinth
Summary
guidevanes
set(b.ZgvEdit,'String',num2str(Z_gv))
set(b.DgvaxEdit,'String',num2str(D_gvax))
set(b.t_svEdit,'String',num2str(t_sv))
set(b.Z_scEdit,'String',num2str(Z_sc))
set(b.k_olEdit,'String',num2str(k_ol))
set(b.Z_svEdit,'String',num2str(Z_sv))
set(b.SigmaEdit,'String',num2str(SigmaSV));
UpdateGV
RunnerCascade
LaHiguera_GV_SV_SC
set(l.D2LEdit,'String',num2str(D2L))
UpdateLabyrinths
Summaryfill
saved.md=1;
saved.av=1;
saved.dist=1;
saved.rv=1;
saved.bt=1;
saved.lab=1;
saved.rc=1;
saved.sum=1;


% k.i=0;
%--------------------------------------------------------------------------
% Assign saved values to the different variables
%--------------------------------------------------------------------------


% aPSEditCallback
% aSSEditCallback

end

function CompareCallback(~,~)
global  k h g f e d main
%--------------------------------------------------------------------------
% Disables the buttons in the first tab
%--------------------------------------------------------------------------  
set(k.compare,'Enable','off')
set(k.load,'Enable','off')
set(k.new,'Enable','off')
%--------------------------------------------------------------------------  
% Loads the design which will be "compared" with CFD results
%--------------------------------------------------------------------------  
k.i=1;
uiopen
%--------------------------------------------------------------------------  
% Initalize GUI items for the main dimensions tab
%--------------------------------------------------------------------------
MainDim
%--------------------------------------------------------------------------
% Assign saved values to the different variables
%--------------------------------------------------------------------------
h.i=1;      % for the CheckCallback
set(h.HeadEdit,'String',H);
set(h.FlowEdit,'String',Q);
set(h.U1redEdit,'String',num2str(U1red));
set(h.U1redSlider,'Value',U1red);
set(h.ZpEdit,'String',num2str(Zp));
set(h.D2Edit,'String',num2str(D2));
set(h.B1Edit,'String',num2str(B_1));
CheckValues     % plots velocity triangles and calculates values for the table
%--------------------------------------------------------------------------
% Initalize GUI items for the axial view tab
%--------------------------------------------------------------------------
AxialView
%--------------------------------------------------------------------------
% Assign saved values to the different variables
%--------------------------------------------------------------------------
g.shroud=shroudpointvect;
g.outlet=outletpointvect;
maxns=50; minns=3;
set(g.nsEdit,'String',num2str(streamlines));
set(g.nsSlider,'Value',streamlines,'Max',maxns,'Min',minns,...
    'SliderStep',[1/(maxns-minns) 1/(maxns-minns)]);
set(g.bEdit,'String',num2str(be));
UpdateAxial   % plots axial view
%--------------------------------------------------------------------------
% Initalize GUI items for the distributions tab
%--------------------------------------------------------------------------
Distributions
%--------------------------------------------------------------------------
% Assign saved values to the different variables
%--------------------------------------------------------------------------
f.point=distpointvect;
set(f.centerMenu,'Value',chosendist);
UpdateDistribution%(1)
e.BLpoint=BladeleaningP;
c.BTpointPS=BladethicknessP;
c.tleading=LeadingEdge;
c.ttrailing=TrailingEdge;
c.a_ps=Aps;
c.a_ss=Ass;
%--------------------------------------------------------------------------
% Initalize GUI items for the radial view tab, the blade thickness tab, the
% guide vanes tab, the labyrinths tab and the summary tab
%--------------------------------------------------------------------------
RadialView
bladethickness

guidevanes
labyrinth
Summary
%--------------------------------------------------------------------------
% Assign saved values to the different variables
%--------------------------------------------------------------------------
set(e.NoBladesEdit,'String',Z_rc);

UpdateRadial
% UpdateThickness %%
% set(d.ZgvEdit,'string',num2str(Z_gv))
% set(d.DgvaxEdit,'string',num2str(D_gvax))
% set(d.t_svEdit,'string',num2str(t_sv))
% set(d.Z_scEdit,'string',num2str(Z_sc))
k.i=0;
%--------------------------------------------------------------------------
% Initalize GUI items for the comparison
%--------------------------------------------------------------------------
k.comparepanel = uipanel('Parent',main.panels(main.intro),'Title','Velocity components',...
                'FontSize',main.font,'BackgroundColor',[.8 .8 .8],'Position',[.35 .03 .5 .5]);
k.DRef=uicontrol('Style', 'Text', 'String', 'Reference diameter from CFX', ...
               'Units','normalized','FontSize', main.font,'position', [0.05 0.9 0.3 0.05],...
               'BackgroundColor',[.8 .8 .8],'Parent',k.comparepanel);
k.DRefUnit=uicontrol('Style', 'Text', 'String', '[m]', 'Units','normalized',...
               'FontSize', main.font,'position', [0.36 0.9 0.3 0.05],'BackgroundColor',[.8 .8 .8],...
               'Parent',k.comparepanel);           
k.DRefEdit=uicontrol('Style', 'Edit', 'String', num2str(g.Rmat(end,1)*2-0.01),...
               'Units','normalized','FontSize', main.font,'position', [0.35 0.9 0.10 0.05],...
               'Callback', @DRefCallback,'Parent',k.comparepanel);
e.Rmat=g.Rmat;
end
function DRefCallback(~,~)
global e f k g main
%--------------------------------------------------------------------------
% Get the reference diameter from CFX and find corresponding reference radius
%--------------------------------------------------------------------------
Dref=str2double(get(k.DRefEdit,'String'));
Rref=Dref/2;
%--------------------------------------------------------------------------
% Find closest known point on blade, and subsequantly interpolate to find
% approximate velocity components, linear interpolation between different radiuses
%--------------------------------------------------------------------------
i=1;
while Rref<e.Rmat(end,i)
    i=i+1;
end

R_interpconst=(Rref-e.Rmat(end,(i+1)))/(e.Rmat(end,(i+1)-1)-e.Rmat(end,(i+1)));
U=f.Umat(end,(i+1))+(f.Umat(end,(i+1)-1)-f.Umat(end,(i+1)))*R_interpconst;
Cm=g.c_mMat(end,(i+1))+(g.c_mMat(end,(i+1)-1)-g.c_mMat(end,(i+1)))*R_interpconst;
Cu=f.Cumat(end,(i+1))+(f.Cumat(end,(i+1)-1)-f.Cumat(end,(i+1)))*R_interpconst;
% C=e.cMat(end,(i+1))+(e.cMat(end,(i+1)-1)-e.cMat(end,(i+1)))*R_interpconst;
C=0; %%
W=f.Wmat(end,(i+1))+(f.Wmat(end,(i+1)-1)-f.Wmat(end,(i+1)))*R_interpconst;
Wu=U-Cu;
%--------------------------------------------------------------------------
% List the computed velocity components in table
%--------------------------------------------------------------------------
try delete(k.CompareTable); end
k.CompareTable=uitable('Parent',k.comparepanel,'Units', 'normalized',...
                     'position', [.35 .45 .2 .35],'FontSize',main.font-1,'ColumnName',[],...
                     'RowName',[{'U [m/s]'} {'Cm [m/s]'} {'Cu [m/s]'} {'C [m/s]'} {'Wu [m/s]'} {'W [m/s]'}]);
set(k.CompareTable,'Data',[U Cm Cu C Wu W]');
end