function Summary
disp('Summary')
global s main
%--------------------------------------------------------------------------
% Make three different panels with information
%--------------------------------------------------------------------------
s.velocitiespanel = uipanel('Parent',main.panels(main.sum),'Title','Velocity components',...
                            'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                            'Position',[.02 .68 .3 .3]);
s.parameterspanel = uipanel('Parent',main.panels(main.sum),...
                            'Title','Characteristic parameters',....
                            'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                            'Position',[.02 .30 .3 .35]);
s.dimensionspanel = uipanel('Parent',main.panels(main.sum),'Title','Turbine dimensions',...
                            'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                            'Position',[.02 .03 .3 .25]);          
%--------------------------------------------------------------------------
% Static texts for Velocity components
%--------------------------------------------------------------------------
s.U1static=uicontrol('Style','text','String','U_1','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.91 0.3 0.09],...
                     'HorizontalAlignment','left','Parent',s.velocitiespanel);
s.U1redstatic=uicontrol('Style','text','String','U_1 reduced','FontSize',main.font,'Units','normalized',...
                        'BackgroundColor',[.8 .8 .8],'position',[0.05 0.82 0.3 0.09],...
                        'HorizontalAlignment','left','Parent',s.velocitiespanel); 
s.C1static=uicontrol('Style','text','String','C_1','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.73 0.3 0.09],...
                     'HorizontalAlignment','left','Parent',s.velocitiespanel);
s.Cu1static=uicontrol('Style','text','String','C_u1','FontSize',main.font,'Units','normalized',...
                      'BackgroundColor',[.8 .8 .8],'position',[0.05 0.64 0.3 0.09],...
                      'HorizontalAlignment','left','Parent',s.velocitiespanel);
s.Cm1static=uicontrol('Style','text','String','C_m1','FontSize',main.font,'Units','normalized',...
                      'BackgroundColor',[.8 .8 .8],'position',[0.05 0.55 0.3 0.09],...
                      'HorizontalAlignment','left','Parent',s.velocitiespanel);
s.W1static=uicontrol('Style','text','String','W_1','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.46 0.3 0.09],...
                     'HorizontalAlignment','left','Parent',s.velocitiespanel); 
s.U2static=uicontrol('Style','text','String','U_2','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.28 0.3 0.09],...
                     'HorizontalAlignment','left','Parent',s.velocitiespanel);  
s.Cm2static=uicontrol('Style','text','String','C_m2','FontSize',main.font,'Units','normalized',...
                      'BackgroundColor',[.8 .8 .8],'position',[0.05 0.19 0.3 0.09],...
                      'HorizontalAlignment','left','Parent',s.velocitiespanel);  
s.W2static=uicontrol('Style','text','String','W_2','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.1 0.3 0.09],...
                     'HorizontalAlignment','left','Parent',s.velocitiespanel);  
s.Beta2static=uicontrol('Style','text','FontName','Symbol','String','b_2',...
                        'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                        'position',[0.05 0.001 0.3 0.09],'HorizontalAlignment','left',...
                        'Parent',s.velocitiespanel);
s.U1static=uicontrol('Style','text','String','[m/s]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.91 0.3 0.09],...
                     'HorizontalAlignment','left','Parent',s.velocitiespanel);
s.U1redstatic=uicontrol('Style','text','String','[-]','FontSize',main.font,'Units','normalized',...
                        'BackgroundColor',[.8 .8 .8],'position',[0.7 0.82 0.3 0.09],...
                        'HorizontalAlignment','left','Parent',s.velocitiespanel); 
s.C1static=uicontrol('Style','text','String','[m/s]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.73 0.3 0.09],...
                     'HorizontalAlignment','left','Parent',s.velocitiespanel);
s.Cu1static=uicontrol('Style','text','String','[m/s]','FontSize',main.font,'Units','normalized',...
                      'BackgroundColor',[.8 .8 .8],'position',[0.7 0.64 0.3 0.09],...
                      'HorizontalAlignment','left','Parent',s.velocitiespanel);
s.Cm1static=uicontrol('Style','text','String','[m/s]','FontSize',main.font,'Units','normalized',...
                      'BackgroundColor',[.8 .8 .8],'position',[0.7 0.55 0.3 0.09],...
                      'HorizontalAlignment','left','Parent',s.velocitiespanel);
s.W1static=uicontrol('Style','text','String','[m/s]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.46 0.3 0.09],...
                     'HorizontalAlignment','left','Parent',s.velocitiespanel); 
s.U2static=uicontrol('Style','text','String','[m/s]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.28 0.3 0.09],...
                     'HorizontalAlignment','left','Parent',s.velocitiespanel);  
s.Cm2static=uicontrol('Style','text','String','[m/s]','FontSize',main.font,'Units','normalized',...
                      'BackgroundColor',[.8 .8 .8],'position',[0.7 0.19 0.3 0.09],...
                      'HorizontalAlignment','left','Parent',s.velocitiespanel);  
s.W2static=uicontrol('Style','text','String','[m/s]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.1 0.3 0.09],...
                     'HorizontalAlignment','left','Parent',s.velocitiespanel);  
s.Beta2static=uicontrol('Style','text','String','[o]','FontSize',main.font,'Units','normalized',...
                        'BackgroundColor',[.8 .8 .8],'position',[0.7 0.001 0.3 0.09],...
                        'HorizontalAlignment','left','Parent',s.velocitiespanel);                 
% Static texts for Characteristicl parameters
s.Headstatic=uicontrol('Style','text','String','Head','FontSize',main.font,'Units','normalized',...
                       'BackgroundColor',[.8 .8 .8],'position',[0.05 0.9 0.3 0.1],...
                       'HorizontalAlignment','left','Parent',s.parameterspanel);
s.Flowstatic=uicontrol('Style','text','String','Flow rate','FontSize',main.font,'Units','normalized',...
                       'BackgroundColor',[.8 .8 .8],'position',[0.05 0.8 0.3 0.1],...
                       'HorizontalAlignment','left','Parent',s.parameterspanel); 
s.Submergestatic=uicontrol('Style','text','String','H_s','FontSize',main.font,'Units','normalized',...
                           'BackgroundColor',[.8 .8 .8],'position',[0.05 0.7 0.3 0.1],...
                           'HorizontalAlignment','left','Parent',s.parameterspanel);
s.Speednumberstatic=uicontrol('Style','text','String','Speed number','FontSize',main.font,'Units','normalized',...
                              'BackgroundColor',[.8 .8 .8],'position',[0.05 0.6 0.3 0.1],...
                              'HorizontalAlignment','left','Parent',s.parameterspanel);
s.rotspeedstatic=uicontrol('Style','text','String','Rotational speed','FontSize',main.font,...
                           'Units','normalized','BackgroundColor',[.8 .8 .8],...
                           'position',[0.05 0.5 0.3 0.1],'HorizontalAlignment','left',...
                           'Parent',s.parameterspanel);
s.angspeedstatic=uicontrol('Style','text','String','Angular speed','FontSize',main.font,...
                           'Units','normalized','BackgroundColor',[.8 .8 .8],...
                           'position',[0.05 0.4 0.3 0.1],'HorizontalAlignment','left',...
                           'Parent',s.parameterspanel); 
s.Reactionstatic=uicontrol('Style','text','String','Reaction ratio','FontSize',main.font,...
                           'Units','normalized','BackgroundColor',[.8 .8 .8],...
                           'position',[0.05 0.3 0.3 0.1],'HorizontalAlignment','left',...
                           'Parent',s.parameterspanel);
s.Erosiontenstatic=uicontrol('Style','text','String','Erosion tendency','FontSize',main.font,...
                             'Units','normalized','BackgroundColor',[.8 .8 .8],...
                             'position',[0.05 0.2 0.3 0.1],'HorizontalAlignment','left',...
                             'Parent',s.parameterspanel); 
s.Erosionrefstatic=uicontrol('Style','text','String','Erosion reference','FontSize',main.font,...
                             'Units','normalized','BackgroundColor',[.8 .8 .8],...
                             'position',[0.05 0.1 0.3 0.1],'HorizontalAlignment','left',...
                             'Parent',s.parameterspanel); 
s.Erosionfacstatic=uicontrol('Style','text','String','Erosion factor','FontSize',main.font,...
                             'Units','normalized','BackgroundColor',[.8 .8 .8],...
                             'position',[0.05 0.001 0.3 0.1],'HorizontalAlignment','left',...
                             'Parent',s.parameterspanel); 
s.Headstatic=uicontrol('Style','text','String','[m]','FontSize',main.font,'Units','normalized',...
                       'BackgroundColor',[.8 .8 .8],'position',[0.7 0.9 0.3 0.1],...
                       'HorizontalAlignment','left','Parent',s.parameterspanel);
s.Flowstatic=uicontrol('Style','text','String','[m/s^3]','FontSize',main.font,'Units','normalized',...
                       'BackgroundColor',[.8 .8 .8],'position',[0.7 0.8 0.3 0.1],...
                       'HorizontalAlignment','left','Parent',s.parameterspanel); 
s.Submergestatic=uicontrol('Style','text','String','[mWc]','FontSize',main.font,'Units','normalized',...
                           'BackgroundColor',[.8 .8 .8],'position',[0.7 0.7 0.3 0.1],...
                           'HorizontalAlignment','left','Parent',s.parameterspanel);
s.Speednumberstatic=uicontrol('Style','text','String','[-]','FontSize',main.font,'Units','normalized',...
                              'BackgroundColor',[.8 .8 .8],'position',[0.7 0.6 0.3 0.1],...
                              'HorizontalAlignment','left','Parent',s.parameterspanel);
s.rotspeedstatic=uicontrol('Style','text','String','[rpm]','FontSize',main.font,'Units','normalized',...
                           'BackgroundColor',[.8 .8 .8],'position',[0.7 0.5 0.3 0.1],...
                           'HorizontalAlignment','left','Parent',s.parameterspanel);
s.angspeedstatic=uicontrol('Style','text','String','[rad/s]','FontSize',main.font,'Units','normalized',...
                           'BackgroundColor',[.8 .8 .8],'position',[0.7 0.4 0.3 0.1],...
                           'HorizontalAlignment','left','Parent',s.parameterspanel); 
s.Reactionstatic=uicontrol('Style','text','String','[-]','FontSize',main.font,'Units','normalized',...
                           'BackgroundColor',[.8 .8 .8],'position',[0.7 0.3 0.3 0.1],...
                           'HorizontalAlignment','left','Parent',s.parameterspanel);
s.Erosiontenstatic=uicontrol('Style','text','String','[-]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.2 0.3 0.1],...
                     'HorizontalAlignment','left','Parent',s.parameterspanel); 
s.Erosionrefstatic=uicontrol('Style','text','String','[-]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.1 0.3 0.1],...
                     'HorizontalAlignment','left','Parent',s.parameterspanel); 
s.Erosionfacstatic=uicontrol('Style','text','String','[-]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.001 0.3 0.1],...
                     'HorizontalAlignment','left','Parent',s.parameterspanel);
%--------------------------------------------------------------------------                 
% Static texts for Turbine dimensions
%--------------------------------------------------------------------------
s.D1static=uicontrol('Style','text','String','D_1','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.8621 0.3 0.142],...
                     'HorizontalAlignment','left','Parent',s.dimensionspanel);
s.D2static=uicontrol('Style','text','String','D_2','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.72 0.3 0.142],...
                     'HorizontalAlignment','left','Parent',s.dimensionspanel); 
s.B1static=uicontrol('Style','text','String','B_1','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.05 0.578 0.3 0.142],...
                     'HorizontalAlignment','left','Parent',s.dimensionspanel);
s.Bladesstatic=uicontrol('Style','text','String','Number of blades','FontSize',main.font,...
                         'Units','normalized','BackgroundColor',[.8 .8 .8],...
                         'position',[0.05 0.436 0.3 0.142],'HorizontalAlignment','left',...
                         'Parent',s.dimensionspanel);
s.Heightstatic=uicontrol('Style','text','String','Turbine height','FontSize',main.font,...
                         'Units','normalized','BackgroundColor',[.8 .8 .8],...
                         'position',[0.05 0.294 0.3 0.142],'HorizontalAlignment','left',...
                         'Parent',s.dimensionspanel);
s.Dshaftstatic=uicontrol('Style','text','String','D_shaft','FontSize',main.font,'Units','normalized',...
                         'BackgroundColor',[.8 .8 .8],'position',[0.05 0.152 0.3 0.142],...
                         'HorizontalAlignment','left','Parent',s.dimensionspanel);
s.Dlabyrinthstatic=uicontrol('Style','text','String','D_labyrinth','FontSize',main.font,...
                             'Units','normalized','BackgroundColor',[.8 .8 .8],...
                             'position',[0.05 0.01 0.3 0.142],'HorizontalAlignment','left',...
                             'Parent',s.dimensionspanel);
s.D1static=uicontrol('Style','text','String','[m]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.8621 0.3 0.142],...
                     'HorizontalAlignment','left','Parent',s.dimensionspanel);
s.D2static=uicontrol('Style','text','String','[m]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.72 0.3 0.142],...
                     'HorizontalAlignment','left','Parent',s.dimensionspanel); 
s.B1static=uicontrol('Style','text','String','[m]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.578 0.3 0.142],...
                     'HorizontalAlignment','left','Parent',s.dimensionspanel);
s.Bladesstatic=uicontrol('Style','text','String','[-]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.436 0.3 0.142],...
                     'HorizontalAlignment','left','Parent',s.dimensionspanel);
s.Heightstatic=uicontrol('Style','text','String','[m]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.294 0.3 0.142],...
                     'HorizontalAlignment','left','Parent',s.dimensionspanel);
s.Dshaftstatic=uicontrol('Style','text','String','[m]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.152 0.3 0.142],...
                     'HorizontalAlignment','left','Parent',s.dimensionspanel);
s.Dlabyrinthstatic=uicontrol('Style','text','String','[m]','FontSize',main.font,'Units','normalized',...
                     'BackgroundColor',[.8 .8 .8],'position',[0.7 0.01 0.3 0.142],...
                     'HorizontalAlignment','left','Parent',s.dimensionspanel);  
s.SaveButton=uicontrol('Style', 'pushbutton', 'String', 'Save Design', 'Units','normalized',...
                       'FontSize',main.font,'position', [0.65 0.45 0.10 0.05],'Callback', @SaveCallback,...
                       'Parent',main.panels(main.sum),'enable','on'); 
% s.ExportButton=uicontrol('Style', 'pushbutton', 'String', 'Export Design',...
%                          'Units','normalized','FontSize', main.font,'position', [0.80 0.45 0.10 0.05],...
%                          'Callback', @ExportCallback,'Parent',main.panels(main.sum),'enable','off');                
end
function SaveCallback(~,~)
disp('SaveCallback')
global b c e g s l d saved
%--------------------------------------------------------------------------
% Divides the gap of between the sets of vanes in two for CFD purposes
%--------------------------------------------------------------------------
d_gapsv_gv=(d.D_svout-d.D_gvin)/2;
d_gapgv_rv=(d.D_gvout-saved.D_1)/2;
%--------------------------------------------------------------------------
% blades
%--------------------------------------------------------------------------
bladeX=c.bladeX;
bladeY=c.bladeY;
bladeZ=c.bladeZ;

hubX=[g.HubXmat(1,1)+d_gapgv_rv/2;g.HubXmat(1:end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1);g.HubXmat(end-1,1)];
hubY=[0;g.HubYmat;0.0;0.0;0.0;0;0.0;0.0];
Ldraft=saved.Zmat(1,1)-saved.Zmat(end,1);
hubZ=[g.HubZmat(1,1);g.HubZmat; saved.Zmat(end,1)-1*Ldraft/2; saved.Zmat(end,1)-2*Ldraft/2; saved.Zmat(end,1)-3*Ldraft/2; saved.Zmat(end,1)-4*Ldraft/2; saved.Zmat(end,1)-5*Ldraft/2; saved.Zmat(end,1)-8*Ldraft/2];
shroudX=[g.ShroudXmat(1,1)+d_gapgv_rv/2;g.ShroudXmat;g.ShroudXmat(end,1);g.ShroudXmat(end,1);g.ShroudXmat(end,1);g.ShroudXmat(end,1);g.ShroudXmat(end,1);g.ShroudXmat(end,1)];
shroudY=[0;g.ShroudYmat;0;0;0;0;0;0];
shroudZ=[g.ShroudZmat(1,1);g.ShroudZmat;saved.Zmat(end,1)-1*Ldraft/2;saved.Zmat(end,1)-2*Ldraft/2;saved.Zmat(end,1)-3*Ldraft/2;saved.Zmat(end,1)-4*Ldraft/2;saved.Zmat(end,1)-5*Ldraft/2;saved.Zmat(end,1)-8*Ldraft/2];
%--------------------------------------------------------------------------
% Velocity conponents at runner inlet
%--------------------------------------------------------------------------
c_mrin=saved.c_m1*((saved.D_1/2)/shroudX(1,1))^2;
c_urin=saved.c_u1*(saved.D_1/2)/shroudX(1,1);
c_rin=sqrt(c_urin^2+c_mrin^2);
%--------------------------------------------------------------------------
% Guide vanes
%--------------------------------------------------------------------------
gvX=d.Gvx;
gvY=d.Gvy;

gvhubX=ones(10,1);
gvhubX(1,1)=d.D_gvin/2+d_gapsv_gv/2;
gvhubX(end,1)=d.D_gvout/2-d_gapgv_rv/2;
drgv=(gvhubX(1,1)-gvhubX(end,1))/9;
for i=2:9
    gvhubX(i,1)=gvhubX(1,1)-drgv*(i-1);
end
gvhubY=zeros(10,1);
gvhubZ=ones(10,1).*(hubZ(1)+0.001/2);
gvhubZ(10,1)=hubZ(1);

gvshroudX(:,1)=gvhubX(:,1);
gvshroudY=zeros(10,1);
gvshroudZ=ones(10,1).*(shroudZ(1)-0.001/2);
gvshroudZ(10,1)=shroudZ(1);

ProAddOn

% Saving design parameters
X=e.Xmat;
Y=e.Ymat;
Z=saved.Zmat;
Z_rc=saved.Z_rc;
shroudpointvect=g.shroud;
outletpointvect=g.outlet;
distpointvect=saved.point;
U1red=saved.u_1red;
U2=saved.u_2;
Zp=saved.Zp;
D2=saved.D_2;
B_1=saved.B_1;
H=saved.H;
Q=saved.Q;
streamlines=saved.sl;
be=saved.b;
chosendist=saved.chosendist;
BladeleaningP=saved.BLpoint;
BladethicknessP=saved.BTpointPS;
LeadingEdge=saved.tleading;
TrailingEdge=saved.ttrailing;
Aps=saved.a_ps;
Ass=saved.a_ss;
Tshroud_lab=l.D2LEdit;
LeaningOp=saved.LeaningOption;
Z_gv=get(b.ZgvEdit,'String');
D_gvax=get(b.DgvaxEdit,'String');
t_sv=get(b.t_svEdit,'String');
Z_sc=get(b.Z_scEdit,'String');
k_ol=get(b.k_olEdit,'String');
Z_sv=get(b.Z_scEdit,'String');
SigmaSV=get(b.SigmaEdit,'String'); %saved in MPa
D2L=get(l.D2LEdit,'string'); %saved in millimeters
% Z_gv = b.Z_gv;
% D_gvax = b.D_gvax;
% k_ol = b.k_ol;
% Z_sv = b.Z_sv;
% t_sv = b.t_sv;
% Z_sc = b.Z_sc;

%--------------------------------------------------------------------------
% Sets current folder to the main folder
%--------------------------------------------------------------------------
Oldfolder=cd;
folder_name = uigetdir;
cd(folder_name)
save('Designparameters.mat','X','Y','Z','Z_rc','shroudpointvect','outletpointvect','distpointvect','U1red','D2','Zp','B_1','H','Q','streamlines','be','chosendist','BladeleaningP','BladethicknessP','LeadingEdge','TrailingEdge','Aps','Ass','Tshroud_lab','LeaningOp','Z_gv','D_gvax','t_sv','Z_sc','k_ol','Z_sv','SigmaSV','D2L')
if isdir('CFX and Pro-E files')
    rmdir('CFX and Pro-E files','s')
end
cd(Oldfolder);
cd(folder_name)
mkdir('CFX and Pro-E files')
cd('CFX and Pro-E files')
%--------------------------------------------------------------------------
% Writing to files
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% Txt-files for Pro-E.
%--------------------------------------------------------------------------
% hub.txt
casename='hub';
fid=fopen([casename '.ibl'],'w');
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
fprintf(fid,'%s \r\n',['Begin section']);
fprintf(fid,'%s \r\n',['Begin curve']);
fprintf(fid,'%f %f %f \r\n',[1000.*hubX';1000.*hubY';1000.*hubZ']);
fclose(fid);
[Point,Line,~]=size(c.Xadd);

% shroud.txt
casename='shroud';
fid=fopen([casename '.ibl'],'w');
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
fprintf(fid,'%s \r\n',['Begin section']);
fprintf(fid,'%s \r\n',['Begin curve']);
fprintf(fid,'%f %f %f \r\n',[1000.*shroudX';1000.*shroudY';1000.*shroudZ']);
fclose(fid);

% bladeps.txt (pressure side of blade)
casename='bladeps';
if Line > 20
    profiles=round(Line/20);
else
    profiles = 1;
end
fid=fopen([casename '.ibl'],'w');
j=0;
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
for i=1:profiles:Line
    j=j+1;
   fprintf(fid,'%s \r\n',['Begin section']);
   fprintf(fid,'%s \r\n',['Begin curve']);
   fprintf(fid,'%f %f %f \r\n',[1000.*c.Xadd(:,end+1-i,1)';1000.*c.Yadd(:,end+1-i,1)';1000.*c.Zadd(:,end+1-i,1)']);
end
fclose(fid);

casename='bladepsTXT';
if Line > 20
    profiles=round(Line/20);
else
    profiles = 1;
end
fid=fopen([casename '.txt'],'w');
j=0;
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
for i=1:profiles:Line
    j=j+1;
   fprintf(fid,'%s \r\n',['Begin section']);
   fprintf(fid,'%s \r\n',['Begin curve']);
   fprintf(fid,'%f %f %f \r\n',[1000.*c.Xadd(:,end+1-i,1)';1000.*c.Yadd(:,end+1-i,1)';1000.*c.Zadd(:,end+1-i,1)']);
end
fclose(fid);

% bladepsP.txt (pressure side of blade pressure lines)
casename='bladepsP';
if Line > 20
    profiles=round(Line/20);
else
    profiles = 1;
end
fid=fopen([casename '.ibl'],'w');
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
for i=1:profiles:Line
    for j=1:Point
        fprintf(fid,'%s \r\n',['Begin section']);
        fprintf(fid,'%s \r\n',['Begin curve']);
        fprintf(fid,'%f %f %f \r\n',[1000.*c.Xadd(j,i,1);1000.*c.Yadd(j,i,1);1000.*c.Zadd(j,i,1)]);
    end
end
fclose(fid);

casename='bladepsPTXT';
if Line > 20
    profiles=round(Line/20);
else
    profiles = 1;
end
fid=fopen([casename '.txt'],'w');
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
for i=1:profiles:Line
    for j=1:Point
        fprintf(fid,'%s \r\n',['Begin section']);
        fprintf(fid,'%s \r\n',['Begin curve']);
        fprintf(fid,'%f %f %f \r\n',[1000.*c.Xadd(j,i,1);1000.*c.Yadd(j,i,1);1000.*c.Zadd(j,i,1)]);
    end
end
fclose(fid);

% bladess.txt (suction side of blade)
casename='bladess';
if Line > 20
    profiles=round(Line/20);
else
    profiles = 1;
end
fid=fopen([casename '.ibl'],'w');
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
for i=1:profiles:Line
   fprintf(fid,'%s \r\n',['Begin section']);
   fprintf(fid,'%s \r\n',['Begin curve']);
   fprintf(fid,'%f %f %f \r\n',[1000.*c.Xadd(:,end+1-i,2)';1000.*c.Yadd(:,end+1-i,2)';1000.*c.Zadd(:,end+1-i,2)']);
end
fclose(fid);

casename='bladessTXT';
if Line > 20
    profiles=round(Line/20);
else
    profiles = 1;
end
fid=fopen([casename '.txt'],'w');
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
for i=1:profiles:Line
   fprintf(fid,'%s \r\n',['Begin section']);
   fprintf(fid,'%s \r\n',['Begin curve']);
   fprintf(fid,'%f %f %f \r\n',[1000.*c.Xadd(:,end+1-i,2)';1000.*c.Yadd(:,end+1-i,2)';1000.*c.Zadd(:,end+1-i,2)']);
end
fclose(fid);

% bladessP.txt (suction side of blade pressure lines)
casename='bladessP';
if Line > 20
    profiles=round(Line/20);
else
    profiles = 1;
end
fid=fopen([casename '.ibl'],'w');
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
for i=1:profiles:Line
     for j=1:Point
         fprintf(fid,'%s \r\n',['Begin section']);
         fprintf(fid,'%s \r\n',['Begin curve']);
         fprintf(fid,'%f %f %f \r\n',[1000.*c.Xadd(j,i,2);1000.*c.Yadd(j,i,2);1000.*c.Zadd(j,i,2)]);
     end
end
fclose(fid);

casename='bladessPTXT';
if Line > 20
    profiles=round(Line/20);
else
    profiles = 1;
end
fid=fopen([casename '.txt'],'w');
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
for i=1:profiles:Line
     for j=1:Point
         fprintf(fid,'%s \r\n',['Begin section']);
         fprintf(fid,'%s \r\n',['Begin curve']);
         fprintf(fid,'%f %f %f \r\n',[1000.*c.Xadd(j,i,2);1000.*c.Yadd(j,i,2);1000.*c.Zadd(j,i,2)]);
     end
end
fclose(fid);

% Bladelines.txt (x and z coordinates for hub and shroud lines)
% [~,Line]=size(saved.Rmat);
% casename='bladelines';
% fid=fopen([casename '.ibl'],'w');
% fprintf(fid,'%s \r\n',['Open']);
% fprintf(fid,'%s \r\n',['Pointwise']);
% for i=1:profiles:Line
%    fprintf(fid,'%s \r\n',['Begin section']);
%    fprintf(fid,'%s \r\n',['Begin curve']);
%    fprintf(fid,'%f %f %f \r\n',[1000.*e.Xmat(:,1)';1000.*saved.Zmat(:,1)']);
%    fprintf(fid,'%f %f %f \r\n',[1000.*e.Xmat(:,end)';1000.*saved.Zmat(:,end)']);
% end
% fclose(fid);
% [~,Line]=size(saved.Rmat);
% casename='bladelinestxt';
% fid=fopen([casename '.txt'],'w');
% fprintf(fid,'%s \r\n',['Open']);
% fprintf(fid,'%s \r\n',['Pointwise']);
% for i=1:profiles:Line
%    fprintf(fid,'%s \r\n',['Begin section']);
%    fprintf(fid,'%s \r\n',['Begin curve']);
%    fprintf(fid,'%f %f %f \r\n',[1000.*e.Xmat(:,1)';1000.*saved.Zmat(:,1)' 0]);
%    fprintf(fid,'%f %f %f \r\n',[1000.*e.Xmat(:,end)';1000.*saved.Zmat(:,end)' 0]);
% end
% fclose(fid);

% guidevane.txt
casename='guidevane';
fid=fopen([casename '.ibl'],'w');
fprintf(fid,'%s \r\n',['Open']);
fprintf(fid,'%s \r\n',['Pointwise']);
fprintf(fid,'%s \r\n',['Begin section']);
fprintf(fid,'%s \r\n',['Begin curve']);
fprintf(fid,'%f %f \r\n',[1000.*gvX';1000.*gvY']);
fclose(fid);

%--------------------------------------------------------------------------
% Curve-files for turbogrid
%--------------------------------------------------------------------------
[Point,Line,~]=size(c.bladeX);
% hub.curve
casename='hub';
fid=fopen([casename '.curve'],'w');
fprintf(fid,'%f %f %f \r\n',[hubX';hubY';hubZ']);
fclose(fid);

% shroud.curve
casename='shroud';
fid=fopen([casename '.curve'],'w');
fprintf(fid,'%f %f %f \r\n',[shroudX';shroudY';shroudZ']);
fclose(fid);

% blade.curve
casename='blade';
profiles=round(Line/10);
fid=fopen([casename '.curve'],'w');
j=0;
for i=1:profiles:Line
    j=j+1;
   fprintf(fid,'%s \r\n',['# Profile no. ' int2str(j)]);
   fprintf(fid,'%f %f %f \r\n',[bladeX(:,end+1-i)';bladeY(:,end+1-i)';bladeZ(:,end+1-i)']);
end
fclose(fid);
dz=gvhubZ(1,1)-gvshroudZ(1,1);
gvZtemp=ones(size(gvX))*gvhubZ(1,1);

% GVhub.curve
casename='GVhub';
fid=fopen([casename '.curve'],'w');
fprintf(fid,'%f %f %f \r\n',[gvhubX';gvhubY';gvhubZ']);
fclose(fid);

% GVshroud.curve
casename='GVshroud';
fid=fopen([casename '.curve'],'w');
fprintf(fid,'%f %f %f \r\n',[gvshroudX';gvshroudY';gvshroudZ']);
fclose(fid);

% GV.curve
casename='GV';
fid=fopen([casename '.curve'],'w');
for i=1:5
   gvZ=(gvZtemp-dz*(i-1)/4);
   fprintf(fid,'%s \r\n',['# Profile no. ' int2str(i)]);
   fprintf(fid,'%f %f %f \r\n',[gvX';gvY';gvZ']);
end
fclose(fid);

%--------------------------------------------------------------------------
% CFXparameters.txt
%--------------------------------------------------------------------------
casename='CFXparameters';
fid=fopen([casename '.txt'],'w');
fprintf(fid,'%s \t\t\t %f \r\n','Blades', saved.Z_rc);
fprintf(fid,'%s \t\t %f \r\n','Flow rate', saved.Q);
fprintf(fid,'%s \t %f \r\n','Rotational speed', -saved.omega*30/pi);
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \r\n','Velocity components:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \r\n','Between runner and guide vanes:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \t\t %f \r\n','C_theta', c_urin/c_rin);
fprintf(fid,'%s \t\t\t %f \r\n','C_r', c_mrin/c_rin);
fprintf(fid,'%s \t\t\t %f \r\n','C_z', 0);
fprintf(fid,'%s \r\n',' ');
% fprintf(fid,'%s \r\n','Between guide vanes and stay vanes:');
% fprintf(fid,'%s \r\n',' ');
% fprintf(fid,'%s \t\t %f \r\n','C_theta', c_ugin/c_gin);
% fprintf(fid,'%s \t\t\t %f \r\n','C_r', c_mgin/c_gin);
% fprintf(fid,'%s \t\t\t %f \r\n','C_z', 0);
% fprintf(fid,'%s \r\n',' ');
% fprintf(fid,'%s \r\n','At stay vane inlet:');
% fprintf(fid,'%s \r\n',' ');
% fprintf(fid,'%s \t\t %f \r\n','C_theta', c_usin/c_sin);
% fprintf(fid,'%s \t\t\t %f \r\n','C_r', c_msin/c_sin);
% fprintf(fid,'%s \t\t\t %f \r\n','C_z', 0);
fclose(fid);
%--------------------------------------------------------------------------
% Turbine data
%--------------------------------------------------------------------------
casename='Turbine Data';
fid=fopen([casename '.txt'],'w');

fprintf(fid,'%s \r\n','Velocity components:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \t\t\t %f \r\n','U_1', saved.u_1);
fprintf(fid,'%s \t\t %f \r\n','U_1 reduced', saved.u_1red);
fprintf(fid,'%s \t\t\t %f \r\n','C_1', saved.c_1);
fprintf(fid,'%s \t\t\t %f \r\n','C_u1', saved.c_u1);
fprintf(fid,'%s \t\t\t %f \r\n','C_m1', saved.c_m1);
fprintf(fid,'%s \t\t\t %f \r\n','W_1', saved.w_1);
fprintf(fid,'%s \t\t\t %f \r\n','U_2', saved.u_2);
fprintf(fid,'%s \t %f \r\n','U_2 synchronous', saved.omega*saved.Rmat(end,1));
fprintf(fid,'%s \t\t\t %f \r\n','C_m2', saved.c_mMat(end,1));
fprintf(fid,'%s \t\t\t %f \r\n','W_2', sqrt(saved.c_mMat(end,1)^2+(saved.omega*saved.Rmat(end,1))^2));
fprintf(fid,'%s \t\t\t %f \r\n','Beta_2', atand(saved.c_mMat(end,1)/(saved.omega*saved.Rmat(end,1))));
fprintf(fid,'%s \r\n',' ');

fprintf(fid,'%s \r\n','Turbine dimensions:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \t\t\t %f \r\n','Blades',saved.Z_rc);
fprintf(fid,'%s \t\t\t %f \r\n','D_1', saved.D_1);
fprintf(fid,'%s \t\t\t %f \r\n','D_2', 2*saved.Rmat(end,1));
fprintf(fid,'%s \t\t\t %f \r\n','B_1', saved.B_1);
fprintf(fid,'%s \t\t\t %f \r\n','b', saved.b);
fprintf(fid,'%s \t\t %f \r\n','D_shaft', l.D_shaft);
fprintf(fid,'%s \t\t %f \r\n','D_labyrinth', l.Dp);
fprintf(fid,'%s \r\n',' ');

fprintf(fid,'%s \r\n','Characteristical parameters:');
fprintf(fid,'%s \r\n',' ');
fprintf(fid,'%s \t\t\t %f \r\n','Head', saved.H);
fprintf(fid,'%s \t\t %f \r\n','Flow rate', saved.Q);
fprintf(fid,'%s \t %f \r\n','Rotational speed', saved.omega*30/pi);
fprintf(fid,'%s \t %f \r\n','Angular velocity', saved.omega);
fprintf(fid,'%s \t\t %f \r\n','Speed number', saved.speedNr);
fprintf(fid,'%s \t %f \r\n','Submergence req.', s.Hs);
fprintf(fid,'%s \t\t %f \r\n','Reaction ratio', saved.Rratio);
fprintf(fid,'%s \t %f \r\n','Erosion tendency', e.erosiontotal);
fprintf(fid,'%s \t %f \r\n','Erosion reference', e.erosionref);
fprintf(fid,'%s \t\t %f \r\n','Erosion factor', e.erosion_factor);
fclose(fid);
cd(Oldfolder);
% save('Designparameters.mat','X','Y','Z','Z_rc','shroudpointvect','outletpointvect','distpointvect','U1red','D2','Zp','B_1','H','Q','streamlines','b','chosendist','BladeleaningP','BladethicknessP','LeadingEdge','TrailingEdge','Aps','Ass','Tshroud_lab') %,'Z_gv','D_gvax','t_sv','Z_sc')
% uisave({'X','Y','Z','Z_rc','shroudpointvect','outletpointvect','distpointvect','U1red','D2','Zp','B_1','H','Q','streamlines','b','chosendist','BladeleaningP','BladethicknessP','LeadingEdge','TrailingEdge','Aps','Ass','Tshroud_lab'},'Designparameters') %,'Z_gv','D_gvax','t_sv','Z_sc')

end
