function Summaryfill
disp('Summaryfill')
global s main e saved l b

GVprofile = get(b.airfoilMenu,'Value');
Z_gv = b.Z_gv;
D_gvax = b.D_gvax;
k_ol = b.k_ol;
Z_sv = b.Z_sv;
t_sv = b.t_sv;
sigmaSV = b.sigmaSV/10^6;
Z_sc = b.Z_sc;
save('GV.mat','GVprofile','Z_gv','D_gvax','k_ol','Z_sv','t_sv','sigmaSV','Z_sc');

%--------------------------------------------------------------------------
% GUI code
%--------------------------------------------------------------------------
% Static texts for Velocity components
%--------------------------------------------------------------------------
s.U1=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.u_1),...
               'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
               'position',[0.4 0.91 0.3 0.083],'HorizontalAlignment','left',...
               'Parent',s.velocitiespanel);
s.U1red=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.u_1red),...
                  'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                  'position',[0.40 0.82 0.3 0.083],'HorizontalAlignment','left',...
                  'Parent',s.velocitiespanel); 
s.C1=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.c_1),...
               'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
               'position',[0.40 0.73 0.3 0.083],'HorizontalAlignment','left',...
               'Parent',s.velocitiespanel);
s.Cu1=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.c_u1),...
                'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                'position',[0.40 0.64 0.3 0.083],'HorizontalAlignment','left',...
                'Parent',s.velocitiespanel);
s.Cm1=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.c_m1),...
                'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                'position',[0.40 0.55 0.3 0.083],'HorizontalAlignment','left',...
                'Parent',s.velocitiespanel);
s.W1=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.w_1),...
               'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
               'position',[0.40 0.46 0.3 0.083],'HorizontalAlignment','left',...
               'Parent',s.velocitiespanel); 
s.U2=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.omega*saved.Rmat(end,1)),...
               'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
               'position',[0.40 0.28 0.3 0.083],'HorizontalAlignment','left',...
               'Parent',s.velocitiespanel);  
s.Cm2=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.c_mMat(end,1)),...
                'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                'position',[0.40 0.19 0.3 0.083],'HorizontalAlignment','left',...
                'Parent',s.velocitiespanel);  
s.W2=uicontrol('Style','text','FontName','Symbol',...
               'String',num2str(sqrt(saved.c_mMat(end,1)^2+(saved.omega*saved.Rmat(end,1))^2)),...
               'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
               'position',[0.40 0.1 0.3 0.083],'HorizontalAlignment','left',...
               'Parent',s.velocitiespanel);  
s.Beta2=uicontrol('Style','text','FontName','Symbol',...
                  'String',num2str(atand(saved.c_mMat(end,1)/(saved.omega*saved.Rmat(end,1)))),...
                  'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                  'position',[0.40 0.01 0.3 0.083],'HorizontalAlignment','left',...
                  'Parent',s.velocitiespanel);
%--------------------------------------------------------------------------
% Static texts for Turbine dimensions
%--------------------------------------------------------------------------
s.D1=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.D_1),...
               'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
               'position',[0.40 0.8621 0.3 0.142],'HorizontalAlignment','left',...
               'Parent',s.dimensionspanel);
s.D2=uicontrol('Style','text','FontName','Symbol','String',num2str(2*saved.Rmat(end,1)),...
               'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
               'position',[0.40 0.72 0.3 0.142],'HorizontalAlignment','left',...
               'Parent',s.dimensionspanel); 
s.B1=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.B_1),...
               'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
               'position',[0.40 0.578 0.3 0.142],'HorizontalAlignment','left',...
               'Parent',s.dimensionspanel);
s.Blades=uicontrol('Style','text','FontName','Symbol','String',get(e.NoBladesEdit,'string'),...
                   'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                   'position',[0.40 0.436 0.3 0.142],'HorizontalAlignment','left',...
                   'Parent',s.dimensionspanel);
s.Height=uicontrol('Style','text','FontName','Symbol',...
                   'String',num2str(max(max(saved.Zmat))-min(min(saved.Zmat))),...
                   'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                   'position',[0.40 0.294 0.3 0.142],'HorizontalAlignment','left',...
                   'Parent',s.dimensionspanel);
s.Dshaft=uicontrol('Style','text','FontName','Symbol','String',num2str(0),...
                   'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                   'position',[0.40 0.152 0.3 0.142],'HorizontalAlignment','left',...
                   'Parent',s.dimensionspanel);                
s.Dlabyrinth=uicontrol('Style','text','FontName','Symbol','String',num2str(0),...
                       'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                       'position',[0.40 0.01 0.3 0.142],'HorizontalAlignment','left',...
                       'Parent',s.dimensionspanel);                  

%--------------------------------------------------------------------------
% Static texts for Characteristicl parameters
%--------------------------------------------------------------------------
s.Head=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.H),...
                 'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                 'position',[0.40 0.9 0.3 0.124],'HorizontalAlignment','left',...
                 'Parent',s.parameterspanel);
s.Flow=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.Q),...
                 'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                 'position',[0.40 0.8 0.3 0.124],'HorizontalAlignment','left',...
                 'Parent',s.parameterspanel);
%--------------------------------------------------------------------------                 
% Calculating required submergence
%--------------------------------------------------------------------------
a=1.12; b_sub=0.055;
h_b=10.3;
h_va=0.125;
c_m2npsh=4*saved.Qn/(pi*(2*saved.Rmat(end,1))^2);                   
NPSH_t= a*(c_m2npsh)^2/(2*main.grav)+b_sub*(saved.omega*saved.Rmat(end,1))^2/(2*main.grav);
Hs=h_b-h_va-NPSH_t;  
s.Hs=Hs;
s.Submerge=uicontrol('Style','text','FontName','Symbol','String',num2str(Hs),...
                     'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                     'position',[0.40 0.7 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.Speednumber=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.speedNr),...
                        'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                        'position',[0.40 0.6 0.3 0.124],'HorizontalAlignment','left',...
                        'Parent',s.parameterspanel);
s.rotspeed=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.omega*30/pi),...
                     'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                     'position',[0.40 0.5 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);
s.angspeed=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.omega),...
                     'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                     'position',[0.40 0.4 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel);              
s.Reaction=uicontrol('Style','text','FontName','Symbol','String',num2str(saved.Rratio),...
                     'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                     'position',[0.40 0.3 0.3 0.124],'HorizontalAlignment','left',...
                     'Parent',s.parameterspanel); 
s.Erosiontend=uicontrol('Style','text','FontName','Symbol','String',num2str(e.erosiontotal),...
                        'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                        'position',[0.40 0.2 0.3 0.124],'HorizontalAlignment','left',...
                        'Parent',s.parameterspanel);
s.Erosionrefe=uicontrol('Style','text','FontName','Symbol','String',num2str(e.erosionref),...
                        'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],....
                        'position',[0.40 0.1 0.3 0.124],'HorizontalAlignment','left',...
                        'Parent',s.parameterspanel);
s.Erosionfact=uicontrol('Style','text','FontName','Symbol','String',num2str(e.erosion_factor),...
                        'FontSize',main.font,'Units','normalized','BackgroundColor',[.8 .8 .8],...
                        'position',[0.40 0.001 0.3 0.124],'HorizontalAlignment','left',...
                        'Parent',s.parameterspanel);      
set(s.Dshaft,'String',num2str(l.D_shaft));
set(s.Dlabyrinth,'String',num2str(l.Dp));  
end