function UpdateGV
global b saved h e
if b.first == 0
    td = exist('GV.mat');
    if td == 2;
        load('GV.mat');
        b.Z_gv = Z_gv;
        b.D_gvax = D_gvax;
        b.k_ol = k_ol;
        b.Z_sv = Z_sv;
        b.t_sv = t_sv;
        b.sigmaSV = sigmaSV;
        b.Z_sc = Z_sc;
        set(b.airfoilMenu,'Value',GVprofile);
        set(b.ZgvEdit,'String',num2str(Z_gv));
        set(b.DgvaxEdit,'String',num2str(D_gvax));
        set(b.k_olEdit,'String',num2str(k_ol));
        set(b.Z_svEdit,'String',num2str(Z_sv));
        set(b.t_svEdit,'String',num2str(t_sv*1000));
        set(b.SigmaEdit,'String',num2str(sigmaSV));
        set(b.Z_scEdit,'String',num2str(Z_sc));
    end
end

i=get(b.airfoilMenu,'Value');
switch i
    case 1 %Naca0012
        tempGVmat=dlmread('Naca_0012.txt','\t');
        b.Gv_mat=tempGVmat;
%         b.Gv_mat(:,1)=1-tempGVmat(:,1);
%         b.Gv_mat(:,2)=tempGVmat(:,2);
    case 2 %Naca0016
        tempGVmat=dlmread('Naca_0012.txt','\t');
        b.Gv_mat=tempGVmat;   
end

[~,Line]=size(saved.Rmat);
set(gcf,'CurrentAxes',b.gvFig);
hold on
i=0;
try delete (b.runnerplot); end
b.runnerplot=0;
for angle=0:2*pi/saved.Z_rc:2*pi
    i=i+1;
    [theta r]=cart2pol(e.Xmat(:,round(Line/2)),e.Ymat(:,round(Line/2))); % runner middle contour
    theta=theta+angle;
    [x y]=pol2cart(theta,r);
    b.runnerplot(i)=plot(x,y,'k');
end
try delete(b.D1plot); end
b.D1plot=0;
hold on
D1Radius = h.D_1/2;
[x,y,~] = cylinder(D1Radius,200);
b.D1plot=plot(x(1,:),y(1,:),'k-','linewidth',1);
%--------------------------------------------------------------------------
% calculates Guide vane dimensions and velocities
%--------------------------------------------------------------------------
if b.first == 0;
    b.D_gvax = saved.D_1*1.1;
    set(b.DgvaxEdit,'String',num2str(b.D_gvax));
    b.first = 1;
else
    b.D_gvax=str2double(get(b.DgvaxEdit,'String'));
end
b.B_gvout=saved.B_1;
b.k_ol=str2double(get(b.k_olEdit,'String'));
b.Z_gv=str2double(get(b.ZgvEdit,'String'));
b.D_gvout=1.05*saved.D_1;
b.c_ugvout=saved.c_u1*saved.D_1/b.D_gvout;
b.c_mgvout=h.Q/(b.D_gvout*b.B_gvout*pi);
b.alpha_gvout=atand(b.c_mgvout/b.c_ugvout);
b.alpha_gvoutmax=4*(-4*h.speedNr^2+13*h.speedNr+1);

calcGV

b.Z_sv=str2double(get(b.Z_svEdit,'String'));
b.sigmaSV=1e6*str2double(get(b.SigmaEdit,'String'));
b.B_sv=b.B_gvout;
b.D_svout=b.D_gvin*1.03;
b.c_usvout=b.c_ugvin*b.D_gvin/b.D_svout;
b.c_msvout=h.Q/(b.B_sv*pi*b.D_svout);
b.alpha_svout=atand(b.c_msvout/b.c_usvout);

OptimiseSV
calcSV
calcSC
end