function bladethickness
disp('bladethickness')

global c
MakeBTitems
% aBG
% if c.first == 0;
%     InitialiseBT
%     InitialiseBG
% end
end
function MakeBTitems
disp('MakeBTitems')

global c main
%--------------------------------------------------------------------------
%blade thickness distribution
%--------------------------------------------------------------------------
c.BladeThicknessAxes = axes('Position',[0.05 0.65 0.50 0.30],'Units','normalized','Parent',main.panels(main.bt),...
    'box','on','DataAspectRatio',[1 100 1]);%,'Xlim',[-20 25],'Ylim',[-0.05 1.05]);

c.BladeThicknessFig=gca;
%--------------------------------------------------------------------------
%Trailing edge geometry
%--------------------------------------------------------------------------
c.TrailingAxes = axes('Position',[0.05 0.03 0.23 0.30],'Units','normalized','Parent',main.panels(main.bt),...
    'box','on','DataAspectRatio',[1 1 1]);%,'Xlim',[-20 25],'Ylim',[-0.05 1.05]);
c.BladeGeometryFig=gca;
%--------------------------------------------------------------------------
%Leading edge geometry
%--------------------------------------------------------------------------
c.LeadingAxes = axes('Position',[0.30 0.03 0.23 0.30],'Units','normalized','Parent',main.panels(main.bt),...
    'box','on','DataAspectRatio',[1 1 1]);%,'Xlim',[-20 25],'Ylim',[-0.05 1.05]);
c.BladeGeometryFig2=gca;
%--------------------------------------------------------------------------
%3D plot of blade thickness
%--------------------------------------------------------------------------
c.BladeAx=axes('Position',[0.53 0.25 0.5 0.6],'Units','normalized','Parent',main.panels(main.bt),...
    'box','on');
c.BladeFig=gca;
set(gca,'XDir','rev');
title('Leading edge geometry','FontSize',main.font+2);
%--------------------------------------------------------------------------
%Reset button
%--------------------------------------------------------------------------
c.ResetButton=uicontrol('Style', 'pushbutton', 'String', 'Reset blade thickness', 'Units','normalized','FontSize',main.font,...
    'position', [0.025 0.55 0.15 0.05],'Callback', @ResetCallback,...
    'Parent',main.panels(main.bt),'enable','on');
%--------------------------------------------------------------------------
%Panel for input data
%--------------------------------------------------------------------------
c.Bladedatapanel = uipanel('Parent',main.panels(main.bt),'Title','Blade data',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
    'Position',[.025 .38 .3 .15]);
c.ThicknessMinStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Estimated minimum blade thickness',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.03 0.70 0.6 0.20],...
    'Parent',c.Bladedatapanel);
c.ThicknessMinValueStatic=uicontrol('Style','text','HorizontalAlignment','center','String','0',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.6 0.70 0.18 0.20],...
    'Parent',c.Bladedatapanel);
c.ThicknessMinUnitStatic=uicontrol('Style','text','HorizontalAlignment','left','String','mm',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.8 0.70 0.18 0.20],...
    'Parent',c.Bladedatapanel);
c.ThicknessLeStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Leading edge blade thickness',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.03 0.40 0.6 0.20],...
    'Parent',c.Bladedatapanel);
c.ThicknessLeEdit=uicontrol('Style', 'edit','FontSize',main.font-1,'Units','normalized',...
    'position', [0.60 0.40 0.18 0.20],'Parent',c.Bladedatapanel,'Callback',@TleCallback);
c.ThicknessLeUnit=uicontrol('Style', 'text','string','mm','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
    'BackgroundColor',[.8 .8 .8],'position', [0.8 0.40 0.18 0.20],...
    'Parent',c.Bladedatapanel);
c.ThicknessTeStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Trailing edge blade thickness',...
    'FontSize',main.font-1,'Units','normalized',...
    'BackgroundColor',[.8 .8 .8],'position',[0.03 0.1 0.6 0.20],...
    'Parent',c.Bladedatapanel);
c.ThicknessTeEdit=uicontrol('Style', 'edit','FontSize',main.font-1,'Units', 'normalized',...
    'position', [0.60 0.1 0.18 0.20],'Parent',c.Bladedatapanel,'Callback',@TteCallback);
c.ThicknessTeUnit=uicontrol('Style', 'text','string','mm','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
    'BackgroundColor',[.8 .8 .8],'position', [0.8 0.1 0.2 0.20],...
    'Parent',c.Bladedatapanel);

c.aSSSlider=uicontrol('Style','slider','Units','normalized','Min',0.00,'Max',150.0,...
    'position',[0.65 0.05 0.10 0.03],...
    'Callback',@aSSSliderCallback,'Parent',main.panels(main.bt));
c.aSSEdit=uicontrol('Style','edit','Units','normalized','position',[0.59 0.05 0.05 0.03],...
    'Callback',@aSSEditCallback,'Parent',main.panels(main.bt));
c.aSSStatic=uicontrol('Style','text','String','a_ss','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position',[0.54 0.05 0.04 0.03],'Parent',main.panels(main.bt));
c.aPSSlider=uicontrol('Style','slider','Units','normalized','Min',0.00,'Max',150.0,...
    'position',[0.65 0.15 0.10 0.03],...
    'Callback',@aPSSliderCallback,'Parent',main.panels(main.bt));
c.aPSEdit=uicontrol('Style','edit','Units','normalized','position',[0.59 0.15 0.05 0.03],...
    'Callback',@aPSEditCallback,'Parent',main.panels(main.bt));
c.aPSStatic=uicontrol('Style','text','String','a_ps','FontSize',main.font,...
    'BackgroundColor',[.8 .8 .8],'Units','normalized',...
    'position',[0.54 0.15 0.04 0.03],'Parent',main.panels(main.bt));
% %--------------------------------------------------------------------------
% %Update design button
% %--------------------------------------------------------------------------
% c.UpdateButton=uicontrol('Style', 'pushbutton', 'String', 'Update Design', 'Units','normalized','FontSize',main.font,...
%     'position', [0.25 0.55 0.15 0.05],'Callback', @UpdateCallback,...
%     'Parent',main.panels(main.bt),'enable','on');
end
function ResetCallback(~,~)
disp('ResetCallback')

global e c saved k
c.first = 0;
saved.bt=0;
InitialiseBT
saved.bt=1;
plotBT
[Point,Line]=size(saved.Rmat);
set(gcf,'CurrentAxes',c.BladeFig); % GUI code
for i=1:size(c.BTLinePS,1);
    anta(i) = c.BTLinePS(end+1-i,2);
end
plotthicknessBT(2*anta(:)/1000,e.Xmat,e.Ymat,saved.Zmat,Point,Line); % separate function
% Resets the following tabs
saved.lab=0;
saved.rc=0;
saved.sum=0;
c.first = 1;
end

function TleCallback(~,~) %leading edge geometry
disp('TleCallback')

global c saved e
tleadingtemp=c.tleading;
c.tleading=str2double(get(c.ThicknessLeEdit,'String'));
tempss=get(c.aSSSlider,'value');
set(c.aSSSlider,'value',tempss*c.tleading/tleadingtemp);
set(c.aSSEdit,'String',num2str(tempss*c.tleading/tleadingtemp));
tempps=get(c.aPSSlider,'value');
set(c.aPSSlider,'value',tempps*c.tleading/tleadingtemp);
set(c.aPSEdit,'String',num2str(tempps*c.tleading/tleadingtemp));
set(c.aSSSlider,'max',c.tleading*3);
set(c.aPSSlider,'max',c.tleading*3);
c.BTpointPS(end,end) = c.tleading/2;
c.temp=c.BTpointPS;

% plotBT
% Updating 3D plot
[Point,Line]=size(saved.Rmat);
for i=1:20;
    anta(i) = c.BTLinePS(21-i,2); % reversing array
end
plotthicknessBT(2*anta(:)/1000,e.Xmat,e.Ymat,saved.Zmat,Point,Line); % separate function
plotLeadingG
% Resets the following tabs
saved.lab=0;
saved.rc=0;
saved.sum=0;
end

function TteCallback(~,~) %trailing edge geometry
disp('TteCallback')

global c saved e
c.ttrailing=str2double(get(c.ThicknessTeEdit,'String'));
c.BTpointPS(1,2) = c.ttrailing/2;
c.temp=c.BTpointPS;
plotBT
% Updating 3D plot
[Point,Line]=size(saved.Rmat);
for i=1:20;
    anta(i) = c.BTLinePS(21-i,2); % reversing array
end
plotthicknessBT(2*anta(:)/1000,e.Xmat,e.Ymat,saved.Zmat,Point,Line); % separate function
plottrailingG
% Resets the following tabs
saved.lab=0;
saved.rc=0;
saved.sum=0;
end

function aSSSliderCallback(hobj,~)
disp('aSSSliderCallback')

global c e saved
%--------------------------------------------------------------------------
% Get slider value and assign to text box
%--------------------------------------------------------------------------
sliderValue = get(c.aSSSlider,'Value');
c.a_ss=sliderValue;
sliderValue = num2str(sliderValue);
set(c.aSSEdit,'String',sliderValue);
[Point,Line]=size(saved.Rmat);
guidata(hobj, c);
for i=1:20;
    anta(i) = c.BTLinePS(21-i,2); % reversing array
end
plotthicknessBT(2*anta(:)/1000,e.Xmat,e.Ymat,saved.Zmat,Point,Line); % separate function
plotLeadingG
% Resets the following tabs
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function aSSEditCallback(~,~)
disp('aSSEditCallback')
global c saved e
%--------------------------------------------------------------------------
% Get text box value and assign to slider
%--------------------------------------------------------------------------
sliderValue = get(c.aSSEdit,'String');
sliderValue = str2double(sliderValue);
c.a_ss=sliderValue;
%--------------------------------------------------------------------------
%if user input is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
%--------------------------------------------------------------------------
if (isempty(sliderValue) || sliderValue < get(c.aSSSlider,'Min') || sliderValue > get(c.aSSSlider,'Max'))
    set(c.aSSSlider,'Value',get(c.aSSSlider,'Min'));
    set(c.aSSEdit,'String',num2str(get(c.aSSSlider,'Min')));
    %c.a_ss=sliderValue;
else
    set(c.aSSSlider,'Value',sliderValue);
    %c.a_ss=sliderValue;
end
[Point,Line]=size(saved.Rmat);
for i=1:20;
    anta(i) = c.BTLinePS(21-i,2); % reversing array
end
plotthicknessBT(2*anta(:)/1000,e.Xmat,e.Ymat,saved.Zmat,Point,Line); % separate function
plotLeadingG
% Resets the following tabs
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function aPSSliderCallback(hobj,~)
disp('aPSSliderCallback')

global c e saved
%--------------------------------------------------------------------------
% Get slider value and assign to text box
%--------------------------------------------------------------------------
sliderValue = get(c.aPSSlider,'Value');
c.a_ps=sliderValue;
sliderValue = num2str(sliderValue);
set(c.aPSEdit,'String',sliderValue);

guidata(hobj, c);
[Point,Line]=size(saved.Rmat);
for i=1:20;
    anta(i) = c.BTLinePS(21-i,2); % reversing array
end
plotthicknessBT(2*anta(:)/1000,e.Xmat,e.Ymat,saved.Zmat,Point,Line); % separate function
plotLeadingG
% Resets the following tabs
saved.lab=0;
saved.rc=0;
saved.sum=0;
end
function aPSEditCallback(~,~)
disp('aPSEditCallback')

global c saved e
%--------------------------------------------------------------------------
% Get text box value and assign to slider
%--------------------------------------------------------------------------
sliderValue = get(c.aPSEdit,'String');
sliderValue = str2double(sliderValue);
c.a_ps=sliderValue;
%--------------------------------------------------------------------------
%if user input is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
%--------------------------------------------------------------------------
if (isempty(sliderValue) || sliderValue < get(c.aPSSlider,'Min') || sliderValue > get(c.aPSSlider,'Max'))
    set(c.aPSSlider,'Value',get(c.aPSSlider,'Min'));
    set(c.aPSEdit,'String',num2str(get(c.aPSSlider,'Min')));
    %     c.a_ps=sliderValue;
else
    set(c.aPSSlider,'Value',sliderValue);
    %     c.a_ps=sliderValue;
end
c.a_ps=sliderValue;
[Point,Line]=size(saved.Rmat);
for i=1:20;
    anta(i) = c.BTLinePS(21-i,2); % reversing array
end
plotthicknessBT(2*anta(:)/1000,e.Xmat,e.Ymat,saved.Zmat,Point,Line); % separate function
plotLeadingG
% Resets the following tabs
saved.lab=0;
saved.rc=0;
saved.sum=0;
end

