function calcGV
disp('calcGV')

global b h saved
%--------------------------------------------------------------------------
% AngleB and angleC is defined by Kristine, Use law of cosine to develop
% these angles
%--------------------------------------------------------------------------
b.angleB=asind((b.D_gvout/b.D_gvax)*sind(b.alpha_gvout+90));
b.angleBmax=asind((b.D_gvout/b.D_gvax)*sind(b.alpha_gvoutmax+90));
b.alpha_gvax=90-b.angleB;
b.angleC=180-(b.angleB+b.alpha_gvout+90);
b.angleCmax=180-(b.angleB+b.alpha_gvoutmax+90);
b.L_gvax=sind(b.angleC)*b.D_gvax/(2*sind(b.alpha_gvout+90));
b.L_gvaxmax=sind(b.angleC)*b.D_gvax/(2*sind(b.alpha_gvoutmax+90));
b.L_gv=(1+b.k_ol/100)*pi*b.D_gvax/b.Z_gv;
b.axislocation=1-b.L_gvax/b.L_gv; %%
% set(b.ALEdit,'string',num2str(b.axislocation));
set(b.ALStatic,'string',['Axis location = ' num2str(b.axislocation)]);
b.D_gvin=2*sqrt(b.L_gv^2+(b.D_gvout/2)^2-2*b.L_gv*(b.D_gvout/2)*cosd(b.alpha_gvout+90));
b.D_gvinmax=2*sqrt(b.L_gv^2+(b.D_gvout/2)^2-2*b.L_gv*(b.D_gvout/2)*cosd(b.alpha_gvoutmax+90));
b.alpha_gvin=90-acosd(((b.D_gvin/2)^2+b.L_gv^2-(b.D_gvout/2)^2)/(b.D_gvin*b.L_gv));
b.c_mgvin=h.Q/(b.B_gvout*pi*b.D_gvin);
b.c_ugvin=b.c_mgvin/tand(b.alpha_gvin);
%--------------------------------------------------------------------------
% Shape of guide vanes is symmetrical NACA airfoil, other airfoils can be
% include b. geometry is defined in excel spreadsheet.
%--------------------------------------------------------------------------
% b.Gv_mat=dlmread('Naca_0012.txt','\t');
b.Gvx=b.Gv_mat(:,1)*b.L_gv-(b.L_gv-b.L_gvax);
% b.Gvx=b.Gv_mat(:,1)*b.L_gv-b.L_gvax;
b.Gvy=b.Gv_mat(:,2)*b.L_gv;

% [theta,r]=cart2pol(b.Gvx, b.Gvy);
% theta=theta+(pi/2-b.alpha_gvax*pi/180)-pi;
% [b.Gvx,b.Gvy]=pol2cart(theta, r);
% b.Gvx=b.Gvx+b.D_gvax/2;
%--------------------------------------------------------------------------
% plotting the guide vane cascade with correct number of guide vanes
%--------------------------------------------------------------------------
i_gv=0;
set(gcf,'CurrentAxes', b.gvSingleFig)
try delete(b.gvSingleplot); end
b.gvSingleplot=0;
hold on

b.gvSingleplot=plot(b.Gv_mat(:,1),b.Gv_mat(:,2),'k');
try delete(b.ALplot); end
b.ALplot = 0;
hold on
b.ALplot = plot(b.axislocation,0,'bo');
axis equal
%--------------------------------------------------------------------------
% plotting the guide vane cascade with correct number of guide vanes
%--------------------------------------------------------------------------
[theta,r]=cart2pol(b.Gvx, b.Gvy);
theta=theta+(pi/2-b.alpha_gvax*pi/180+pi);
% theta=theta+(pi/2-2*pi/180); %plotting with 2 degrees opening
[b.Gvx,b.Gvy]=pol2cart(theta, r);
b.Gvx=b.Gvx+b.D_gvax/2;

i_gv=0;
set(gcf,'CurrentAxes', b.gvFig)
try delete(b.gvplot); end
b.gvplot=0;
hold on
for angle=0*pi:2*pi/b.Z_gv:2*pi
        i_gv=i_gv+1;    
        [theta r]=cart2pol(b.Gvx, b.Gvy);
        theta=theta+angle;
        [Gvxplot Gvyplot]=pol2cart(theta,r);
        b.gvplot(i_gv)=plot(Gvxplot,Gvyplot,'b');
end 
try delete(b.D0plot); end
b.D0plot=0;
hold on
D0Radius = b.D_gvax/2;
[x,y,~] = cylinder(D0Radius,200);
b.D0plot=plot(x(1,:),y(1,:),'b-','linewidth',1);
axis equal

try delete(b.Dgvinplot); end
b.Dgvinplot=0;
hold on
DgvinRadius = b.D_gvin/2;
[x,y,~] = cylinder(DgvinRadius,200);
b.Dgvinplot=plot(x(1,:),y(1,:),'b-','linewidth',1);
axis equal

try delete(b.Dgvoutplot); end
b.Dgvoutplot=0;
hold on
DgvoutRadius = b.D_gvout/2;
[x,y,~] = cylinder(DgvoutRadius,200);
b.Dgvoutplot=plot(x(1,:),y(1,:),'b-','linewidth',1);
axis equal

end