function calcSC
disp('calcSC')

global d h main b
b.B=b.B_sv;                                 % Stay vane height
b.k_2=0.05;                                  % For high head francis - overlap to stay vane
b.Z_sc=str2double(get(b.Z_scEdit,'String'));  %number of spiral casing sections
b.dzdeg=360/b.Z_sc;                         %degrees between changing spiral casing section
%--------------------------------------------------------------------------
% Calculating spiral casing dimensions
%--------------------------------------------------------------------------
i=0;
b.Rstart=b.R_svin;
b.deltaphi=1*pi/180;
b.thetavect=0:b.dzdeg:360;
b.Qvect=zeros(size(b.thetavect));
b.Rtvect=b.Qvect;
b.rvect=b.Qvect;
b.C_tCalc=b.Qvect;
b.R_svinvect=ones(size(b.thetavect))*b.R_svin;

for zdegvect=b.thetavect
    i=i+1;
    b.Qvect(i)=(360-zdegvect)/360*h.Q;
    b.r_start=1;
    b.r=b.r_start;
    b.r_new=0;
    j=0;
    while abs(b.r-b.r_new)>0.001
        j=j+1;
        b.r_new=b.r;
        b.phi_0=asin(0.5*b.B/b.r);
        b.phi_y=acos((b.r*cos(b.phi_0)-b.k_2*b.B)/b.r);
        if isnan(b.phi_y), break, end
        phivect=b.phi_y:b.deltaphi:pi;
        b.Rt=b.R_svin+b.r*cos(b.phi_0)-b.k_2*b.B;
        b.integral=b.deltaphi*trapz((sin(phivect).^2)./(b.Rt-b.r.*cos(phivect)));
        b.r=sqrt(b.Qvect(i)/(2*b.C_t*b.integral));
        b.C_tcalc=b.Qvect(i)/(2*(b.r^2)*b.integral);
    end
    b.C_tCalc(i)=b.C_tcalc;
    b.Rtvect(i)=b.Rt;
    b.rvect(i)=b.r;
end
b.rvect(end)=0;
b.Rtvect(end)=b.R_svin;
b.theta=b.thetavect/180*pi;

set(gcf,'CurrentAxes', b.gvFig);
try delete(b.scplotin); end
try delete(b.scplotout); end
try delete(b.scplotmid); end
b.scplotin=0;
b.scplotout=0;
b.scplotmid=0;
hold on 
b.scplotin=polar(-b.theta+pi/2,b.R_svinvect,'k');
b.scplotout=polar(-b.theta+pi/2,b.Rtvect+b.rvect,'k');
b.scplotmid=polar(-b.theta+pi/2,b.Rtvect,'k:');

b.Rscmax=b.Rtvect(1)+b.rvect(1);
b.Rscmin=b.Rtvect(1)-b.rvect(1);
b.rpipe=b.Rscmax-b.Rscmin;

b.A_svf=pi*(b.Rtvect(1)^2-(b.D_gvax/2)^2);  
b.Pmax=main.rho*main.grav*h.H*1.2;   % static pressure + safety factor (=1.2) for pressure pulsation
b.F_sv=b.Pmax*b.A_svf;               % force acting on stay vanes
b.t_sv=str2double(get(b.t_svEdit,'String'))/1000;
sigma_sv=b.F_sv/(b.L_sv(end)*b.t_sv*b.Z_sv);
% set(b.ThicknessStatic,'String', ['Sigma_sv = ' num2str(sigma_sv/(10^6)) ' [MPa]']);
end
