function guidevanes
disp('guidevanes')
global b main
%--------------------------------------------------------------------------
% GUI items code
%--------------------------------------------------------------------------
b.gvSingleAx=axes('Position',[0.03 0.47 0.35 0.15],'Units','normalized','Parent',main.panels(main.gv),...
                    'box','on');                
b.gvSingleFig=gca;

b.gvAx=axes('Position',[0.43 0.30 0.5 0.6],'Units','normalized','Parent',main.panels(main.gv),...
                    'box','on');                
b.gvFig=gca;
b.RCplotHeadingStatic=uicontrol('Style','text','String','Runner Cascade','FontSize',main.font+2,...
    'BackgroundColor',[.8 .8 .8],'Units', 'normalized',...
    'position',[0.62 0.92 0.15 0.03],'Parent',main.panels(main.gv));

b.airfoilText=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'Guide vane profile','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.05 0.65 0.12 0.03],'Parent',main.panels(main.gv));
b.airfoilMenu = uicontrol('Style','popupmenu','Units', 'normalized','position', [0.15 0.65 0.07 0.03],...
    'String',{'Naca0012','Naca0016'},'FontSize',main.font-2,'Callback',@airfoilMenuCallback,...
    'Parent',main.panels(main.gv));
%--------------------------------------------------------------------------
%Guide vane data panel 
%--------------------------------------------------------------------------
b.GVdatapanel = uipanel('Parent',main.panels(main.gv),'Title','Guide vane data',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
    'Position',[.03 .70 .35 .25]);
b.ZgvStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', '# guide vanes (Z_gv)','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.77 0.5 0.15],'Parent',b.GVdatapanel);
b.ZgvEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.55 0.77 0.18 0.15],...
                       'Callback', @guidevanesCallback,'Parent',b.GVdatapanel,'string','24');   
b.ZgvUnit=uicontrol('Style', 'text','string','[-]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.80 0.77 0.18 0.15],...
                       'Parent',b.GVdatapanel);
b.DgvaxStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'Guide vane axis location (D_0)','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.55 0.5 0.15],'Parent',b.GVdatapanel);
b.DgvaxEdit=uicontrol('Style', 'edit','string','2.4','Units', 'normalized','position', [0.55 0.55 0.18 0.15],...
                       'Callback', @DgvaxCallback,'Parent',b.GVdatapanel);
b.DgvaxUnit=uicontrol('Style', 'text','string','[-]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.80 0.55 0.18 0.15],...
                       'Parent',b.GVdatapanel);
b.ALStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'Axis location','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.11 0.48 0.15],'Parent',b.GVdatapanel);
% b.ALEdit=uicontrol('Style', 'edit','string','2.4','Units', 'normalized','position', [0.40 0.33 0.18 0.15],...
%                        'Callback', @ALCallback,'Parent',b.GVdatapanel); 
b.k_olStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'Overlap factor (k_ol)','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.33 0.5 0.15],'Parent',b.GVdatapanel);                   
b.k_olEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.55 0.33 0.18 0.15],...
                       'Callback', @k_olCallback,'String','10','Parent',b.GVdatapanel);
b.k_olUnit=uicontrol('Style', 'text','string','[-]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.80 0.33 0.18 0.15],...
                       'Parent',b.GVdatapanel);
%--------------------------------------------------------------------------
%Stay vane data panel 
%--------------------------------------------------------------------------
b.SVdatapanel = uipanel('Parent',main.panels(main.gv),'Title','Stay vane data',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
    'Position',[.03 .20 .35 .2]);
b.t_svStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Stay vane thickness (t_sv)','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.40 0.5 0.2],'Parent',b.SVdatapanel);
b.t_svEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.55 0.42 0.18 0.2],...
                       'Callback', @t_svCallback,'Parent',b.SVdatapanel,'String','20');
b.t_svUnit=uicontrol('Style', 'text','string','[mm]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.8 0.40 0.18 0.2],...
                       'Parent',b.SVdatapanel);
b.SigmaStatic=uicontrol('Style','text','HorizontalAlignment','left','String','Maximum stay vane stress','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.10 0.5 0.2],'Parent',b.SVdatapanel);
b.SigmaEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.55 0.12 0.18 0.2],...
                       'Callback', @sigmaCallback,'Parent',b.SVdatapanel,'String','200');
b.SigmaUnit=uicontrol('Style', 'text','string','[MPa]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.8 0.10 0.18 0.20],...
                       'Parent',b.SVdatapanel);
b.Z_svStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', '# stay vanes (Z_sv)','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.70 0.5 0.2],'Parent',b.SVdatapanel); 
b.Z_svEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.55 0.72 0.18 0.2],...
                       'Callback', @Z_svCallback,'Parent',b.SVdatapanel,'String','20');
b.Z_svUnit=uicontrol('Style', 'text','string','[-]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.80 0.70 0.18 0.2],...
                       'Parent',b.SVdatapanel);
%--------------------------------------------------------------------------
%Spiral Casing data panel 
%-------------------------------------------------------------------------- 
b.SCdatapanel = uipanel('Parent',main.panels(main.gv),'Title','Spiral Casing data',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
    'Position',[.03 .10 .35 .1]);
b.Z_scStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', '# spiral casing sections (Z_sc)','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.55 0.5 0.4],'Parent',b.SCdatapanel); 
b.Z_scEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.55 0.55 0.18 0.4],...
                       'Callback', @Z_scCallback,'Parent',b.SCdatapanel,'String','20');
b.Z_scUnit=uicontrol('Style', 'text','string','[-]','HorizontalAlignment','left','FontSize',main.font-1,'Units', 'normalized',...
                       'BackgroundColor',[.8 .8 .8],'position', [0.80 0.55 0.18 0.4],...
                       'Parent',b.SCdatapanel);
% b.AxislocationStatic=uicontrol('Style', 'text','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.05 0.88 0.18 0.03],'Parent',main.panels(main.rc));                                    
% b.User1Static=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'The number of guide vanes should not be the same as the number of runner blades. ','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.6 0.80 0.35 0.05],'Parent',main.panels(main.rc));
% b.User2Static=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'The guide vane axis location should be somewhere in between 0.5 and 0.75. This can be altered both by changing the number of guide vanes, Z_gv, and by changing the guide vane axis, denoted as D_0.','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.6 0.72 0.35 0.10],'Parent',main.panels(main.rc));
% b.User3Static=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'The stay vane thickness depend on the stay vane length. As the stay vanes follow a free vortex, increasing the stay vane inlet diameter, D_svin, will increase the stay vane length, and thus decrease the required thickness of the stay vanes.','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.6 0.65 0.35 0.10],'Parent',main.panels(main.rc));
% b.User4Static=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'The spiral casing is traditionally welded together. The number of pieces that are welded together, Z_sc, has to be chosen. ','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
%                        'Units', 'normalized','position', [0.6 0.58 0.35 0.10],'Parent',main.panels(main.rc));
b.DiameterTable=uitable('Parent',main.panels(main.gv),'Units','normalized',...
    'position',[0.43 .03 .30 .22],'FontSize',main.font-1,'RowName',[{'Axis location [-]','D_gvout [m]','D_0 [m]','D_gvin [m]','D_svout [m]','D_svin [m]','L_gv [m]','L_sv [m]','Sigma_sv [MPa]'}],...
    'ColumnName',[]);%Table headlines
end

function airfoilMenuCallback(~,~)
disp('airfoilMenuCallback')
global b main saved
%--------------------------------------------------------------------------
% Is executed when changing between beta distribution and UCu distribution
%--------------------------------------------------------------------------
i=get(b.airfoilMenu,'Value');
switch i
    case 1 %Naca0012
        tempGVmat=dlmread('Naca_0012.txt','\t');
        b.Gv_mat=tempGVmat;
    case 2 %Naca0016
        tempGVmat=dlmread('Naca_0012.txt','\t');
        b.Gv_mat=tempGVmat;
%         b.Gv_mat(:,1)=1-tempGVmat(:,1);
%         b.Gv_mat(:,2)=tempGVmat(:,2);
end
calcGV
end
function DgvaxCallback(~,~)
global d main h b
b.D_gvax=str2double(get(b.DgvaxEdit,'String'));
calcGV
%--------------------------------------------------------------------------
% Calculating initial value of D_svin
%--------------------------------------------------------------------------
b.B_sv=b.B_gvout;
b.Z_sv=b.Z_gv;
b.D_svout=b.D_gvin*1.03;
b.c_usvout=b.c_ugvin*b.D_gvin/b.D_svout;
b.c_msvout=h.Q/(b.B_sv*pi*b.D_svout);
b.alpha_svout=atand(b.c_msvout/b.c_usvout);
OptimiseSV
% multiplication=1.001;           % Initial assumption for calcualtion
% sigma_sv=main.sigmamax*2;
% while sigma_sv>main.sigmamax
%     b.D_svin=ceil(b.D_svout*multiplication*1000)/1000;
%     multiplication = multiplication+0.01;
%     b.c_msvin=h.Q/(b.D_svin*b.B_sv*pi);
%     b.c_usvin=b.c_usvout*(b.D_svout/b.D_svin);
%     b.alpha_svin=atand(b.c_msvin/b.c_usvin);
% 
%     b.R_svout=b.D_svout/2;
%     b.R_svin=b.D_svin/2;     %stay vane radius 
%     b.C_t=b.c_usvin*b.R_svin; % Free vortex constant
%     imax=100;
%     b.R_sv=zeros(1,imax);
%     b.alpha_sv=b.R_sv;
%     b.theta_sv=b.R_sv;
%     b.L_sv=b.R_sv;
%     b.angleBsv=b.R_sv;
%     b.c_usv=b.R_sv;
%     b.c_msv=b.R_sv;
%     b.c_usv(1)=b.c_usvout;
%     b.c_msv(1)=b.c_msvout;
%     b.dR=(b.R_svin-b.R_svout)/(imax-1);
%     b.R_sv(1)=b.R_svout;
%     b.theta_sv(1)=0;
%     b.alpha_sv(1)=b.alpha_svout;
%     b.L_sv(1)=0;
%     b.angleBsv(1)=0;
%     for i=2:imax
%         b.R_sv(i)=b.R_sv(i-1)+b.dR;
%         b.c_usv(i)=b.C_t/b.R_sv(i);
%         b.c_msv(i)=h.Qn/(2*pi*b.R_sv(i)*b.B_sv);
%         b.alpha_sv(i)=atand(b.c_msv(i)/b.c_usv(i));
%         b.angleBsv(i)=asind(b.R_sv(i-1)/b.R_sv(i)*sind(b.alpha_sv(i-1)+90));
%         b.theta_sv(i)=b.theta_sv(i-1)+180-(b.angleBsv(i)+b.alpha_sv(i-1)+90);
%         b.L_sv(i)=b.L_sv(i-1)+(b.R_sv(i-1)*sind(b.theta_sv(i)-b.theta_sv(i-1))/sind(b.angleBsv(i)));
%     end
%     b.B=b.B_sv;                                 % Stay vane height
%     b.k_2=0.1;                                  % For high head francis - overlap to stay vane
%     b.Z_sc=str2double(get(b.Z_scEdit,'String'));  %number of spiral casing sections
%     b.dzdeg=360/b.Z_sc;                         %degrees between changing spiral casing section
% 
%     i=0;
%     b.Rstart=b.R_svin;
%     b.deltaphi=1*pi/180;
%     b.thetavect=0:b.dzdeg:360;
%     b.Qvect=zeros(size(b.thetavect));
%     b.Rtvect=b.Qvect;
%     b.rvect=b.Qvect;
%     b.C_tCalc=b.Qvect;
%     b.R_svinvect=ones(size(b.thetavect))*b.R_svin;
% 
%     for zdegvect=b.thetavect
%     i=i+1;
%     b.Qvect(i)=(360-zdegvect)/360*h.Qn;
%     b.r_start=1;
%     b.r=b.r_start;
%     b.r_new=0;
%     j=0;
%     while abs(b.r-b.r_new)>0.001
%         j=j+1;
%         b.r_new=b.r;
%         b.phi_0=asin(0.5*b.B/b.r);
%         b.phi_y=acos((b.r*cos(b.phi_0)-b.k_2*b.B)/b.r);
%         if isnan(b.phi_y), break, end
%         phivect=b.phi_y:b.deltaphi:pi;
%         b.Rt=b.R_svin+b.r*cos(b.phi_0)-b.k_2*b.B;
%         b.integral=b.deltaphi*trapz((sin(phivect).^2)./(b.Rt-b.r.*cos(phivect)));
%         b.r=sqrt(b.Qvect(i)/(2*b.C_t*b.integral));
%         b.C_tcalc=b.Qvect(i)/(2*(b.r^2)*b.integral);
%     end
%         b.C_tCalc(i)=b.C_tcalc;
%         b.Rtvect(i)=b.Rt;
%         b.rvect(i)=b.r;
%     end
%     b.rvect(end)=0;
%     b.Rtvect(end)=b.R_svin;
%     b.theta=b.thetavect/180*pi;  
%     b.A_svf=pi*(b.Rtvect(1)^2-(b.D_gvax/2)^2);  %
%     b.Pmax=main.rho*main.grav*h.H*1.2;   % static pressure + safety factor (=1.2) for pressure pulsation
%     b.F_sv=b.Pmax*b.A_svf;               % force acting on stay vanes
%     b.t_sv=str2double(get(b.t_svEdit,'String'))/1000;       % should be inout parameter
%     sigma_sv=b.F_sv/(b.L_sv(end)*b.t_sv*b.Z_sv);
% end
calcSV
calcSC
end
% function ALCallback(~,~)
% global b saved
% b.axislocation=str2double(get(b.ALEdit,'String'));
% 
% % b.L_gv = b.L_gvax/b.axislocation;
% % b.D_gvax = b.L_gv*b.Z_gv/((1+b.k_ol/100)*pi);
% a=b.D_gvax
% set(b.DgvaxEdit,'String',num2str(b.D_gvax));
% 
% calcGV
% % OptimiseSV
% %Change D_0 to fit the new axislocation

% end
function guidevanesCallback(~,~)
global b main h e saved
b.Z_gv=str2double(get(b.ZgvEdit,'String'));
b.D_gvout=1.05*saved.D_1;
b.c_ugvout=saved.c_u1*saved.D_1/b.D_gvout;
b.c_mgvout=saved.Q/(b.D_gvout*b.B_gvout*pi);
b.alpha_gvout=atand(b.c_mgvout/b.c_ugvout);

multiplication=1.001;           % Initial assumption for calcualtion
axislocation=0.58;          % Initial value to start the loop
       while (axislocation <0.6||axislocation>0.7)
       D_gvax=multiplication*b.D_gvout;
       multiplication = multiplication+0.01;
%        Length from the vane outlet to the axis (Using Trigonometery)
       angleB=asind((b.D_gvout/D_gvax)*sind(b.alpha_gvout+90));
       angleC=180-(angleB+b.alpha_gvout+90);
       L_gvax=sind(angleC)*D_gvax/(2*sind(b.alpha_gvout+90));

       L_gv=1.1*pi*D_gvax/b.Z_gv; % Length of guidevane with 10% coverage factor
       axislocation=L_gvax/L_gv;  % Calculate axis location 
       end

set(b.DgvaxEdit,'String',num2str(D_gvax));
calcGV
OptimiseSV
calcSV
calcSC
end
function k_olCallback(~,~)
global b main h
b.k_ol=str2double(get(b.k_olEdit,'String'));
calcGV
OptimiseSV
calcSV
calcSC
end
function t_svCallback(~,~)
global main b
b.t_sv=str2double(get(b.t_svEdit,'String'))/1000;
% b.D_svout=b.D_gvin*1.03;
% b.c_usvout=b.c_ugvin*b.D_gvin/b.D_svout;
% b.c_msvout=h.Q/(b.B_sv*pi*b.D_svout);
% b.alpha_svout=atand(b.c_msvout/b.c_usvout);

OptimiseSV
calcSV
calcSC
end
function sigmaCallback(~,~)
global b
b.sigmaSV=str2double(get(b.SigmaEdit,'String'))*10^6;
sigmaSV=b.sigmaSV;
OptimiseSV
calcSV
calcSC
end
function Z_scCallback(~,~)
global d main h b
b.B_sv=b.B_gvout;
b.Z_sv=b.Z_gv;
b.D_svout=b.D_gvin*1.03;
b.c_usvout=b.c_ugvin*b.D_gvin/b.D_svout;
b.c_msvout=h.Q/(b.B_sv*pi*b.D_svout);
b.alpha_svout=atand(b.c_msvout/b.c_usvout);
OptimiseSV

calcSC
end
function Z_svCallback(~,~)
global b
b.Z_sv = str2double(get(b.Z_svEdit,'String'));
OptimiseSV
calcSV
calcSC

end