function plotAxialView
disp('plotAxialView')
global g k
calcAV
set(gcf,'CurrentAxes',g.AxialFig);

hold on
try delete(g.Axialstreamlines);end
g.Axialstreamlines=plot(g.Rmat(1:end,:),g.Zmat(1:end,:),'b.-'); % Plotting the streamlines
hold on
try delete(g.ShroudLinePlot);end
try delete(g.outletLinePlot);end
g.ShroudLinePlot=plot(g.XY(:,1),g.XY(:,2),'c-');  % plotting the bezier curve
g.outletLinePlot=plot(g.outletLine(:,1),g.outletLine(:,2),'g-');  % plotting the bezier curve
try delete(g.ShroudPointPlot);end
try delete(g.ShroudPointPlot2);end
try delete(g.outletPointPlot);end

g.ShroudPointPlot=plot(g.shroud(:,1),g.shroud(:,2),'marker','s','markersize',5,'markerfacecolor','c','linestyle','none');
g.ShroudPointPlot2(1)=plot(g.shroud(1,1),g.shroud(1,2),'marker','s','markersize',5,'markerfacecolor','k','linestyle','none');
g.ShroudPointPlot2(2)=plot(g.shroud(end,1),g.shroud(end,2),'marker','s','markersize',5,'markerfacecolor','k','linestyle','none');   % plotting the bezier control points
set(g.ShroudPointPlot,'ButtonDownFcn',{@startdragfcnaxials});

g.outletPointPlot=plot(g.outlet(:,1),g.outlet(:,2),'marker','s','markersize',5,'markerfacecolor','g','linestyle','none');
set(g.outletPointPlot,'ButtonDownFcn',{@startdragfcnaxialo});
set(gcf,'WindowButtonUpFcn',@stopdragfcnaxial);
% Variables for editing points
    set(g.s1xStatic,'String',g.shroud(1,1));
    set(g.s1yStatic,'String',g.shroud(1,2));
    set(g.s2xEdit,'String',g.shroud(2,1));
    set(g.s2yEdit,'String',g.shroud(2,2));
    set(g.s3xEdit,'String',g.shroud(3,1));
    set(g.s3yEdit,'String',g.shroud(3,2));
    set(g.s4xEdit,'String',g.shroud(4,1));
    set(g.s4yEdit,'String',g.shroud(4,2));
end
function startdragfcnaxials(~,~)
disp('startdragfcnaxials')
global g
y=get(gca,'CurrentPoint');
y=min(y,max(g.shroud(2:end-1,2)));
y=max(y,min(g.shroud(2:end-1,2)));
index=interp1(g.shroud(:,2),1:size(g.shroud,1),y(1,2),'nearest');
set(gcf,'WindowButtonMotionFcn',{@draggingfcnaxials,index});
end
function draggingfcnaxials(~,~,index)
disp('draggingfcnaxials')
global g saved
g.drag=1;
pt=get(gca,'CurrentPoint');
newx=get(g.ShroudPointPlot,'XData');
newx(1,index)=pt(1,1);
newy=get(g.ShroudPointPlot,'YData');
newy(1,index)=pt(1,2);
g.temps(:,1)=newx';
g.temps(:,2)=newy';
set(g.ShroudPointPlot,'XData',newx);
set(g.ShroudPointPlot,'YData',newy);
% g.drag=1;
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end

function startdragfcnaxialo(~,~)
disp('startdragfcnaxialo')
global g 
y=get(gca,'CurrentPoint');
y=min(y,max(g.outlet(:,2)));
y=max(y,min(g.outlet(:,2)));
index=interp1(g.outlet(:,2),1:size(g.outlet,1),y(1,2),'nearest');
set(gcf,'WindowButtonMotionFcn',{@draggingfcnaxialo,index});
end
function draggingfcnaxialo(~,~,index)
disp('draggingfcnaxialo')
global g saved
g.drag=1;
pt=get(gca,'CurrentPoint');
newx=get(g.outletPointPlot,'XData');
newx(1,index)=pt(1,1);
newy=get(g.outletPointPlot,'YData');
newy(1,index)=pt(1,2);
g.tempo(:,1)=newx';
g.tempo(:,2)=newy';
set(g.outletPointPlot,'XData',newx);
set(g.outletPointPlot,'YData',newy);
% g.drag=1;
% Resets the following tabs
saved.dist=0;
saved.rv=0;
saved.bt=0;
saved.lab=0;
saved.rc=0;
saved.sum=0;
end

function stopdragfcnaxial(~,~)
disp('stopdragfcnaxial')
global g
if g.drag==1
    g.drag=0;
    if g.axialindex==1;
        g.shroud=g.temps;
        g.outlet=g.tempo;
        set(gcf,'CurrentAxes',g.AxialFig);
        set(gcf,'WindowButtonMotionFcn','');
        plotAxialView
    end
end
set(gcf,'WindowButtonMotionFcn','');
end