function plotBG_3D
disp('plotBG_3D')
global e saved
[Point,Line]=size(saved.Rmat);
%--------------------------------------------------------------------------
% Plotting the runner blade
%--------------------------------------------------------------------------
set(gcf,'CurrentAxes',e.BladeFig);
try delete(e.BladePlot);end
colormap(jet)
a=get(e.ColormapBlades,'Value');
switch a
    case 1
        e.BladePlot=surf(e.Xmat,e.Ymat,saved.Zmat,'FaceColor',[.7 .7 .7]);
    case 2
        e.BladePlot=surf(e.Xmat,e.Ymat,saved.Zmat,e.curv,'FaceColor','interp');
    case 3
        e.BladePlot=surf(e.Xmat,e.Ymat,saved.Zmat,e.WmatPL,'FaceColor','interp');
        colorbar('location','Eastoutside')
    case 4
        e.BladePlot=surf(e.Xmat,e.Ymat,saved.Zmat,saved.Wmat,'FaceColor','interp');
        colorbar('location','Eastoutside')
    case 5
        e.BladePlot=surf(e.Xmat,e.Ymat,saved.Zmat,e.Z_r,'FaceColor','interp');
        colorbar('location','Eastoutside')
    case 6
        e.BladePlot=surf(e.Xmat,e.Ymat,saved.Zmat,e.erosion,'FaceColor','interp');
        colorbar('location','Eastoutside')
end
%--------------------------------------------------------------------------
% Plotting the runner cascade
%--------------------------------------------------------------------------
Z_r=str2double(get(e.NoBladesEdit,'String'));
set(gcf,'CurrentAxes',e.RunnerFig);
try delete(e.RunnerPlot);end
e.RunnerPlot=0;
a=get(e.ColormapBlades,'Value');
switch a       % switch on chosen colormap of blades
    case 1
        xvalues=zeros(Line,Point);
        yvalues=xvalues;
        zvalues=xvalues;
        curvvalues=xvalues;
        for n=1:2
            i=0;
            for angle=0:2*pi/Z_r:2*pi
                i=i+1;
                [theta r z]=cart2pol(e.Xmat,e.Ymat,saved.Zmat);
                theta=theta+angle;
                [x y z]=pol2cart(theta,r,z);
                for L=1:Line
                    for P=1:Point
                        xvalues(L,P)=x(P+(L-1)*Point);
                        yvalues(L,P)=y(P+(L-1)*Point);
                        zvalues(L,P)=z(P+(L-1)*Point);
                        curvvalues(L,P)=e.curv(P+(L-1)*Point);
                    end
                end
                if n==1
                    view([0 90])
                    axis equal
                    hold on
                    
                else
                    e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,'facecolor',[0.7 0.7 0.7]);
                    axis equal
                    hold on
                    view([45 35])
                end
            end
        end
        box off
    case 2
        xvalues=zeros(Line,Point);
        yvalues=xvalues;
        zvalues=xvalues;
        curvvalues=xvalues;
        for n=1:2
            i=0;
            for angle=0:2*pi/Z_r:2*pi
                i=i+1;
                [theta r z]=cart2pol(e.Xmat,e.Ymat,saved.Zmat);
                theta=theta+angle;
                [x y z]=pol2cart(theta,r,z);
                for L=1:Line
                    for P=1:Point
                        xvalues(L,P)=x(P+(L-1)*Point);
                        yvalues(L,P)=y(P+(L-1)*Point);
                        zvalues(L,P)=z(P+(L-1)*Point);
                        curvvalues(L,P)=e.curv(P+(L-1)*Point);
                    end
                end
                if n==1
                    view([0 90])
                    axis equal
                    hold on
                    
                else
                    e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,curvvalues,'FaceColor','interp');
                    axis equal
                    hold on
                    view([45 35])
                end
            end
        end
        box off
    case 3
        xvalues=zeros(Line,Point);
        yvalues=xvalues;
        zvalues=xvalues;
        WPL=xvalues;
        for n=1:2
            i=0;
            for angle=0:2*pi/Z_r:2*pi
                i=i+1;
                [theta r z]=cart2pol(e.Xmat,e.Ymat,saved.Zmat);
                theta=theta+angle;
                [x y z]=pol2cart(theta,r,z);
                for L=1:Line
                    for P=1:Point
                        xvalues(L,P)=x(P+(L-1)*Point);
                        yvalues(L,P)=y(P+(L-1)*Point);
                        zvalues(L,P)=z(P+(L-1)*Point);
                        WPL(L,P)=e.WmatPL(P+(L-1)*Point);
                    end
                end
                if n==1
                    view([0 90])
                    axis equal
                    hold on
                else
                    e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,WPL,'FaceColor','interp');
                    axis equal
                    hold on
                    view([45 35])
                end
            end
        end
        box off
    case 4
        xvalues=zeros(Line,Point);
        yvalues=xvalues;
        zvalues=xvalues;
        wvalues=xvalues;
        for n=1:2
            i=0;
            for angle=0:2*pi/Z_r:2*pi
                i=i+1;
                [theta r z]=cart2pol(e.Xmat,e.Ymat,saved.Zmat);
                theta=theta+angle;
                [x y z]=pol2cart(theta,r,z);
                for L=1:Line
                    for P=1:Point
                        xvalues(L,P)=x(P+(L-1)*Point);
                        yvalues(L,P)=y(P+(L-1)*Point);
                        zvalues(L,P)=z(P+(L-1)*Point);
                        wvalues(L,P)=saved.Wmat(P+(L-1)*Point);
                    end
                end
                if n==1
                    view([0 90])
                    axis equal
                    hold on
                else
                    e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,wvalues,'FaceColor','interp');
                    %             colormap(jet);
                    axis equal
                    hold on
                    view([45 35])
                end
            end
        end
        box off
    case 5
        xvalues=zeros(Line,Point);
        yvalues=xvalues;
        zvalues=xvalues;
        Z_rr=xvalues;
        for n=1:2
            i=0;
            for angle=0:2*pi/Z_r:2*pi
                i=i+1;
                [theta r z]=cart2pol(e.Xmat,e.Ymat,saved.Zmat);
                theta=theta+angle;
                [x y z]=pol2cart(theta,r,z);
                for L=1:Line
                    for P=1:Point
                        xvalues(L,P)=x(P+(L-1)*Point);
                        yvalues(L,P)=y(P+(L-1)*Point);
                        zvalues(L,P)=z(P+(L-1)*Point);
                        Z_rr(L,P)=e.Z_r(P+(L-1)*Point);
                    end
                end
                if n==1
                    view([0 90])
                    axis equal
                    hold on
                else
                    e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,Z_rr,'FaceColor','interp');
                    %             colormap(jet);
                    axis equal
                    hold on
                    view([45 35])
                end
            end
        end
        box off
    case 6
        xvalues=zeros(Line,Point);
        yvalues=xvalues;
        zvalues=xvalues;
        Erosion=xvalues;
        for n=1:2
            i=0;
            for angle=0:2*pi/Z_r:2*pi
                i=i+1;
                [theta r z]=cart2pol(e.Xmat,e.Ymat,saved.Zmat);
                theta=theta+angle;
                [x y z]=pol2cart(theta,r,z);
                for L=1:Line
                    for P=1:Point
                        xvalues(L,P)=x(P+(L-1)*Point);
                        yvalues(L,P)=y(P+(L-1)*Point);
                        zvalues(L,P)=z(P+(L-1)*Point);
                        Erosion(L,P)=e.erosion(P+(L-1)*Point);
                    end
                end
                if n==1
                    view([0 90])
                    axis equal
                    hold on
                else
                    e.RunnerPlot(i)=surf(xvalues,yvalues,zvalues,Erosion,'FaceColor','interp');
                    %             colormap(jet);
                    axis equal
                    hold on
                    view([45 35])
                end
            end
        end
        box off
end
end