function plotDistribution(~,i)
disp('plotDistribution')
global f g saved
%--------------------------------------------------------------------------
% Svitch on chosen distribution, 1=UCu, 2=beta
%--------------------------------------------------------------------------

switch i
    case 1
        set(gcf,'CurrentAxes',f.changeDist)
        set(gcf,'WindowButtonUpFcn',@stopdragfcndist);
        try delete(f.changePlot);end
        hold on
        f.changePlot=plot(f.BDist(:,1),f.BDist(:,2));
        ylabel('Distribution relative to inlet')
        xlabel('Outlet                                                                                             Inlet')
        try delete(f.PointPlot);end
        f.PointPlot=plot(f.point(:,1,1),f.point(:,2,1),'marker','s','markersize',5,'markerfacecolor','k','linestyle','none');
        set(f.PointPlot,'ButtonDownFcn',{@startdragfcndist,1});
        
        EnergyDistribution
        
        % Plotting Hub
        set(gcf,'CurrentAxes',f.hubDist);
        try delete(f.hubPlot);end
        hold on
        f.hubPlot=plot(f.BDist(:,1),f.UCuRelativemat(:,end),'r-+',f.BDist(:,1),f.Wmat(:,end)/f.Wmat(1,end),...
            'g-',f.BDist(:,1),f.Umat(:,end)/f.Umat(1,end),'b-',f.BDist(:,1),f.Cumat(:,end)/f.Cumat(1,end),'k-',...
            f.BDist(:,1),saved.c_mMat(:,end)/saved.c_mMat(1,end),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');
        
        % Plotting Center
        set(gcf,'CurrentAxes',f.centerDist);
        try delete(f.centerPlot);end
        hold on
        line=round(get(g.nsSlider,'Value')/2);
        f.centerPlot=plot(f.BDist(:,1),f.UCuRelativemat(:,line),'r-+',f.BDist(:,1),f.Wmat(:,line)/f.Wmat(1,line),...
            'g-',f.BDist(:,1),f.Umat(:,line)/f.Umat(1,line),'b-',f.BDist(:,1),f.Cumat(:,line)/f.Cumat(1,line),'k-',...
            f.BDist(:,1),saved.c_mMat(:,line)/saved.c_mMat(1,line),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');
        
        % Plotting Shroud
        set(gcf,'CurrentAxes',f.shroudDist);
        try delete(f.shroudPlot);end
        hold on
        f.shroudPlot=plot(f.BDist(:,1),f.UCuRelativemat(:,1),'r-+',f.BDist(:,1),f.Wmat(:,1)/f.Wmat(1,1),...
            'g-',f.BDist(:,1),f.Umat(:,1)/f.Umat(1,1),'b-',f.BDist(:,1),f.Cumat(:,1)/f.Cumat(1,1),'k-',...
            f.BDist(:,1),saved.c_mMat(:,1)/saved.c_mMat(1,1),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');
        
        % Plotting GHplane
        set(gcf,'CurrentAxes',f.GHplaneAxes);
        try delete(f.GHPlot);end
        hold on
        f.GHPlot=plot(-f.Hmat,-f.Gmat,'k-');
        
        saved.rv=0;
        
    case 2
        set(gcf,'CurrentAxes',f.changeDist)
        set(gcf,'WindowButtonUpFcn',{@stopdragfcndist});
        try delete(f.changePlot);end
        hold on
        f.changePlot=plot(f.BDist(:,1),f.BDist(:,2));
        %         if init;
        try delete(f.PointPlot);end
        f.PointPlot=plot(f.point(:,1,2),f.point(:,2,2),'marker','s','markersize',5,'markerfacecolor','k','linestyle','none');
        set(f.PointPlot,'ButtonDownFcn',{@startdragfcndist,2});
        %         end
        
        BetaDistribution
        
        % Plotting Hub
        set(gcf,'CurrentAxes',f.hubDist);
        try delete(f.hubPlot);end
        hold on
        f.hubPlot=plot(f.BDist(:,1),f.UCumat(:,end)/f.UCumat(1,end),'r-+',f.BDist(:,1),f.Wmat(:,end)/f.Wmat(1,end),...
            'g-',f.BDist(:,1),f.Umat(:,end)/f.Umat(1,end),'b-',f.BDist(:,1),f.Cumat(:,end)/f.Cumat(1,end),'k-',...
            f.BDist(:,1),saved.c_mMat(:,end)/saved.c_mMat(1,end),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');
        
        % Plotting Center
        set(gcf,'CurrentAxes',f.centerDist);
        try delete(f.centerPlot);end
        hold on
        line=round(get(g.nsSlider,'Value')/2);
        f.centerPlot=plot(f.BDist(:,1),f.UCumat(:,line)/f.UCumat(1,line),'r-+',f.BDist(:,1),f.Wmat(:,line)/f.Wmat(1,line),...
            'g-',f.BDist(:,1),f.Umat(:,line)/f.Umat(1,line),'b-',f.BDist(:,1),f.Cumat(:,line)/f.Cumat(1,line),'k-',...
            f.BDist(:,1),saved.c_mMat(:,line)/saved.c_mMat(1,line),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');
        
        % Plotting Shroud
        set(gcf,'CurrentAxes',f.shroudDist);
        try delete(f.shroudPlot);end
        hold on
        f.shroudPlot=plot(f.BDist(:,1),f.UCumat(:,1)/f.UCumat(1,1),'r-+',f.BDist(:,1),f.Wmat(:,1)/f.Wmat(1,1),...
            'g-',f.BDist(:,1),f.Umat(:,1)/f.Umat(1,1),'b-',f.BDist(:,1),f.Cumat(:,1)/f.Cumat(1,1),'k-',...
            f.BDist(:,1),saved.c_mMat(:,1)/saved.c_mMat(1,1),'c-');
        legend ('U*cu','w','U','cu','cm','Location','EastOutside');
        
        % Plotting GHplane
        set(gcf,'CurrentAxes',f.GHplaneAxes);
        try delete(f.GHPlot);end
        hold on
        f.GHPlot=plot(-f.Hmat,-f.Gmat,'k-');
        saved.rv=0;
end
end
function BetaDistribution
disp('BetaDistribution')
global f saved
%--------------------------------------------------------------------------
% calculates the velocity matrices based on the beta distribution
%--------------------------------------------------------------------------
[Point,Line]=size(saved.Rmat);
f.beta_1vect=zeros(1,Line);
f.deltabetaRelative=zeros(Point,Line);
f.deltabeta=zeros(Point,Line);
for L=1:Line
    f.beta_1vect(L)=saved.beta_1*pi/180;
    f.deltabetaRelative(:,L)=f.BDist(:,2);
    for P=2:Point
        f.Gmat(P,L)=f.Gmat(P-1,L)+sqrt((saved.Rmat(P-1,L)-saved.Rmat(P,L))^2+(saved.Zmat(P-1,L)-saved.Zmat(P,L))^2);
    end
end
f.beta_2vect=atan(saved.c_mMat(end,:)./(saved.omega.*saved.Rmat(end,:)));
f.deltabetavect=f.beta_1vect-f.beta_2vect;
for L=1:Line
    f.deltabeta(:,L)=f.deltabetaRelative(:,L).*f.deltabetavect(1,L);
    f.beta(:,L)=f.deltabeta(:,L)+f.beta_2vect(1,L);
end
for L=1:Line
    for P=2:Point
        deltaG=f.Gmat(P,L)-f.Gmat(P-1,L);
        deltaH=deltaG/tan(f.beta(P,L));
        f.Hmat(P,L)=f.Hmat(P-1,L)+deltaH;
    end
end
f.Umat=saved.omega.*saved.Rmat;
f.Cumat=f.Umat-saved.c_mMat./tan(f.beta);
f.Wmat=((f.Umat-f.Cumat).^2+saved.c_mMat.^2).^(1/2);
f.UCumat=f.Umat.*f.Cumat;
end
function EnergyDistribution
disp('EnergyDistribution')
global f saved
%--------------------------------------------------------------------------
% calculates the velocity matrices based on the UCu distribution
%--------------------------------------------------------------------------
[Point,Line]=size(saved.Rmat);
Relative=saved.u_1*saved.c_u1;

f.Umat=saved.omega.*saved.Rmat;
f.UCuRelativemat=zeros(Point,Line);
for L=1:Line
    f.UCuRelativemat(:,L)=f.BDist(:,2);
end
f.UCumat=f.UCuRelativemat.*Relative;
f.Cumat=f.UCumat./f.Umat;
f.Wumat=f.Umat-f.Cumat;
for L=1:Line
    for P=1:Point
        if f.Wumat(P,L)>0
            f.beta(P,L)=atand(saved.c_mMat(P,L)/(f.Wumat(P,L)));
        else
            f.beta(P,L)=180+atand(saved.c_mMat(P,L)/(f.Wumat(P,L)));
        end
        
    end
end
f.Wmat=saved.c_mMat./(sind(f.beta));
for L=1:Line
    for P=2:Point
        f.Gmat(P,L)=f.Gmat(P-1,L)+sqrt((saved.Rmat(P-1,L)-saved.Rmat(P,L))^2+(saved.Zmat(P-1,L)-saved.Zmat(P,L))^2);
        deltaG=f.Gmat(P,L)-f.Gmat(P-1,L);
        deltaH=deltaG/tand(f.beta(P,L));
        f.Hmat(P,L)=f.Hmat(P-1,L)+deltaH;
    end
end
end
function startdragfcndist(~,~,casenr)
disp('startdragfcndist')
global f
y=get(gca,'CurrentPoint');
y=min(y,max(f.point(2:end-1,2,casenr)));
y=max(y,min(f.point(2:end-1,2,casenr)));
index=interp1(f.point(:,2,casenr),1:size(f.point,1),y(1,2),'nearest');
set(gcf,'WindowButtonMotionFcn',{@draggingfcndist,index,casenr});
end

function draggingfcndist(~,~,index,casenr)
disp('draggingfcndist')
global f saved
f.drag=1;
pt=get(gca,'CurrentPoint');
newx=get(f.PointPlot,'XData');
newx(1,index)=pt(1,1);
newy=get(f.PointPlot,'YData');
newy(1,index)=pt(1,2);
f.temp(:,1,casenr)=newx';
f.temp(:,2,casenr)=newy';
set(f.PointPlot,'XData',newx);
set(f.PointPlot,'YData',newy);
% Resets the Blade leaning
saved.rv=0;
end
function stopdragfcndist(~,~)
disp('stopdragfcndist')
global f saved
if f.drag==1
    f.drag=0;
    f.point=f.temp;
    set(gcf,'CurrentAxes',f.changeDist)
    set(gcf,'WindowButtonMotionFcn','');
    i=get(f.centerMenu,'Value');
    f.BDist=func_BezierCurve(f.point(:,:,i), saved.p);
    plotDistribution(0,i)
end
end