function plotLabyrinth
disp('plotLabyrinth')
global l main s saved
%--------------------------------------------------------------------------
%     calculating shaft diameter
%--------------------------------------------------------------------------
    L=saved.D_1;
    M=900*L/2;
    T=saved.power/saved.omega;
    l.D_shaft=(32*sqrt(M^2+T^2)/(pi*2*40*1e6))^(1/3);
%--------------------------------------------------------------------------    
%     calculating labyrinth diameters
%     Need a for-loop running on Dp or a while loop with F_res as constraint
%--------------------------------------------------------------------------
    l.D11=2*saved.Rmat(1,end);
    l.D12=2*saved.Rmat(1,1);
    l.D2=2*saved.Rmat(end,1);
    l.D2L=l.D2+2*str2double(get(l.D2LEdit,'string'))/1000;
    l.D12L=l.D2L;
    Htwl=-saved.Hs; 
%     Htwl=0.48; %at Jhimruk
    k=0.5;
    loss=0;
    l.h_1=saved.H-saved.c_1^2/(2*main.grav)-loss;
    l.h_2=Htwl-saved.c_mMat(end,1)^2/(2*main.grav);
    l.h_12L=l.h_1-(k*saved.omega)^2/(8*main.grav)*(l.D12^2-l.D12L^2);
    l.h_s=l.h_2+(k*saved.omega)^2/(8*main.grav)*(l.D2L^2-l.D2^2);
    l.h_i=0;
    
    l.F1=main.rho*main.grav*l.h_1*pi/4*(l.D12^2-l.D11^2);
    l.F2=main.rho*saved.Q*saved.c_mMat(1,1)*sin(tan((saved.Rmat(1,1) - saved.Rmat(1,end))/(saved.Zmat(1,1)-saved.Zmat(1,end))));
    l.F3=main.rho*main.grav*l.h_2*pi*(l.D2^2)/4;
    l.F3L=main.rho*main.grav*pi*l.h_s*(l.D2L^2-l.D2^2)/4 - main.rho*pi*((k*saved.omega)^2)*(l.D2L^2-l.D2^2)^2/64;
    l.F4=main.rho*saved.Q*saved.c_mMat(end,1);
    l.F7=main.rho*main.grav*pi*l.h_1*(l.D12^2-l.D12L^2)/4 - main.rho*pi*((k*saved.omega)^2)*(l.D12^2-l.D12L^2)^2/64;
    l.F9=main.rho*main.grav*(l.h_12L+l.h_s)/2*pi*(l.D12L^2-l.D2L^2)/4;
    Dp=l.D11;
    Ftot=-inf;
    
while Ftot < 1000 %minimum Fres = 1000 N
    Dp=Dp-0.00001;
    D11L=Dp;
    l.h_p=l.h_i+(k*saved.omega)^2/(8*main.grav)*(Dp^2-l.D_shaft^2);
    l.h_11L=l.h_1-(k*saved.omega)^2/(8*main.grav)*(l.D11^2-D11L^2);
    F5=main.rho*main.grav*pi*l.h_p*(Dp^2-D11L^2)/4 - main.rho*pi*((k*saved.omega)^2)*(Dp^2-l.D_shaft^2)^2/64;    
    F6=main.rho*main.grav*pi*l.h_1*(l.D11^2-D11L^2)/4 - main.rho*pi*((k*saved.omega)^2)*(l.D11^2-D11L^2)^2/64;
    F8=main.rho*main.grav*(l.h_11L+l.h_p)/2*pi*(D11L^2-Dp^2)/4;          
    Ftot=l.F1+l.F2-l.F3-l.F3L-l.F4+F5+F6-l.F7+F8-l.F9;    % Positive when directed towards the outlet
end
    l.Dp=Dp;
    set(gcf,'CurrentAxes',l.LabyrinthFig);
    hold on
    try delete(l.Shaftplot); end
    try delete(l.DShaftplot); end
    try delete(l.Dpplot); end
    try delete(l.Dptext); end
    try delete(l.Dshafttext); end
    try delete(l.Tshroudtext); end
    try delete(l.Tshroudplot); end
    try delete(l.lowerlabplot); end
    try delete(l.upperlabplot); end
    try delete(l.Bladeplot); end
    Hlab= (saved.Zmat(1,1)-saved.Zmat(end,1))/7;
    l.Bladeplot=plot(saved.Rmat(:,1),saved.Zmat(:,1),'b-',saved.Hub(:,1),saved.Hub(:,3),'b-',saved.Rmat(1,:),saved.Zmat(1,:),'b-',saved.Rmat(end,:),saved.Zmat(end,:),'b-',[l.D2/2 l.D2/2],[saved.Zmat(end,1) saved.Zmat(end,1)-Hlab],'b-');
    
    l.Dptext=text(l.D_shaft/4, saved.Zmat(1,1)*1.5+0.02,'D_{p}','FontSize',main.font-1,'Parent',l.LabyrinthAxes,'HorizontalAlignment','center');
    l.Dshafttext=text(l.D_shaft/4, saved.Zmat(1,1)*1.2+0.02,'D_{shaft}','FontSize',main.font-1,'Parent',l.LabyrinthAxes,'HorizontalAlignment','center');
    
    l.Shaftplot=line([l.D_shaft/2 l.D_shaft/2],[saved.Zmat(1,1) saved.Zmat(1,1)*2]);
    l.DShaftplot=line([0 l.D_shaft/2],[saved.Zmat(1,1)*1.2 saved.Zmat(1,1)*1.2],'Linestyle','--');
   
    l.Dpplot(1)=line([0 l.Dp/2],[saved.Zmat(1,end)*0.95 saved.Zmat(1,end)*0.95],'Linestyle','--');
    l.Dpplot(2)=line([l.Dp/2 l.Dp/2],[saved.Zmat(1,end)*0.93 saved.Zmat(1,end)*0.97]);
    
    l.Tshroudplot(1)=line([l.D2/2 l.D2L/2],[saved.Zmat(end,1)-Hlab-0.01 saved.Zmat(end,1)-Hlab-0.01],'Linestyle','--');
    l.Tshroudplot(2)=line([l.D2/2 l.D2/2],[saved.Zmat(end,1)-Hlab-0.012 saved.Zmat(end,1)-Hlab-0.008]);
    l.Tshroudplot(3)=line([l.D2L/2 l.D2L/2],[saved.Zmat(end,1)-Hlab-0.012 saved.Zmat(end,1)-Hlab-0.008]);
    l.Tshroudtext=text(l.D2L/2-(l.D2L/2-l.D2/2)/2, saved.Zmat(end,1)-Hlab-0.025,'T_{shroud}','FontSize',main.font-1,'Parent',l.LabyrinthAxes,'HorizontalAlignment','center');
    
    dt=0.01;
    Rtemp=zeros(20);
    Ztemp=Rtemp;
    Rtemp(1)=saved.Rmat(1,1);
    Ztemp(1)=saved.Zmat(1,1)-dt;
    Rtemp(20)=saved.Rmat(end,1)+dt;
    Ztemp(20)=saved.Zmat(end,1);
    L = 2;
    for P = 2:19;
        dz = saved.Zmat(P-1,L-1)-saved.Zmat(P,L-1);
        dr = saved.Rmat(P-1,L-1)-saved.Rmat(P,L-1);
        Lvect2=sqrt(dr^2+dz^2);
        Rtemp(P)=saved.Rmat(P,L-1)+dz*dt/Lvect2;
        Ztemp(P)=saved.Zmat(P,L-1)-dr*dt/Lvect2;
    end
        Hlab = (saved.Zmat(1,1)-saved.Zmat(end,1))/7;
        i=0;
    for i=1:20
        if (saved.Rmat(i,1)<l.D2L/2)
        Z(1:i-1)=Ztemp(1:i-1);
        R(1:i-1)=Rtemp(1:i-1);
        Z(i)=saved.Zmat(end,1);
        R(i)=l.D2L/2;
        break 
        end
    end
    l.lowerlabplot(1)=line([l.D2L/2 l.D2L/2],[saved.Zmat(end,1)-Hlab saved.Zmat(end,1)],'LineWidth',8,'Linestyle','--'); 
    l.lowerlabplot(2)=plot([l.D2L/2 l.D2L/2],[saved.Zmat(end,1) saved.Zmat(end,1)-Hlab],'LineWidth',2);
    l.lowerlabplot(3)=plot(R,Z);
    
    Hlab=Hlab*29/23;
    l.upperlabplot(1)=plot([l.Dp/2 l.Dp/2],[max(saved.Zmat(:,end))+Hlab*5/29 max(saved.Zmat(:,end))+Hlab*24/29],'LineWidth',8,'Linestyle','--');
    l.upperlabplot(2)=plot([l.Dp/2 l.Dp/2],[max(saved.Zmat(:,end))+Hlab*3/29 max(saved.Zmat(:,end))+Hlab],'LineWidth',2);
    l.upperlabplot(3)=plot([l.Dp/2 l.D_shaft/2],[max(saved.Zmat(:,end))+Hlab max(saved.Zmat(:,end))+Hlab]);
    l.upperlabplot(4)=plot([l.Dp/2 l.D11/2],[max(saved.Zmat(:,end))+Hlab*3/29 max(saved.Zmat(:,end))+Hlab*3/29]);

    set(l.FresStatic,'String',['F_res = ' num2str(Ftot) ' [N]'])
    set(l.DpStatic,'String',['D_p = ' num2str(l.Dp) ' [m]'])
    set(l.DLStatic,'String',['D_L = ' num2str(l.D2L) ' [m]'])
    set(l.DshaftStatic,'String',['D_shaft = ' num2str(l.D_shaft) ' [m]'])

end


