function plotUCu3D
disp('plotUCu3D')
global saved e f 

% HmatBL = e.Theta.*saved.Rmat
[Point,Line]=size(f.Hmat);
HmatBL=zeros(Point,Line);
BetaBL=HmatBL;
% Finding the new beta when introducing blade leaning
for i=1:Line
    for j=2:Point
        deltaTheta = e.Theta(j,i)-e.Theta(j-1,i);
        deltaH=deltaTheta*saved.Rmat(j,i);
        HmatBL(j,i) = HmatBL(j-1,i)+deltaH;
        deltaG=f.Gmat(j,i)-f.Gmat(j-1,i);
        BetaBL(j,i) = atand(deltaG/deltaH);
        if BetaBL(j,i) < 0
            BetaBL(j,i) = BetaBL(j,i)+180;
        end
    end
end

for i = 1:Line
    BetaBL(1,i) = interp1(saved.Rmat(2:end-1,i),BetaBL(2:end-1,i),saved.Rmat(1,i),'pchip','extrap');
end
CuBL = f.Umat - saved.c_mMat./tand(BetaBL); % Finding Cu, assuming Cm is constant
e.UCumatBL = f.Umat.*CuBL; % Finding U*Cu, U is constant.

% Finding the length of each streamline and the change between each point
[Point,Line]=size(e.Xmat);
SBL=zeros(1,Line);
deltaSmatBL = zeros(Point,Line);

for i=1:Line
    for j=2:Point
        deltaSmatBL(j,i) = sqrt((e.Xmat(j,i)-e.Xmat(j-1,i))^2+(e.Ymat(j,i)-e.Ymat(j-1,i))^2+(saved.Zmat(j,i)-saved.Zmat(j-1,i))^2);
        SBL(1,i) = SBL(1,i) + sqrt((e.Xmat(j,i)-e.Xmat(j-1,i))^2+(e.Ymat(j,i)-e.Ymat(j-1,i))^2+(saved.Zmat(j,i)-saved.Zmat(j-1,i))^2);
    end
end
LengthBL = zeros(Point,Line);
for i=1:Line
    for j=2:Point
        LengthBL(j,i)=LengthBL(j-1,i) + deltaSmatBL(j,i);
    end
end

if e.Length0 == 0
    e.Length0 = zeros(Point,Line);
    e.Length0(:,:)=LengthBL(:,:); % Saving the original length
    e.SBL0 = zeros(1,Line);
    e.SBL0(1,:)=SBL(1,:);
end

% Plotting Hub
% set(gcf,'CurrentAxes',e.UCuHubFig);
% try delete(e.UCuHubPlot); end
% hold on
% e.UCuHubPlot(1) = plot((f.BDist(:,1)),f.UCuRelativemat(:,end),'r-+'); % 2D
% e.UCuHubPlot(2) = plot((1-e.Length0(:,end)/e.SBL0(1,end)),f.UCuRelativemat(:,end),'g-+'); % 3D
% e.UCuHubPlot(3) = plot((1-LengthBL(:,end)/SBL(1,end)),e.UCumatBL(:,end)/e.UCumatBL(1,end));
% legend ('U*cu 2D','U*cu 3D','U*cu BL','Location','EastOutside');

set(gcf,'CurrentAxes',e.UCuHubFig);
try delete(e.UCuHubPlot); end
hold on
e.UCuHubPlot(1) = plot((f.BDist(:,1)),f.UCumat(:,end),'r-+'); % 2D
e.UCuHubPlot(2) = plot((1-e.Length0(:,end)/e.SBL0(1,end)),f.UCumat(:,end),'g-+'); % 3D
e.UCuHubPlot(3) = plot((1-LengthBL(:,end)/SBL(1,end)),e.UCumatBL(:,end));
legend ('U*cu 2D','U*cu 3D','U*cu BL','Location','EastOutside');
         
% Plotting Center
set(gcf,'CurrentAxes',e.UCuCenterFig); 
try delete(e.UCuCenterPlot); end
hold on
e.UCuCenterPlot(1) = plot(f.BDist(:,1),f.UCumat(:,round(Line/2)),'r-+'); % 2D
e.UCuCenterPlot(2) = plot((1-e.Length0(:,round(Line/2))/e.SBL0(1,round(Line/2))),f.UCumat(:,round(Line/2)),'g-+'); % 3D
e.UCuCenterPlot(3) = plot((1-LengthBL(:,round(Line/2))/SBL(1,round(Line/2))),e.UCumatBL(:,round(Line/2)),'b-x');
legend ('U*cu 2D','U*cu 3D','U*cu BL','Location','EastOutside');

% Plotting Shroud
set(gcf,'CurrentAxes',e.UCuShroudFig); 
try delete(e.UCuShroudPlot); end
hold on
e.UCuShroudPlot(1) = plot(f.BDist(:,1),f.UCumat(:,1),'r-+'); % 2D
e.UCuShroudPlot(2) = plot((1-e.Length0(:,1)/e.SBL0(1,1)),f.UCumat(:,1),'g-+'); % 3D
e.UCuShroudPlot(3) = plot((1-LengthBL(:,1)/SBL(1,1)),e.UCumatBL(:,1));
legend ('U*cu 2D','U*cu 3D','U*cu BL','Location','EastOutside');
end