function plotthicknessBT(deltaT,X,Y,Z,np,ns)
disp('plotthicknessBT')
global c e g saved

Xex=X;Yex=Y; Zex=Z;
tmax = deltaT(1);
tout = deltaT(end);
[Xny,Yny,Zny]=thicknessBT(deltaT,Xex,Yex,Zex,np,ns);
c.Xlines=Xny;
c.Ylines=Yny;
c.Zlines=Zny;
[Xle,Yle,Zle,CutSSLe,CutPS]=leading(tmax,Xny,Yny,Zny,ns,abs(c.a_ss/1000),abs(c.a_ps/1000));
[XtePS,YtePS,ZtePS,XteSS,YteSS,ZteSS]=trailing(tout,Xny,Yny,Zny,ns);
%--------------------------------------------------------------------------
% matrix for the blade, from trailing edge to trailing edge on each streamline
%--------------------------------------------------------------------------
XtempPS=zeros(20,ns);
YtempPS=XtempPS;
ZtempPS=XtempPS;
for i= 1:ns
    xtestps=[Xle(end,i);Xny(CutPS(i):end-1,i,1);XtePS(1,i)];
    ytestps=[Yle(end,i);Yny(CutPS(i):end-1,i,1);YtePS(1,i)];
    ztestps=[Zle(end,i);Zny(CutPS(i):end-1,i,1);ZtePS(1,i)];
    
    x=xtestps;
    y=ytestps;
    z=ztestps;
    c.x=xtestps;
    c.y=ytestps;
    c.z=ztestps;
    intstep=1000;
    X=linspace(x(1),x(end),intstep);
    Z=interp1(x(:),z(:),X);
    Y=interp1(x(:),y(:),X);
    [~,np]=size(X);
    Sps=0;
    for j=2:np
        Sps=Sps+sqrt((X(j)-X(j-1))^2+(Y(j)-Y(j-1))^2+(Z(j)-Z(j-1))^2);
    end
    dSps=Sps/(20-1);
    Li=0;
    k=1;
    for j=2:np
        Li=Li+sqrt((X(j)-X(j-1))^2+(Y(j)-Y(j-1))^2+(Z(j)-Z(j-1))^2);
        if Li>k*dSps
            XtempPS(k+1,i)=X(j);
            YtempPS(k+1,i)=Y(j);
            ZtempPS(k+1,i)=Z(j);
            k=k+1;
        end
    end
end
XtempSS=zeros(20,ns);
YtempSS=XtempSS;
ZtempSS=XtempSS;
clear i; clear j;
for i = 1:ns
    xtestss=[XteSS(end,i);Xny(end-1:-1:CutSSLe(i),i,2);Xle(1,i)];
    ytestss=[YteSS(end,i);Yny(end-1:-1:CutSSLe(i),i,2);Yle(1,i)];
    ztestss=[ZteSS(end,i);Zny(end-1:-1:CutSSLe(i),i,2);Zle(1,i)];
    
    c.xs=xtestss;
    c.ys=ytestss;
    c.zs=ztestss;
    xs=xtestss;
    ys=ytestss;
    zs=ztestss;
    intstep=1000;
    Xs=linspace(xs(1),xs(end),intstep);
    Zs=interp1(xs(:),zs(:),Xs);
    Ys=interp1(xs(:),ys(:),Xs);
    [~,np]=size(Xs);
    Sss=0;
    for j=2:np
        Sss=Sss+sqrt((Xs(j)-Xs(j-1))^2+(Ys(j)-Ys(j-1))^2+(Zs(j)-Zs(j-1))^2);
    end
    dSss=Sss/(20-1);
    Li=0;
    k=1;
    for j=2:np
        Li=Li+sqrt((Xs(j)-Xs(j-1))^2+(Ys(j)-Ys(j-1))^2+(Zs(j)-Zs(j-1))^2);
        if Li>k*dSss
            XtempSS(k+1,i)=Xs(j);
            YtempSS(k+1,i)=Ys(j);
            ZtempSS(k+1,i)=Zs(j);
            k=k+1;
        end
    end
end

c.bladeX=[XteSS(:,:);XtempSS(2:end-1,:);Xle(:,:);XtempPS(2:end-1,:);XtePS(:,:)]; %x-coordinates for the blade
c.bladeY=[YteSS(:,:);YtempSS(2:end-1,:);Yle(:,:);YtempPS(2:end-1,:);YtePS(:,:)]; %y-coordinates for the blade
c.bladeZ=[ZteSS(:,:);ZtempSS(2:end-1,:);Zle(:,:);ZtempPS(2:end-1,:);ZtePS(:,:)]; %z-coordinates for the blade

c.XteSS=XteSS;
c.YteSS=YteSS;
c.ZteSS=ZteSS;
set(gcf,'CurrentAxes',c.BladeFig);

try delete(c.Bladeplot); end
c.Bladeplot=0;
c.Bladeplot=surf(c.bladeX,c.bladeY,c.bladeZ,'facecolor',[0.9 0.9 0.9]);
hold on
%--------------------------------------------------------------------------
% hubmatrix
%--------------------------------------------------------------------------
try delete(c.hubplot); end
c.hubplot=0;
i=0;x=0;y=0;z=0;
[p,s]=size(e.Xmat(:,end));
c.hubXmat=zeros(p+1,2);
c.hubYmat=zeros(p+1,2);
c.hubZmat=zeros(p+1,2);
for angle=-pi/e.Z_rc:2*pi/e.Z_rc:pi/e.Z_rc
    i=i+1;
    [theta r z]=cart2pol(e.Xmat(:,end),e.Ymat(:,end),saved.Zmat(:,end));  % runner hub contour
    [~ , ~, zs]=cart2pol(e.Xmat(:,1),e.Ymat(:,1),saved.Zmat(:,1));        % runner shroud contour
    theta=theta+angle;
    [c.hubXmat(1:end-1,i) c.hubYmat(1:end-1,i) c.hubZmat(1:end-1,i)]=pol2cart(theta,r,z);
    c.hubXmat(end,i)=0.001;
    c.hubYmat(end,i)=0.001;
    c.hubZmat(end,i)=zs(end,1)-zs(end,1)/5;
end
%--------------------------------------------------------------------------
% shroudmatrix
%--------------------------------------------------------------------------
try delete(c.shroudplot); end
c.shroudplot=0;
i=0;
c.shroudXmat=zeros(p+1,2);
c.shroudYmat=zeros(p+1,2);
c.shroudZmat=zeros(p+1,2);
for angle=-pi/e.Z_rc:2*pi/e.Z_rc:pi/e.Z_rc
    i=i+1;
    [theta r z]=cart2pol(e.Xmat(:,1),e.Ymat(:,1),saved.Zmat(:,1));        % runner shroud contour
    theta=theta+angle;
    [c.shroudXmat(1:end-1,i) c.shroudYmat(1:end-1,i) c.shroudZmat(1:end-1,i)]=pol2cart(theta,r,z);
    c.shroudXmat(end,i)=c.shroudXmat(end-1,i);
    c.shroudYmat(end,i)=c.shroudYmat(end-1,i);
    c.shroudZmat(end,i)=c.shroudZmat(end-1,i)-c.shroudZmat(end-1,i)/5;
end
clear i;
Ldrafttube=c.shroudZmat(1,1)*3;

c.hubdrafttubeX=ones(10,2).*0.001;
c.hubdrafttubeY=ones(10,2).*0.001;
c.hubdrafttubeZ=[1*Ldrafttube/10 1*Ldrafttube/10;...
    2*Ldrafttube/10 2*Ldrafttube/10;...
    3*Ldrafttube/10 3*Ldrafttube/10;...
    4*Ldrafttube/10 4*Ldrafttube/10;...
    5*Ldrafttube/10 5*Ldrafttube/10;...
    6*Ldrafttube/10 6*Ldrafttube/10;...
    7*Ldrafttube/10 7*Ldrafttube/10;...
    8*Ldrafttube/10 8*Ldrafttube/10;...
    9*Ldrafttube/10 9*Ldrafttube/10;...
    10*Ldrafttube/10 10*Ldrafttube/10;];

c.hubX=[c.hubXmat;c.hubdrafttubeX];
c.hubY=[c.hubYmat;c.hubdrafttubeY];
c.hubZ=[c.hubZmat;-c.hubdrafttubeZ];

c.hubplot=plot3(c.hubX,c.hubY,c.hubZ,'b');
c.shrouddrafttubeX=[c.shroudXmat(end,1) c.shroudXmat(end,2);...
    c.shroudXmat(end,1) c.shroudXmat(end,2);...
    c.shroudXmat(end,1) c.shroudXmat(end,2);...
    c.shroudXmat(end,1) c.shroudXmat(end,2);...
    c.shroudXmat(end,1) c.shroudXmat(end,2);...
    c.shroudXmat(end,1) c.shroudXmat(end,2);...
    c.shroudXmat(end,1) c.shroudXmat(end,2);...
    c.shroudXmat(end,1) c.shroudXmat(end,2);...
    c.shroudXmat(end,1) c.shroudXmat(end,2);...
    c.shroudXmat(end,1) c.shroudXmat(end,2)];
c.shrouddrafttubeY=[c.shroudYmat(end,1) c.shroudYmat(end,2);...
    c.shroudYmat(end,1) c.shroudYmat(end,2);...
    c.shroudYmat(end,1) c.shroudYmat(end,2);...
    c.shroudYmat(end,1) c.shroudYmat(end,2);...
    c.shroudYmat(end,1) c.shroudYmat(end,2);...
    c.shroudYmat(end,1) c.shroudYmat(end,2);...
    c.shroudYmat(end,1) c.shroudYmat(end,2);...
    c.shroudYmat(end,1) c.shroudYmat(end,2);...
    c.shroudYmat(end,1) c.shroudYmat(end,2);...
    c.shroudYmat(end,1) c.shroudYmat(end,2)];
c.shroudX=[c.shroudXmat;c.shrouddrafttubeX];
c.shroudY=[c.shroudYmat;c.shrouddrafttubeY];
c.shroudZ=[c.shroudZmat;-c.hubdrafttubeZ];
c.shroudplot=plot3(c.shroudX,c.shroudY,c.shroudZ,'b');
hubX=[g.HubXmat;0.001;0.001;0.001;0.001;0.001;0.001];
hubY=[g.HubYmat;0.001;0.001;0.001;0.001;0.001;0.001];
Ldraft=saved.Zmat(1,1)-saved.Zmat(end,1);   %makes a straight cylinder as 'draft tube'
hubZ=[g.HubZmat; saved.Zmat(end,1)-1*Ldraft/6; saved.Zmat(end,1)-2*Ldraft/6; saved.Zmat(end,1)-3*Ldraft/6; saved.Zmat(end,1)-4*Ldraft/6; saved.Zmat(end,1)-5*Ldraft/6; saved.Zmat(end,1)-6*Ldraft/6];
shroudX=[e.Xmat(:,1);e.Xmat(end,1);e.Xmat(end,1);e.Xmat(end,1);e.Xmat(end,1);e.Xmat(end,1);e.Xmat(end,1)];
shroudY=[e.Ymat(:,1);e.Ymat(end,1);e.Ymat(end,1);e.Ymat(end,1);e.Ymat(end,1);e.Ymat(end,1);e.Ymat(end,1)];
shroudZ=[saved.Zmat(:,1);saved.Zmat(end,1)-1*Ldraft/6;saved.Zmat(end,1)-2*Ldraft/6;saved.Zmat(end,1)-3*Ldraft/6;saved.Zmat(end,1)-4*Ldraft/6;saved.Zmat(end,1)-5*Ldraft/6;saved.Zmat(end,1)-6*Ldraft/6];
try delete(c.draftplot); end
c.draftplot=0;
c.draftplot(1)=plot3([c.shroudXmat(end,1) c.hubXmat(end,1)],[c.shroudYmat(end,1) c.hubYmat(end,1)],[c.shroudZmat(end-1,1) c.shroudZmat(end,1)],'b');
c.draftplot(2)=plot3([c.shroudXmat(end,2) c.hubXmat(end,2)],[c.shroudYmat(end,2) c.hubYmat(end,2)],[c.shroudZmat(end-1,1) c.shroudZmat(end,1)],'b');
c.draftplot(3)=plot3([c.shroudX(end,1) c.hubX(end,1)],[c.shroudY(end,1) c.hubY(end,1)],[c.shroudZ(end,1) c.hubZ(end,1)],'b');
c.draftplot(4)=plot3([c.shroudX(end,2) c.hubX(end,2)],[c.shroudY(end,2) c.hubY(end,2)],[c.shroudZ(end,2) c.hubZ(end,2)],'b');
axis equal
plotBT
end